<?php
/**
* @package   $Id: stylepanel.php 26121 2015-01-27 15:22:36Z james $
* @version   $Id: stylepanel.php 26121 2015-01-27 15:22:36Z james $
* @author    RocketTheme http://www.rockettheme.com
* @copyright Copyright (C) 2007 - 2019 RocketTheme, LLC
* @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
*
* Gantry uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
*
*/
defined('JPATH_BASE') or die();

gantry_import('core.gantryfeature');

class GantryFeatureStylePanel extends GantryFeature {
	var $_feature_name = 'stylepanel';

	function init(){
		global $gantry;
		if ($this->isEnabled()){
			$gantry->addScript('stylepanel.js');
			$gantry->addScript('colorchooser.js');
			$gantry->addStyle($gantry->gantryUrl.'/admin/widgets/colorchooser/css/mooRainbow.css');
			$gantry->addScript('mooRainbow.js');
			$gantry->addInlineScript("var GantryURL = '". $gantry->gantryUrl."'");
			$gantry->addInlineStyle('.presets-block a.active {border: 1px solid '.$gantry->get('accent-color').';}');
		}
	}

	function isEnabled()
    {
        global $gantry;

        $cookie = 0;
        if ($gantry->browser->platform == 'iphone' || $gantry->browser->platform == 'android')
        {
            $prefix = $gantry->get('template_prefix');
            $cookiename = $prefix . $gantry->browser->platform . '-switcher';
            $cookie = $gantry->retrieveTemp('platform', $cookiename);
        }

        if (1 == (int)$this->get('enabled') && $cookie == 0) return true;
        return false;
    }

	function render($position="") {
		ob_start();
		global $gantry;

		$user = JFactory::getUser();
		$site = JURI::root(true);
		?>
		<div class="style-panel-container">
			<div class="style-panel-toggle"><span>&lsaquo;</span></div>
			<div class="style-panel">
				<div class="presets-block">
					<span class="presets-title">Presets</span>
					<a href="<?php echo $site; ?>/?presets=preset1" class="preset-item style1"></a>
					<a href="<?php echo $site; ?>/?presets=preset2" class="preset-item style2"></a>
					<a href="<?php echo $site; ?>/?presets=preset3" class="preset-item style3"></a>
					<a href="<?php echo $site; ?>/?presets=preset4" class="preset-item style4"></a>
					<a href="<?php echo $site; ?>/?presets=preset5" class="preset-item style5"></a>
					<a href="<?php echo $site; ?>/?presets=preset6" class="preset-item style6"></a>
					<a href="<?php echo $site; ?>/?presets=preset7" class="preset-item style7"></a>
					<a href="<?php echo $site; ?>/?presets=preset8" class="preset-item style8"></a>
					<a href="<?php echo $site; ?>/?presets=preset9" class="preset-item style9"></a>
					<a href="<?php echo $site; ?>/?presets=preset10" class="preset-item style10"></a>
					<a href="<?php echo $site; ?>/?presets=preset11" class="preset-item style11"></a>
					<a href="<?php echo $site; ?>/?presets=preset12" class="preset-item style12"></a>
				</div>
				<div class="presets-block">
					<span class="presets-title">BG Color</span>
					<div class="wrapper">
						<input class="picker-input text-color inputbox" id="style-panel-bgcolor" type="text" size="8" maxlength="7" value="<?php echo $gantry->get('bg-background'); ?>" />
						<div class="picker" id="mooRainbow_style-panel-bgcolor_input">
							<div class="overlay" style="background-color: <?php echo $gantry->get('bg-background'); ?>"><div></div></div>
						</div>
					</div>
				</div>
				<div class="presets-block">
					<span class="presets-title">BG Patterns</span>
					<a href="#" rel="none" title="none" class="pattern-item none"></a>
					<a href="#" rel="denim" title="denim" class="pattern-item denim"></a>
					<a href="#" rel="diagonal" title="diagonal" class="pattern-item diagonal"></a>
					<a href="#" rel="grip" title="grip" class="pattern-item grip"></a>
					<a href="#" rel="metal" title="metal" class="pattern-item metal"></a>
					<a href="#" rel="plaid-fabric" title="plaid-fabric" class="pattern-item plaid-fabric"></a>
					<a href="#" rel="planks" title="planks" class="pattern-item planks"></a>
					<a href="#" rel="ravenna" title="ravenna" class="pattern-item ravenna"></a>
					<a href="#" rel="rough-fabric" title="rough-fabric" class="pattern-item rough-fabric"></a>
					<a href="#" rel="rubber" title="rubber" class="pattern-item rubber"></a>
					<a href="#" rel="vertical-linen" title="vertical-linen" class="pattern-item vertical-linen"></a>
					<a href="#" rel="wood" title="wood" class="pattern-item wood"></a>
					<a href="#" rel="woven-fabric" title="woven-fabric" class="pattern-item woven-fabric"></a>
					<a href="#" rel="carbon" title="carbon" class="pattern-item carbon"></a>
					<a href="#" rel="dustnscratches" title="dustnscratches" class="pattern-item dustnscratches"></a>
					<a href="#" rel="elegant" title="elegant" class="pattern-item elegant"></a>
					<a href="#" rel="grunge" title="grunge" class="pattern-item grunge"></a>
					<a href="#" rel="noise" title="noise" class="pattern-item noise"></a>
					<a href="#" rel="plaid" title="plaid" class="pattern-item plaid"></a>
					<a href="#" rel="textile" title="textile" class="pattern-item textile"></a>
				</div>
				<div class="presets-block">
					<span class="presets-title">Accent Color</span>
					<div class="wrapper">
						<input class="picker-input text-color inputbox" id="style-panel-accentcolor" type="text" size="8" maxlength="7" value="<?php echo $gantry->get('accent-color'); ?>" />
						<div class="picker" id="mooRainbow_style-panel-accentcolor_input">
							<div class="overlay" style="background-color: <?php echo $gantry->get('accent-color'); ?>"><div></div></div>
						</div>
					</div>
				</div>
				<a class="readon smallmargintop" rel="<?php echo JURI::current(true); ?>" href="<?php echo JURI::current(true); ?>"><span>Apply</span></a>
			</div>
		</div>
		<?php
		return ob_get_clean();
	}
}
