<?php
/**
 * @package    $Id: index.php 26121 2015-01-27 15:22:36Z james $
* @version   $Id: index.php 26121 2015-01-27 15:22:36Z james $
* @author	   RocketTheme http://www.rockettheme.com
* @copyright  Copyright (C) 2007 - 2019 RocketTheme, LLC
* @license	   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Gantry uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted index access' );
/* Load Mootools */
JHTML::_('behavior.framework', true);
// load and inititialize gantry class
require_once('lib/gantry/gantry.php');
$gantry->init();

function isBrowserCapable(){
	global $gantry;

	$browser = $gantry->browser;

	// ie.
	if ($browser->name == 'ie' && $browser->version < 8) return false;

	return true;
}
// get the current preset
$gpreset = str_replace(' ','',strtolower($gantry->get('name')));

?>
<!DOCTYPE html>
<html xml:lang="<?php echo $gantry->language; ?>" lang="<?php echo $gantry->language;?>" >
<head>
	<?php
		$gantry->displayHead();
		/* Force IE to most recent version */
		if ($gantry->browser->name == 'ie') : 
			echo '<meta http-equiv="X-UA-Compatible" content="IE=edge" />';
		endif;		
		$gantry->addStyles(array('template.css','joomla.css'));

		if ($gantry->browser->platform != 'iphone')
			$gantry->addInlineScript('window.addEvent("domready", function(){ if (typeof SmoothScroll != "undefined") new SmoothScroll(); else new Fx.SmoothScroll(); });');

		if ($gantry->get('loadtransition') && isBrowserCapable()){
			$gantry->addScript('load-transition.js');
			$hidden = ' class="rt-hidden"';
		} else {
			$hidden = '';
		}

	?>
</head>
	<body <?php echo $gantry->displayBodyTag(); ?>>
		<?php if ($gantry->get('headerwidth') == 'wrapped'): ?>
		<div class="rt-container">
		<?php endif; ?>
			<div id="rt-top-surround"><div id="rt-top-surround2">
				<?php /** Begin Drawer **/ if ($gantry->countModules('drawer')) : ?>
				<div id="rt-drawer">
					<?php if ($gantry->get('headerwidth') == 'full'): ?>
					<div class="rt-container">
					<?php endif; ?>
						<?php echo $gantry->displayModules('drawer','standard','standard'); ?>
						<div class="clear"></div>
					<?php if ($gantry->get('headerwidth') == 'full'): ?>
					</div>
					<?php endif; ?>
				</div>
				<?php /** End Drawer **/ endif; ?>
				<?php /** Begin Top **/ if ($gantry->countModules('top')) : ?>
				<div id="rt-top"><div id="rt-top2">
					<?php if ($gantry->get('headerwidth') == 'full'): ?>
					<div class="rt-container">
					<?php endif; ?>
						<?php echo $gantry->displayModules('top','standard','standard'); ?>
						<div class="clear"></div>
					<?php if ($gantry->get('headerwidth') == 'full'): ?>
					</div>
					<?php endif; ?>
				</div></div>
				<?php /** End Top **/ endif; ?>
				<?php /** Begin Header **/ if ($gantry->countModules('header')) : ?>
				<div id="rt-header">
					<?php if ($gantry->get('headerwidth') == 'full'): ?>
					<div class="rt-container">
					<?php endif; ?>
						<?php echo $gantry->displayModules('header','standard','standard'); ?>
						<div class="clear"></div>
					<?php if ($gantry->get('headerwidth') == 'full'): ?>
					</div>
					<?php endif; ?>
				</div>
				<?php /** End Header **/ endif; ?>
			</div></div>
			<?php /** Begin Navigation **/ if ($gantry->countModules('navigation')) : ?>
			<div id="rt-navigation"><div id="rt-navigation2">
				<?php if ($gantry->get('headerwidth') == 'full'): ?>
				<div class="rt-container">
				<?php endif; ?>
					<?php echo $gantry->displayModules('navigation','standard','standard'); ?>
					<div class="clear"></div>
				<?php if ($gantry->get('headerwidth') == 'full'): ?>
				</div>
				<?php endif; ?>
				<div class="rt-navborder"></div>
			</div></div>
			<?php /** End Navigation **/ endif; ?>
			<?php /** Begin Sub Navigation **/ if ($gantry->countModules('subnavigation')) : ?>
			<div id="rt-subnavigation">
				<?php if ($gantry->get('headerwidth') == 'full'): ?>
				<div class="rt-container">
				<?php endif; ?>
					<?php echo $gantry->displayModules('subnavigation','standard','menu'); ?>
					<div class="clear"></div>
				<?php if ($gantry->get('headerwidth') == 'full'): ?>
				</div>
				<?php endif; ?>
			</div>
			<?php /** End Sub Navigation **/ endif; ?>
		<?php if ($gantry->get('headerwidth') == 'wrapped'): ?>
		</div>
		<?php endif; ?>
		<div id="rt-transition"<?php echo $hidden; ?>>
			<?php /** Begin Feature **/ if ($gantry->countModules('feature')) : ?>
			<div id="rt-feature">
				<div class="rt-container">
					<?php echo $gantry->displayModules('feature','standard','standard'); ?>
					<div class="clear"></div>
				</div>
			</div>
			<?php /** End Feature **/ endif; ?>
			<div class="rt-container">
				<div id="rt-main-container" <?php if ($gantry->countModules('showcase')) : ?>class="showcase-margin"<?php endif; ?>>
					<?php /** Begin Showcase **/ if ($gantry->countModules('showcase')) : ?>
					<div id="rt-showcase">
						<div class="rt-container">
							<?php echo $gantry->displayModules('showcase','standard','standard'); ?>
							<div class="clear"></div>
						</div>
					</div>
					<?php /** End Showcase **/ endif; ?>
					<div id="rt-body-surround">
						<div class="rt-container">
							<?php /** Begin Utility **/ if ($gantry->countModules('utility')) : ?>
							<div id="rt-utility">
								<?php echo $gantry->displayModules('utility','standard','standard'); ?>
								<div class="clear"></div>
							</div>
							<?php /** End Utility **/ endif; ?>
							<?php /** Begin Main Top **/ if ($gantry->countModules('maintop')) : ?>
							<div id="rt-maintop">
								<?php echo $gantry->displayModules('maintop','standard','standard'); ?>
								<div class="clear"></div>
							</div>
							<?php /** End Main Top **/ endif; ?>
							<?php /** Begin Breadcrumbs **/ if ($gantry->countModules('breadcrumb')) : ?>
							<div id="rt-breadcrumbs">
								<?php echo $gantry->displayModules('breadcrumb','basic','breadcrumbs'); ?>
								<div class="clear"></div>
							</div>
							<?php /** End Breadcrumbs **/ endif; ?>
							<?php /** Begin Main Body **/ ?>
						    <?php echo $gantry->displayMainbody('mainbody','sidebar','standard','standard','standard','standard','standard'); ?>
							<?php /** End Main Body **/ ?>
							<?php /** Begin Main Bottom **/ if ($gantry->countModules('mainbottom')) : ?>
							<div id="rt-mainbottom">
								<?php echo $gantry->displayModules('mainbottom','standard','standard'); ?>
								<div class="clear"></div>
							</div>
							<?php /** End Main Bottom **/ endif; ?>
							<?php /** Begin Extension **/ if ($gantry->countModules('extension')) : ?>
							<div id="rt-extension">
								<div class="rt-container">
									<?php echo $gantry->displayModules('extension','standard','standard'); ?>
									<div class="clear"></div>
								</div>
							</div>
							<?php /** End Extension **/ endif; ?>
						</div>
					</div>
				</div>
			</div>
			<?php /** Begin Panel **/ if ($gantry->countModules('panel')) : ?>
			<?php echo $gantry->displayModules('panel','basic','basic'); ?>
			<?php /** End Panel **/ endif; ?>
			<?php /** Begin Social **/ if ($gantry->countModules('social')) : ?>
			<?php echo $gantry->displayModules('social','basic','basic'); ?>
			<?php /** End Social **/ endif; ?>
		</div>
		<?php if ($gantry->get('footerwidth') == 'wrapped'): ?>
		<div class="rt-container">
		<?php endif; ?>
			<?php /** Begin Footer Section **/ if ($gantry->countModules('bottom') or $gantry->countModules('footer')) : ?>
			<div id="rt-footer-surround">
				<?php /** Begin Bottom **/ if ($gantry->countModules('bottom')) : ?>
				<div id="rt-bottom">
					<?php if ($gantry->get('footerwidth') == 'full'): ?>
					<div class="rt-container">
					<?php endif; ?>
						<?php echo $gantry->displayModules('bottom','standard','standard'); ?>
						<div class="clear"></div>
					<?php if ($gantry->get('footerwidth') == 'full'): ?>
					</div>
					<?php endif; ?>
				</div>
				<?php /** End Bottom **/ endif; ?>
				<?php /** Begin Footer **/ if ($gantry->countModules('footer')) : ?>
				<div id="rt-footer"><div id="rt-footer2">
					<?php if ($gantry->get('footerwidth') == 'full'): ?>
					<div class="rt-container">
					<?php endif; ?>
						<?php echo $gantry->displayModules('footer','standard','standard'); ?>
						<div class="clear"></div>
					<?php if ($gantry->get('footerwidth') == 'full'): ?>
					</div>
					<?php endif; ?>
				</div></div>
				<?php /** End Footer **/ endif; ?>
			</div>
			<?php /** End Footer Section **/ endif; ?>
			<?php /** Begin Copyright **/ if ($gantry->countModules('copyright')) : ?>
			<div id="rt-copyright"><div id="rt-copyright2">
				<?php if ($gantry->get('footerwidth') == 'full'): ?>
				<div class="rt-container">
				<?php endif; ?>
					<?php echo $gantry->displayModules('copyright','standard','standard'); ?>
					<div class="clear"></div>
				<?php if ($gantry->get('footerwidth') == 'full'): ?>
				</div>
				<?php endif; ?>
			</div></div>
			<?php /** End Copyright **/ endif; ?>
		<?php if ($gantry->get('footerwidth') == 'wrapped'): ?>
		</div>
		<?php endif; ?>
		<?php /** Begin Debug **/ if ($gantry->countModules('debug')) : ?>
		<div id="rt-debug">
			<div class="rt-container">
				<?php echo $gantry->displayModules('debug','standard','standard'); ?>
				<div class="clear"></div>
			</div>
		</div>
		<?php /** End Debug **/ endif; ?>
		<?php /** Begin Popups **/
		echo $gantry->displayModules('popup','popup','popup');
		echo $gantry->displayModules('login','login','popup');
		/** End Popup s**/ ?>
		<?php /** Begin Analytics **/ if ($gantry->countModules('analytics')) : ?>
		<?php echo $gantry->displayModules('analytics','basic','basic'); ?>
		<?php /** End Analytics **/ endif; ?>
	</body>
</html>
<?php
$gantry->finalize();

?>
