<?php
/**
 * @package   $Id: styledeclaration.php 26121 2015-01-27 15:22:36Z james $
* @version   $Id: styledeclaration.php 26121 2015-01-27 15:22:36Z james $
* @author		RocketTheme http://www.rockettheme.com
* @copyright  Copyright (C) 2007 - 2019 RocketTheme, LLC
* @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Gantry uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */
defined('JPATH_BASE') or die();

gantry_import('core.gantryfeature');

class GantryFeatureStyleDeclaration extends GantryFeature {
	var $_feature_name = 'styledeclaration';

	function isEnabled() {
		global $gantry;
		$menu_enabled = $this->get('enabled');

		if (1 == (int)$menu_enabled) return true;
		return false;
	}

function init() {
		global $gantry;

	   	$gantry->addLess('global.less', 'master.css', 8);
		$browser = $gantry->browser;

	// COLORCHOOSER

	// Color Accent
	$css = '.readon, #rt-top-surround, .menutop li.root:hover > .item .item-border, .menutop li.root.f-mainparent-itemfocus > .item .item-border, .menutop li.root.active > .item .item-border, .rt-splitmenu .menutop li:hover > .item .item-border, .rt-splitmenu .menutop li.active > .item .item-border, .component-content .rt-article-icons .icon, .component-content .rt-article-icons.no-icons ul li.edit-icon a, .totop-block #gantry-totop:hover, #rt-accessibility a, .box2 .rt-block, .component-content .rt-article-icons .print-icon a, .component-content .rt-article-icons .email-icon a, .component-content .rt-article-icons .edit-icon a, #rt-main-container .module-content ul.menu > li.active > a, #rt-main-container .module-content ul.menu > li:hover > a, .title2 .module-surround .module-border, .title4 .module-title, .layout-slideshow .sprocket-features-pagination li.active, .sprocket-headlines-navigation .arrow,.sprocket-lists ul li.active .sprocket-lists-title, .sprocket-lists .sprocket-lists-pagination ul li.active {background-color:'.$gantry->get('accent-color').';}'."\n";
    $css .= 'button, a.btn, input.button, input.btn {background-color:'.$gantry->get('accent-color').';}'."\n";
	$css .= 'a, body #rt-main .module-content .menu li li > a, body #rt-main .module-content ul.menu li li.active > .item span, body #rt-main .module-content ul.menu li.parent li .item:hover span, body #rt-main .module-content ul.menu li li .separator, .item-title, .box3 a:hover, #rt-top-surround .box7 a, .style-panel-toggle:hover, ul.autocompleter-choices span.autocompleter-queried, #rt-main-container .rt-splitmenu .rt-menubar li li > a {color:'.$gantry->get('accent-color').';}'."\n";
	$css .= '#rt-accessibility a, .rt-joomla .contact .inputbox:focus, #com-form-login .inputbox:focus, #josForm .inputbox:focus, .search_result .inputbox:focus, .inputbox:focus, textarea:focus, #form-login .inputbox:focus, #com-form-login .inputbox:focus, #josForm .inputbox:focus, .component-block .inputbox:focus, .component-block #form-login .inputbox:focus, .component-block #com-form-login .inputbox:focus, .component-block #josForm .inputbox:focus, .component-block .component-content .search_result .inputbox:focus, .component-block .component-content .contact .inputbox:focus, .component-block .component-content .user input#email:focus, .component-block .component-content .user input#name:focus, .component-block .component-content .user input#username:focus, .component-block .component-content .user input#password:focus, .component-block .component-content .user input#passwd:focus, .component-block .component-content .user input#password2:focus, .rt-joomla .contact input.required:focus, .rt-joomla .contact textarea.required:focus, .rt-joomla .user .inputbox:focus {border: 1px solid '.$gantry->get('accent-color').';}'."\n";
	$css .= '.menutop > .fusion-js-subs > .fusion-submenu-wrapper.level2 .rt-arrow-pointer {border-top-color:'.$gantry->get('bg-background').';}'."\n";
	$css .= '.component-block .inputbox:focus, .component-block textarea:focus, .inputbox:focus, textarea:focus, .rt-joomla .contact input.required:focus, .rt-joomla .contact textarea.required:focus, .rt-joomla .user .inputbox:focus {box-shadow: inset 0 1px 3px '.$this->_RGBA($gantry->get('accent-color'), '0.6').', 0 0 8px '.$this->_RGBA($gantry->get('accent-color'), '0.6').';}'."\n";
	$css .= 'body ul.circle-checkmark li:before, body ul.square-checkmark li:before, body ul.checkmark li:after, body ul.triangle-small li:after, body ul.triangle li:after, body ul.triangle-large li:after, body ul.circle-small li:after, body ul.circle li:after, body ul.circle-large li:after {border-color:'.$gantry->get('accent-color').';}'."\n";
	$css .= '.layout-slideshow .sprocket-features-pagination li.active:before {border-right-color:'.$gantry->get('accent-color').';}'."\n";
	$css .= '.layout-top .sprocket-tabs-nav li.active {border-bottom-color:'.$gantry->get('accent-color').';}'."\n";
	$css .= '.layout-bottom .sprocket-tabs-nav li.active {border-top-color:'.$gantry->get('accent-color').';}'."\n";
	$css .= '.layout-left .sprocket-tabs-nav li.active {border-right-color:'.$gantry->get('accent-color').';}'."\n";
	$css .= '.layout-right .sprocket-tabs-nav li.active {border-left-color:'.$gantry->get('accent-color').';}'."\n";

	$css .= 'body, .box4 .rt-block, #rt-footer, #rt-copyright, .pattern-item, .component-block .box1 .module-surround {background-color:'.$gantry->get('bg-background').';}'."\n";

	$css .= '.component-block a, #rt-content-bottom a, #rt-content-top a {color:'.$gantry->get('body-color').';}'."\n";
	$css .= '.component-block .readon, #rt-content-bottom .readon, #rt-content-top .readon {background-color:'.$gantry->get('body-color').';}'."\n";
    $css .= '.component-block button, .component-block a.btn, .component-block input.button, .component-block input.btn {background-color:'.$gantry->get('body-color').';}'."\n";

	$color = new Color($gantry->get('bg-background'));

	if ($gantry->get('bg-overlay')=='dark') {
		$css .= '#rt-main-container {background-color:'.$color->lighten('10%').';}'."\n";
		$css .= '.title3 .module-title {background-color:'.$color->lighten('5%').';}'."\n";
		$css .= '.sprocket-bottom-gradient {'.$this->_createGradient('bottom', $color->lighten('10%'), '1', '0%', $color->lighten('10%'), '0', '100%').'}'."\n";
	} else {
		$css .= '#rt-main-container {background-color:'.$color->lighten('10%').';}'."\n";
		$css .= '.title3 .module-title {background-color:'.$color->lighten('5%').';}'."\n";
		$css .= '.sprocket-bottom-gradient {'.$this->_createGradient('bottom', $color->lighten('10%'), '1', '0%', $color->lighten('10%'), '0', '100%').'}'."\n";
	}

		// Static file
		if ($gantry->get('static-enabled')) {
			// do file stuff
			jimport('joomla.filesystem.file');
			$filename = $gantry->templatePath.DS.'css'.DS.'static-styles.css';

			if (file_exists($filename)) {
				if ($gantry->get('static-check')) {
					//check to see if it's outdated

					$md5_static = md5_file($filename);
					$md5_inline = md5($css);

					if ($md5_static != $md5_inline) {
						JFile::write($filename, $css);
					}
				}
			} else {
				// file missing, save it
				JFile::write($filename, $css);
			}
			// add reference to static file
			$gantry->addStyle('static-styles.css',99);

		} else {
			// add inline style
			$gantry->addInlineStyle($css);
		}

		$this->_disableRokBoxForiPhone();

		// Style Inclusion
		$bgstyle = $gantry->get('bg-overlay');
		$gantry->addStyle('background-'.$bgstyle.".css");
		$bodystyle = $gantry->get('body-overlay');
		$gantry->addStyle('body-'.$bodystyle.".css");
		$gantry->addStyle('accents.css');
		if ($gantry->get('layout-mode')=="responsive") $gantry->addStyle('responsive.css');
        if ($gantry->get('layout-mode')=="960fixed") $gantry->addStyle('960fixed.css');
        if ($gantry->get('layout-mode')=="1200fixed") $gantry->addStyle('1200fixed.css');
        
		if ($gantry->get('typography-enabled')) $gantry->addStyle('typography.css');
		if ($gantry->get('extensions')) $gantry->addStyle('extensions.css');
		if ($gantry->get('extensions')) $gantry->addStyle('extensions-overlays.css');
		if ($gantry->get('extensions')) $gantry->addStyle('extensions-'.$bgstyle.'.css');
	}

	function _createGradient($direction, $from, $fromOpacity, $fromPercent, $to, $toOpacity, $toPercent){
		global $gantry;
		$browser = $gantry->browser;

		$fromColor = $this->_RGBA($from, $fromOpacity);
		$toColor = $this->_RGBA($to, $toOpacity);
		$gradient = $default_gradient = '';

		$default_gradient = 'background: linear-gradient('.$direction.', '.$fromColor.' '.$fromPercent.', '.$toColor.' '.$toPercent.');';

		switch ($browser->engine) {
			case 'gecko':
				$gradient = ' background: -moz-linear-gradient('.$direction.', '.$fromColor.' '.$fromPercent.', '.$toColor.' '.$toPercent.');';
				break;

			case 'webkit':
				if ($browser->shortversion < '5.1'){

					switch ($direction){
						case 'top':
							$from_dir = 'left top'; $to_dir = 'left bottom'; break;
						case 'bottom':
							$from_dir = 'left bottom'; $to_dir = 'left top'; break;
						case 'left':
							$from_dir = 'left top'; $to_dir = 'right top'; break;
						case 'right':
							$from_dir = 'right top'; $to_dir = 'left top'; break;
					}
					$gradient = ' background: -webkit-gradient(linear, '.$from_dir.', '.$to_dir.', color-stop('.$fromPercent.','.$fromColor.'), color-stop('.$toPercent.','.$toColor.'));';
				} else {
					$gradient = ' background: -webkit-linear-gradient('.$direction.', '.$fromColor.' '.$fromPercent.', '.$toColor.' '.$toPercent.');';
				}
				break;

			case 'presto':
				$gradient = ' background: -o-linear-gradient('.$direction.', '.$fromColor.' '.$fromPercent.', '.$toColor.' '.$toPercent.');';
				break;

			case 'trident':
				if ($browser->shortversion >= '10'){
					$gradient = ' background: -ms-linear-gradient('.$direction.', '.$fromColor.' '.$fromPercent.', '.$toColor.' '.$toPercent.');';
				} else if ($browser->shortversion <= '6'){
					$gradient = $from;
					$default_gradient = '';
				} else {

					$gradient_type = ($direction == 'left' || $direction == 'right') ? 1 : 0;
					$from_nohash = str_replace('#', '', $from);
					$to_nohash = str_replace('#', '', $to);

					if (strlen($from_nohash) == 3) $from_nohash = str_repeat(substr($from_nohash, 0, 1), 6);
					if (strlen($to_nohash) == 3) $to_nohash = str_repeat(substr($to_nohash, 0, 1), 6);

					if ($fromOpacity == 0 || $fromOpacity == '0' || $fromOpacity == '0%') $from_nohash = '00' . $from_nohash;
					if ($toOpacity == 0 || $toOpacity == '0' || $toOpacity == '0%') $to_nohash = '00' . $to_nohash;

					$gradient = " filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#".$to_nohash."', endColorstr='#".$from_nohash."',GradientType=".$gradient_type." );";

					$default_gradient = '';

				}
				break;

			default:
				$gradient = $from;
				$default_gradient = '';
				break;
		}

		return	$default_gradient . $gradient;
	}

	function _HEX2RGB($hexStr, $returnAsString = false, $seperator = ','){
		$hexStr = preg_replace("/[^0-9A-Fa-f]/", '', $hexStr);
		$rgbArray = array();

		if (strlen($hexStr) == 6){
			$colorVal = hexdec($hexStr);
			$rgbArray['red'] = 0xFF & ($colorVal >> 0x10);
			$rgbArray['green'] = 0xFF & ($colorVal >> 0x8);
			$rgbArray['blue'] = 0xFF & $colorVal;
		} elseif (strlen($hexStr) == 3){
			$rgbArray['red'] = hexdec(str_repeat(substr($hexStr, 0, 1), 2));
			$rgbArray['green'] = hexdec(str_repeat(substr($hexStr, 1, 1), 2));
			$rgbArray['blue'] = hexdec(str_repeat(substr($hexStr, 2, 1), 2));
		} else {
			return false;
		}

		return $returnAsString ? implode($seperator, $rgbArray) : $rgbArray;
	}

	function _RGBA($hex, $opacity){
		return 'rgba(' . $this->_HEX2RGB($hex, true) . ','.$opacity.')';
	}

	function _disableRokBoxForiPhone() {
		global $gantry;

		if ($gantry->browser->platform == 'iphone' || $gantry->browser->platform == 'android') {
			$gantry->addInlineScript("window.addEvent('domready', function() {\$\$('a[rel^=rokbox]').removeEvents('click');});");
		}
	}

}
