<?php
/**
 * @package    $Id: error.php 26121 2015-01-27 15:22:36Z james $
* @version   $Id: error.php 26121 2015-01-27 15:22:36Z james $
* @author     RocketTheme http://www.rockettheme.com
* @copyright  Copyright (C) 2007 - 2019 RocketTheme, LLC
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Gantry uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
if (!isset($this->error)) {
	$this->error = JError::raiseWarning( 403, JText::_('ALERTNOTAUTH') );
	$this->debug = false; 
}

// load and inititialize gantry class
global $gantry;
require_once(dirname(__FILE__) . '/lib/gantry/gantry.php');
$gantry->init();

$doc = JFactory::getDocument();
$doc->setTitle($this->error->getCode() . ' - '.$this->title);
ob_start();

?>
<body <?php echo $gantry->displayBodyTag(); ?>>
	<div id="rt-top-surround"><div id="rt-top-surround2">
		<?php /** Begin Header **/ if ($gantry->countModules('header')) : ?>
		<div id="rt-header">
			<div class="rt-container">
				<?php echo $gantry->displayModules('header','standard','standard'); ?>
				<div class="clear"></div>
			</div>
		</div>
		<?php /** End Header **/ endif; ?>
	</div></div>
	<?php /** Begin Navigation **/ if ($gantry->countModules('navigation')) : ?>
	<div id="rt-navigation"><div id="rt-navigation2">
		<?php if ($gantry->get('headerwidth') == 'full'): ?>
		<div class="rt-container">
		<?php endif; ?>
			<?php echo $gantry->displayModules('navigation','standard','standard'); ?>
			<div class="clear"></div>
		<?php if ($gantry->get('headerwidth') == 'full'): ?>
		</div>
		<?php endif; ?>
		<div class="rt-navborder"></div>
	</div></div>
	<?php /** End Navigation **/ endif; ?>
	<div id="rt-error-body">
		<div class="rt-container">
			<div id="rt-main-container">
				<div id="rt-body-surround" class="component-block component-content">
					<div class="rt-error-box">
						<h2>Error:</h2>
						<h1 class="error-title title"><span><?php echo $this->error->getCode(); ?></span> - <?php echo $this->error->getMessage(); ?></h1>
						<p><strong>You may not be able to visit this page because of:</strong></p>
						<ol>
							<li>an out-of-date bookmark/favourite</li>
							<li>a search engine that has an out-of-date listing for this site</li>
							<li>a mistyped address</li>
							<li>you have no access to this page</li>
							<li>The requested resource was not found.</li>
							<li>An error has occurred while processing your request.</li>
						</ol>
						<p></p>
						<p><a href="<?php echo $gantry->baseUrl; ?>" class="readon"><span>&larr; Home</span></a></p>
					</div>
				</div>
			</div>
		</div>
		<?php /** Begin Panel **/ if ($gantry->countModules('panel')) : ?>
		<?php echo $gantry->displayModules('panel','basic','basic'); ?>
		<?php /** End Panel **/ endif; ?>
		<?php /** Begin Social **/ if ($gantry->countModules('social')) : ?>
		<?php echo $gantry->displayModules('social','basic','basic'); ?>
		<?php /** End Social **/ endif; ?>
	</div>

</body>
</html>
<?php

$body = ob_get_clean();
$gantry->finalize();

if (!class_exists('JDocumentRendererHead')) {
    require_once(JPATH_LIBRARIES.'/joomla/document/html/renderer/head.php');
}
$header_renderer = new JDocumentRendererHead($doc);
$header_contents = $header_renderer->render(null);
ob_start();
?>
<!DOCTYPE html>
<html xml:lang="<?php echo $gantry->language; ?>" lang="<?php echo $gantry->language;?>" >
<head>

	<?php echo $header_contents; ?>

	<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/libraries/gantry/css/gantry.css" type="text/css" />
  	<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/libraries/gantry/css/grid-12.css" type="text/css" />
  	<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/libraries/gantry/css/joomla.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/joomla.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/background-<?php $bgstyle = $gantry->get('bg-overlay'); echo $bgstyle; ?>.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/body-<?php $bodystyle = $gantry->get('body-overlay'); echo $bodystyle; ?>.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/accents.css" type="text/css" />
	<?php if ($gantry->get('menutype') =="fusionmenu") : ?>
	<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/fusionmenu.css" type="text/css" />
	<?php endif; ?>
	<?php if ($gantry->get('menutype') =="splitmenu") : ?>
	<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/splitmenu.css" type="text/css" />
	<?php endif; ?>
	<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/template.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/error.css" type="text/css" />
	<style type="text/css">
		<?php 
			echo '.readon, #rt-top-surround, .menutop li.root:hover > .item .item-border, .menutop li.root.f-mainparent-itemfocus > .item .item-border, .menutop li.root.active > .item .item-border, .rt-splitmenu .menutop li:hover > .item .item-border, .rt-splitmenu .menutop li.active > .item .item-border, .component-content .rt-article-icons .icon, .totop-block #gantry-totop:hover, #rt-accessibility a, .box2 .rt-block, .roktabs-wrapper .arrow-next:hover, .roktabs-wrapper .arrow-prev:hover  {background-color:'.$gantry->get('accent-color').';}'."\n";
			echo 'a, .module-content ul.menu li.active > .item span, .module-content ul.menu li.parent li a:hover span, .module-content ul.menu li.parent li .item:hover span, .module-content ul.menu li.parent li .separator:hover span, .component-content .title span {color:'.$gantry->get('accent-color').';}'."\n";
			echo '#rt-accessibility a, .rt-joomla .contact .inputbox:focus, #com-form-login .inputbox:focus, #josForm .inputbox:focus, .search_result .inputbox:focus, .inputbox:focus, textarea:focus, #form-login .inputbox:focus, #com-form-login .inputbox:focus, #josForm .inputbox:focus, .component-block .inputbox:focus, .component-block #form-login .inputbox:focus, .component-block #com-form-login .inputbox:focus, .component-block #josForm .inputbox:focus, .component-block .component-content .search_result .inputbox:focus, .component-block .component-content .contact .inputbox:focus, .component-block .component-content .user input#email:focus, .component-block .component-content .user input#name:focus, .component-block .component-content .user input#username:focus, .component-block .component-content .user input#password:focus, .component-block .component-content .user input#passwd:focus, .component-block .component-content .user input#password2:focus {border: 1px solid '.$gantry->get('accent-color').';}'."\n";
			echo '.menutop > .fusion-js-subs > .fusion-submenu-wrapper.level2 .rt-arrow-pointer {border-top-color:'.$gantry->get('bg-background').';}'."\n";
			echo 'body, .box4 .rt-block {background-color:'.$gantry->get('bg-background').';}'."\n";
			echo '#errorboxheader {background: '.$gantry->get('accent-color').';}'."\n";
			$color = new Color($gantry->get('bg-background'));

			if ($gantry->get('bg-overlay')=='dark') {
		        echo '#rt-main-container {background-color:'.$color->lighten('10%').';}'."\n";
		        echo '.title3 .module-title {background-color:'.$color->lighten('5%').';}'."\n";
		    } else {
		        echo '#rt-main-container {background-color:'.$color->lighten('10%').';}'."\n";
		        echo '.title3 .module-title {background-color:'.$color->lighten('5%').';}'."\n";
		    }
		?>
	</style>
</head>
<?php
$header = ob_get_clean();
echo $header.$body;