#
# IMPORTANT - THIS FILE MUST BE SAVED WITH UTF-8 ENCODING ONLY. BEWARE IF EDITING!
#
SET FOREIGN_KEY_CHECKS=0;
SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

CREATE TABLE IF NOT EXISTS `#__rokcandy` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL,
  `macro` text COLLATE utf8_unicode_ci NOT NULL,
  `html` text COLLATE utf8_unicode_ci NOT NULL,
  `published` tinyint(1) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `ordering` int(11) NOT NULL,
  `params` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokcommon_configs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `extension` varchar(45) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `type` varchar(45) COLLATE utf8_unicode_ci NOT NULL,
  `file` varchar(256) COLLATE utf8_unicode_ci NOT NULL,
  `priority` int(10) NOT NULL DEFAULT '10',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_file_loves` (
  `file_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kount` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`file_id`),
  UNIQUE KEY `file_id` (`file_id`),
  CONSTRAINT `#__file_loves_file_id_files_id` FOREIGN KEY (`file_id`) REFERENCES `#__rokgallery_files` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_file_tags` (
  `file_id` int(10) unsigned NOT NULL DEFAULT '0',
  `tag` varchar(50) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`file_id`,`tag`),
  KEY `#__rokgallery_file_tags_file_id_idx` (`file_id`),
  CONSTRAINT `#__file_tags_file_id_files_id` FOREIGN KEY (`file_id`) REFERENCES `#__rokgallery_files` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_file_views` (
  `file_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kount` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`file_id`),
  UNIQUE KEY `file_id` (`file_id`),
  CONSTRAINT `#__file_views_file_id__files_id` FOREIGN KEY (`file_id`) REFERENCES `#__rokgallery_files` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_files` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `filename` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `guid` char(36) COLLATE utf8_unicode_ci NOT NULL,
  `md5` char(32) COLLATE utf8_unicode_ci NOT NULL,
  `title` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `description` text COLLATE utf8_unicode_ci,
  `license` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `xsize` int(10) unsigned NOT NULL,
  `ysize` int(10) unsigned NOT NULL,
  `filesize` int(10) unsigned NOT NULL,
  `type` char(20) COLLATE utf8_unicode_ci NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `slug` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `guid` (`guid`),
  UNIQUE KEY `#__files_sluggable_idx` (`slug`),
  KEY `#__rokgallery_files_published_idx` (`published`),
  KEY `#__rokgallery_files_md5_idx` (`md5`),
  KEY `#__rokgallery_files_guid_idx` (`guid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_files_index` (
  `keyword` varchar(200) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `field` varchar(50) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `position` bigint(20) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`keyword`,`field`,`position`,`id`),
  KEY `#__rokgallery_files_index_id_idx` (`id`),
  CONSTRAINT `#__rokgallery_files_index_id_idx` FOREIGN KEY (`id`) REFERENCES `#__rokgallery_files` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_filters` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `query` text COLLATE utf8_unicode_ci NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `rokgallery_profiles_name_idx` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_galleries` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `filetags` longtext COLLATE utf8_unicode_ci,
  `width` int(10) unsigned NOT NULL DEFAULT '910',
  `height` int(10) unsigned NOT NULL DEFAULT '500',
  `keep_aspect` tinyint(1) DEFAULT '0',
  `force_image_size` tinyint(1) DEFAULT '0',
  `thumb_xsize` int(10) unsigned NOT NULL DEFAULT '190',
  `thumb_ysize` int(10) unsigned NOT NULL DEFAULT '150',
  `thumb_background` varchar(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  `thumb_keep_aspect` tinyint(1) DEFAULT '0',
  `auto_publish` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `#__rokgallery_galleries_auto_publish_idx` (`auto_publish`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_jobs` (
  `id` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `type` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `properties` text COLLATE utf8_unicode_ci,
  `state` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `status` text COLLATE utf8_unicode_ci,
  `percent` bigint(20) unsigned DEFAULT NULL,
  `sm` text COLLATE utf8_unicode_ci NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_profiles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `profile` text COLLATE utf8_unicode_ci NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `#__rokgallery_profiles_name_idx` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_schema_version` (
  `version` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_slice_tags` (
  `slice_id` int(10) unsigned NOT NULL DEFAULT '0',
  `tag` varchar(50) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`slice_id`,`tag`),
  KEY `rokgallery_slice_tags_slice_id_idx` (`slice_id`),
  CONSTRAINT `#__slice_tags_slice_id_slices_id` FOREIGN KEY (`slice_id`) REFERENCES `#__rokgallery_slices` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_slices` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `file_id` int(10) unsigned NOT NULL,
  `gallery_id` int(10) unsigned DEFAULT NULL,
  `guid` char(36) COLLATE utf8_unicode_ci NOT NULL,
  `title` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL,
  `caption` text COLLATE utf8_unicode_ci,
  `link` text COLLATE utf8_unicode_ci,
  `filesize` int(10) unsigned NOT NULL,
  `xsize` int(10) unsigned NOT NULL,
  `ysize` int(10) unsigned NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `admin_thumb` tinyint(1) NOT NULL DEFAULT '0',
  `manipulations` longtext COLLATE utf8_unicode_ci,
  `palette` text COLLATE utf8_unicode_ci,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `slug` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `thumb_xsize` int(10) unsigned NOT NULL,
  `thumb_ysize` int(10) unsigned NOT NULL,
  `thumb_keep_aspect` tinyint(1) NOT NULL DEFAULT '1',
  `thumb_background` varchar(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ordering` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `guid` (`guid`),
  UNIQUE KEY `#__rokgallery_slices_sluggable_idx` (`slug`,`gallery_id`),
  KEY `rokgallery_slices_published_idx` (`published`),
  KEY `rokgallery_slices_guid_idx` (`guid`),
  KEY `file_id_idx` (`file_id`),
  KEY `gallery_id_idx` (`gallery_id`),
  CONSTRAINT `#__slices_file_id_files_id` FOREIGN KEY (`file_id`) REFERENCES `#__rokgallery_files` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `#__slices_gallery_id_galleries_id` FOREIGN KEY (`gallery_id`) REFERENCES `#__rokgallery_galleries` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_slices_index` (
  `keyword` varchar(200) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `field` varchar(50) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `position` bigint(20) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`keyword`,`field`,`position`,`id`),
  KEY `rokgallery_slices_index_id_idx` (`id`),
  CONSTRAINT `#__rokgallery_slices_index_id_idx` FOREIGN KEY (`id`) REFERENCES `#__rokgallery_slices` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__roksprocket_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `module_id` varchar(45) COLLATE utf8_unicode_ci NOT NULL,
  `provider` varchar(45) COLLATE utf8_unicode_ci NOT NULL,
  `provider_id` varchar(45) COLLATE utf8_unicode_ci NOT NULL,
  `order` int(10) unsigned NOT NULL,
  `params` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`),
  KEY `idx_module` (`module_id`),
  KEY `idx_module_order` (`module_id`,`order`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;


TRUNCATE `#__assets`;
TRUNCATE `#__categories`;
TRUNCATE `#__contact_details`;
TRUNCATE `#__content`;
TRUNCATE `#__content_frontpage`;
TRUNCATE `#__extensions`;
TRUNCATE `#__menu`;
TRUNCATE `#__menu_types`;
TRUNCATE `#__modules`;
TRUNCATE `#__modules_menu`;
TRUNCATE `#__rokcandy`;
TRUNCATE `#__rokcommon_configs`;
TRUNCATE `#__rokgallery_file_tags`;
TRUNCATE `#__rokgallery_files`;
TRUNCATE `#__rokgallery_files_index`;
TRUNCATE `#__rokgallery_galleries`;
TRUNCATE `#__rokgallery_schema_version`;
TRUNCATE `#__rokgallery_slices`;
TRUNCATE `#__rokgallery_slices_index`;
TRUNCATE `#__roksprocket_items`;
TRUNCATE `#__template_styles`;
TRUNCATE `#__update_sites`;
TRUNCATE `#__update_sites_extensions`;

INSERT IGNORE INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES (1,0,0,157,0,'root.1','Root Asset','{\"core.login.site\":{\"6\":1,\"2\":1},\"core.login.admin\":{\"6\":1},\"core.login.offline\":{\"6\":1},\"core.admin\":{\"8\":1},\"core.manage\":{\"7\":1},\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),(2,1,1,2,1,'com_admin','com_admin','{}'),(3,1,3,6,1,'com_banners','com_banners','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(4,1,7,8,1,'com_cache','com_cache','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),(5,1,9,10,1,'com_checkin','com_checkin','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),(6,1,11,12,1,'com_config','com_config','{}'),(7,1,13,18,1,'com_contact','com_contact','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(8,1,19,84,1,'com_content','com_content','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.delete\":[],\"core.edit\":{\"4\":1},\"core.edit.state\":{\"5\":1},\"core.edit.own\":[]}'),(9,1,85,86,1,'com_cpanel','com_cpanel','{}'),(10,1,87,88,1,'com_installer','com_installer','{\"core.admin\":[],\"core.manage\":{\"7\":0},\"core.delete\":{\"7\":0},\"core.edit.state\":{\"7\":0}}'),(11,1,89,90,1,'com_languages','com_languages','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(12,1,91,92,1,'com_login','com_login','{}'),(13,1,93,94,1,'com_mailto','com_mailto','{}'),(14,1,95,96,1,'com_massmail','com_massmail','{}'),(15,1,97,98,1,'com_media','com_media','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.delete\":{\"5\":1}}'),(16,1,99,100,1,'com_menus','com_menus','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(17,1,101,102,1,'com_messages','com_messages','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),(18,1,103,104,1,'com_modules','com_modules','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(19,1,105,108,1,'com_newsfeeds','com_newsfeeds','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(20,1,109,110,1,'com_plugins','com_plugins','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(21,1,111,112,1,'com_redirect','com_redirect','{\"core.admin\":{\"7\":1},\"core.manage\":[]}'),(22,1,113,114,1,'com_search','com_search','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1}}'),(23,1,115,116,1,'com_templates','com_templates','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(24,1,117,120,1,'com_users','com_users','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(26,1,121,122,1,'com_wrapper','com_wrapper','{}'),(27,8,20,21,2,'com_content.category.2','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(28,3,4,5,2,'com_banners.category.3','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(29,7,14,15,2,'com_contact.category.4','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(30,19,106,107,2,'com_newsfeeds.category.5','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(32,24,118,119,2,'com_users.notes.category.7','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(33,1,123,124,1,'com_finder','com_finder','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1}}'),(35,1,125,126,1,'com_rokcandy.category.8','Basic',''),(36,1,127,128,1,'com_rokcandy.category.9','Typography',''),(37,1,129,130,1,'com_rokcandy.category.10','Uncategorised',''),(38,1,131,132,1,'com_rokcandy','rokcandy','{}'),(40,1,133,134,1,'com_rokgallery','rokgallery','{}'),(41,8,22,47,2,'com_content.category.11','Demo Articles','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(42,41,23,24,3,'com_content.article.1','Template Features','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(43,41,25,26,3,'com_content.article.2','Module Positions','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(44,41,27,28,3,'com_content.article.3','Module Variations','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(45,41,29,30,3,'com_content.article.4','Template Typography','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(46,41,31,32,3,'com_content.article.5','Menu Options','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(47,41,33,34,3,'com_content.article.6','Integrated Extensions','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(48,41,35,36,3,'com_content.article.7','Tutorials and Guides','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(49,41,37,38,3,'com_content.article.8','Installation Instructions','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(50,41,39,40,3,'com_content.article.9','Logo Editing','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(51,41,41,42,3,'com_content.article.10','Preset Styles','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(52,41,43,44,3,'com_content.article.11','About Joomla!','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(53,8,48,65,2,'com_content.category.12','Sample Content','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(54,53,49,50,3,'com_content.article.12','Sample Content 1','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(55,53,51,52,3,'com_content.article.13','Sample Content 2','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(56,53,53,54,3,'com_content.article.14','Sample Content 3','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(57,53,55,56,3,'com_content.article.15','Sample Content 4','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(58,53,57,58,3,'com_content.article.16','Sample Content 5','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(59,53,59,60,3,'com_content.article.17','Sample Content 6','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(60,53,61,62,3,'com_content.article.18','Sample Content 7','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(61,53,63,64,3,'com_content.article.19','Sample Content 8','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(63,7,16,17,2,'com_contact.category.14','Contact','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(64,41,45,46,3,'com_content.article.20','Top Features','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(65,1,135,136,1,'com_roksprocket','roksprocket','{}'),(70,8,66,71,2,'com_content.category.16','FP Tabs','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(71,8,72,83,2,'com_content.category.17','FP Headlines/Lists','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(72,70,67,68,3,'com_content.article.24','Tutorials','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(73,70,69,70,3,'com_content.article.25','Support','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(74,71,73,74,3,'com_content.article.26','RokSprocket Extension','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(75,71,75,76,3,'com_content.article.27','Color Chooser Template','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(76,71,77,78,3,'com_content.article.28','Fusion and SplitMenu','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(77,71,79,80,3,'com_content.article.29','Customize the Logo','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(78,71,81,82,3,'com_content.article.30','Content Typography','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(79,1,137,138,1,'com_joomlaupdate','com_joomlaupdate','{\"core.admin\":{\"8\":1},\"core.manage\":{\"7\":1},\"core.delete\":{\"6\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(80,1,139,140,1,'com_tags','com_tags','{}'),(81,1,141,142,1,'com_contenthistory','com_contenthistory','{}'),(82,1,143,144,1,'com_ajax','com_ajax','{}'),(83,1,145,146,1,'com_postinstall','com_postinstall','{}'),(84,1,147,148,1,'com_gantry','Gantry','{}'),(85,1,149,150,1,'com_fields','com_fields','{}'),(86,1,151,152,1,'com_associations','com_associations','{}'),(87,1,153,154,1,'com_privacy','com_privacy','{}'),(88,1,155,156,1,'com_actionlogs','com_actionlogs','{}');

INSERT IGNORE INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`) VALUES (1,0,0,0,27,0,'','system','ROOT','root','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',348,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(2,27,1,1,2,1,'uncategorised','com_content','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',348,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(3,28,1,3,4,1,'uncategorised','com_banners','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\",\"foobar\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',348,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(4,29,1,5,6,1,'uncategorised','com_contact','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',348,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(5,30,1,7,8,1,'uncategorised','com_newsfeeds','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',348,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(7,32,1,9,10,1,'uncategorised','com_users','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',348,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(8,35,1,11,12,1,'basic','com_rokcandy','Basic','basic','','',1,0,'0000-00-00 00:00:00',1,'','','','',348,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'',1),(9,36,1,13,14,1,'typography','com_rokcandy','Typography','typography','','',1,0,'0000-00-00 00:00:00',1,'','','','',348,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'',1),(10,37,1,15,16,1,'uncategorised','com_rokcandy','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'','','','',348,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'',1),(11,41,1,17,18,1,'demo-articles','com_content','Demo Articles','demo-articles','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',348,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(12,53,1,19,20,1,'sample-content','com_content','Sample Content','sample-content','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',348,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(14,63,1,21,22,1,'contact','com_contact','Contact','contact','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',348,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(16,70,1,23,24,1,'fp-tabs','com_content','FP Tabs','fp-tabs','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',348,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(17,71,1,25,26,1,'fp-headlines-lists','com_content','FP Headlines/Lists','fp-headlines-lists','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',348,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1);

INSERT IGNORE INTO `#__contact_details` (`id`, `name`, `alias`, `con_position`, `address`, `suburb`, `state`, `country`, `postcode`, `telephone`, `fax`, `misc`, `image`, `email_to`, `default_con`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`, `user_id`, `catid`, `access`, `mobile`, `webpage`, `sortname1`, `sortname2`, `sortname3`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`, `version`, `hits`) VALUES (1,'Ionosphere','ionosphere','Site Owner','7001 St. Thomas Avenue','Seattle','WA','United States of America','00000','+1 555-555-5555','+1 555-555-5555','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh. Vivamus non arcu.','images/stories/ionosphere.jpg','email@mar12.demo.rockettheme.com',0,1,0,'0000-00-00 00:00:00',1,'{\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"presentation_style\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_profile\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linka\":null,\"linkb_name\":\"\",\"linkb\":null,\"linkc_name\":\"\",\"linkc\":null,\"linkd_name\":\"\",\"linkd\":null,\"linke_name\":\"\",\"linke\":\"\",\"contact_layout\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\"}',0,14,1,'+1 555-555-5555','http://demo.rockettheme.com/?template=ionosphere','','','','*','2019-04-02 14:26:44',348,'','0000-00-00 00:00:00',0,'','','{\"robots\":\"\",\"rights\":\"\"}',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00',1,0);

INSERT IGNORE INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`, `note`) VALUES (1,42,'Template Features','template-features','<h4>Revolutionary Joomla Template</h4>\r\n<p><strong>Ionosphere</strong>, the March 2012 template release, is an incredibly <strong>versatile</strong> template that places the <strong>artist\'s palette</strong> in your hands, through our most comprehensive <strong>Color Chooser</strong> system to date. The color selection system is completely <strong>dynamic</strong>, with just a few color choices, the template calculates the appropriate tone; in conjunction with <strong>background pattern</strong> parameters.</p>\r\n\r\n<div class=\"rt-center largemarginbottom largepaddingtop\">\r\n	<img src=\"images/stories/demo/general/template-features/template-features-big.png\" alt=\"Ionosphere\" width=\"909\" height=\"370\" />\r\n</div><br />\r\n\r\n<div class=\"rt-demo-grid-12\">\r\n\r\n\r\n	<div class=\"rt-demo-grid-3 nomarginleft\">\r\n		<ul class=\"checkmark blue nomarginbottom\">\r\n			<li><strong>12 Preset Styles</strong><br />Choose one of the included preset styles by specifying it in the template manager</li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class=\"rt-demo-grid-3\">\r\n		<ul class=\"checkmark blue nomarginbottom\">\r\n			<li class=\"nomarginbottom\"><strong>84 Module Positions</strong><br />To get you started right, Ionosphere is utilized with plenty of available modules</li>\r\n		</ul>	\r\n	</div>\r\n\r\n	<div class=\"rt-demo-grid-3\">\r\n		<ul class=\"checkmark blue nomarginbottom\">\r\n			<li class=\"nomarginbottom\"><strong>RokSprocket Integration</strong><br />A revolutionary Joomla 2.5 extension to replace a variety of content modules</li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class=\"rt-demo-grid-3 nomarginright\">\r\n		<ul class=\"checkmark blue nomarginbottom\">\r\n			<li class=\"nomarginbottom\"><strong>RokExtensions Styling</strong><br />There is compatibility styling for some major RocketTheme extensions in this template</li>\r\n		</ul>	\r\n	</div>	\r\n\r\n</div>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"module-title rt-center largemargintop largepaddingtop nomarginbottom\">\r\n	<h3 class=\"title\"><span>Interested?</span> Want to Use Ionosphere for Your Website?</h3><br />\r\n	<a target=\"_blank\" href=\"http://www.rockettheme.com/joomla-templates/ionosphere\" class=\"readon largemargintop\"><span style=\"font-size: 20px; padding: 7px 13px\">Download Ionosphere Now</span></a>\r\n</div>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"title5 largepaddingbottom\"><div class=\"module-title\"><div class=\"title\">&nbsp;</div></div></div>\r\n\r\n\r\n<div class=\"rt-demo-grid-4 rt-center nomarginright\">\r\n	<div class=\"module-title  nomarginbottom\">\r\n		<h3 class=\"title\"><span>Styles</span> Variation</h3>\r\n	</div>\r\n	<em>Multiple Preset Styles</em>\r\n	<a href=\"index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=117\"><img width=\"280\" height=\"100\" class=\"rt-image largemargintop\" src=\"images/stories/demo/general/template-features/feature-1.png\" alt=\"Ionosphere\" /></a>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-4 rt-center nomarginright\">\r\n	<div class=\"module-title  nomarginbottom\">\r\n		<h3 class=\"title\"><span>Modules</span> Layout</h3>\r\n	</div>\r\n	<em>Versatile &amp; Flexible Layout</em>\r\n	<a href=\"index.php?option=com_content&amp;view=article&amp;id=2&amp;Itemid=109\"><img width=\"280\" height=\"100\" class=\"rt-image largemargintop\" src=\"images/stories/demo/general/template-features/feature-2.png\" alt=\"Ionosphere\" /></a>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-4 rt-center nomarginright\">\r\n	<div class=\"module-title  nomarginbottom\">\r\n		<h3 class=\"title\"><span>Module</span> Variations</h3>\r\n	</div>\r\n	<em>Fashion &amp; Style the Module</em>\r\n	<a href=\"index.php?option=com_content&amp;view=article&amp;id=3&amp;Itemid=110\"><img width=\"280\" height=\"100\" class=\"rt-image largemargintop\" src=\"images/stories/demo/general/template-features/feature-3.png\" alt=\"Ionosphere\" /></a>\r\n</div>\r\n\r\n<div class=\"clear\"></div><br />\r\n\r\n<div class=\"rt-demo-grid-4 rt-center nomarginright\">\r\n	<div class=\"module-title  nomarginbottom\">\r\n		<h3 class=\"title\"><span>Menu</span> Options</h3>\r\n	</div>\r\n	<em>Integrated Powerful Menu System</em>\r\n	<a href=\"index.php?option=com_content&amp;view=article&amp;id=5&amp;Itemid=112\"><img width=\"280\" height=\"100\" class=\"rt-image largemargintop\" src=\"images/stories/demo/general/template-features/feature-4.png\" alt=\"Ionosphere\" /></a>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-4 rt-center nomarginright\">\r\n	<div class=\"module-title  nomarginbottom\">\r\n		<h3 class=\"title\"><span>Typography</span></h3>\r\n	</div>\r\n	<em>Make the Content Sexier</em>\r\n	<a href=\"index.php?option=com_content&amp;view=article&amp;id=4&amp;Itemid=111\"><img width=\"280\" height=\"100\" class=\"rt-image largemargintop\" src=\"images/stories/demo/general/template-features/feature-5.png\" alt=\"Ionosphere\" /></a>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-4 rt-center nomarginright\">\r\n	<div class=\"module-title  nomarginbottom\">\r\n		<h3 class=\"title\"><span>Styled</span> Extensions</h3>\r\n	</div>\r\n	<em>RocketTheme Extensions Styled</em>\r\n	<a href=\"index.php?option=com_content&amp;view=article&amp;id=6&amp;Itemid=113\"><img width=\"280\" height=\"100\" class=\"rt-image largemargintop\" src=\"images/stories/demo/general/template-features/feature-6.png\" alt=\"Ionosphere\" /></a>\r\n</div>\r\n\r\n<div class=\"clear\"></div><br />\r\n\r\n<div class=\"rt-demo-grid-4 rt-center nomarginright\">\r\n	<div class=\"module-title  nomarginbottom\">\r\n		<h3 class=\"title\"><span>RokSprocket</span> Styled</h3>\r\n	</div>\r\n	<em>Inclusive RokSprocket Integration</em>\r\n	<a href=\"index.php?option=com_content&amp;view=article&amp;id=6&amp;Itemid=113\"><img width=\"280\" height=\"100\" class=\"rt-image largemargintop\" src=\"images/stories/demo/general/template-features/feature-7.png\" alt=\"Ionosphere\" /></a>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-4 rt-center nomarginright\">\r\n	<div class=\"module-title  nomarginbottom\">\r\n		<h3 class=\"title\"><span>Style</span> Panel</h3>\r\n	</div>\r\n	<em>Frontend Configuration Panel</em>\r\n	<a href=\"index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=117\"><img width=\"280\" height=\"100\" class=\"rt-image largemargintop\" src=\"images/stories/demo/general/template-features/feature-8.png\" alt=\"Ionosphere\" /></a>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-4 rt-center nomarginright\">\r\n	<div class=\"module-title  nomarginbottom\">\r\n		<h3 class=\"title\"><span>Joomla!</span> Stuff</h3>\r\n	</div>\r\n	<em>Styled for Regular Joomla! Stuffs</em>\r\n	<a href=\"index.php?option=com_content&amp;view=article&amp;id=11&amp;Itemid=118\"><img width=\"280\" height=\"100\" class=\"rt-image largemargintop\" src=\"images/stories/demo/general/template-features/feature-9.png\" alt=\"Ionosphere\" /></a>\r\n</div>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"title5 largepaddingbottom\"><div class=\"module-title\"><div class=\"title\">&nbsp;</div></div></div>\r\n\r\n<div class=\"rt-demo-grid-8 nomarginright\">\r\n	<div class=\"module-title\">\r\n		<h1 class=\"title\"><span>Gantry Framework</span> Features</h1>\r\n	</div>\r\n	<div class=\"rt-demo-grid-4 nomarginright nomarginleft\">\r\n		<ul class=\"checkmark blue nomarginbottom\">\r\n			<li><strong>960 Grid System</strong><br />CSS grid framework for constructing web content based on a width of 960 pixels</li>\r\n			<li class=\"nomarginbottom\"><strong>Per-menu-item Configuration</strong><br />Powerful feature in Gantry to control configuration on a per-menu-item basis</li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class=\"rt-demo-grid-4 nomarginright\">\r\n		<ul class=\"checkmark blue nomarginbottom\">\r\n			<li><strong>iPhone / Android Compatible</strong><br />iPhone, iPod Touch, iPad, and Android custom theme support</li>	\r\n			<li class=\"nomarginbottom\"><strong>Grid RTL Support</strong><br />Built in RTL support which will automatically order the layout to support RTL.</li>\r\n		</ul>	\r\n	</div>	\r\n\r\n	<a href=\"images/stories/demo/general/template-features/rtl-layout.jpg\" rel=\"rokbox[463 700]\" title=\"RTL Layout\">\r\n	<img width=\"300\" height=\"240\" class=\"floatleft nomarginright largemargintop\" src=\"images/stories/demo/general/template-features/feature-11.png\" alt=\"RTL Layout\" /></a>\r\n\r\n	<img style=\"margin-right: -3px;\" width=\"263\" height=\"200\" class=\"floatright largemargintop\" src=\"images/stories/demo/general/template-features/feature-12.png\" alt=\"iPhone/Android Compatible\" />\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-4 title5 nomarginleft nomarginright largemargintop largepaddingtop\">\r\n	<img width=\"300\" height=\"392\" src=\"images/stories/demo/general/template-features/feature-13.png\" alt=\"Ionosphere\" />\r\n</div>\r\n\r\n<div class=\"clear\"></div>','',1,11,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,11,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(2,43,'Module Positions','module-positions','<div class=\"module-title \"><h2 class=\"title\">Module Positions Diagram</h2></div>\r\n<p class=\"notice\">If no modules are published to a position, the entire area or row will not appear/collapse.</p>\r\n<img src=\"images/stories/demo/general/position-3.jpg\" alt=\"Module Positions\" class=\"rt-image\" height=\"1000\" width=\"424\" />\r\n<div class=\"rt-center\"><a class=\"readon\"  href=\"http://www.gantry-framework.org/documentation/joomla/configure/layouts\"><span>Documentation: Gantry Framework Layouts</span></a></div>','',1,11,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,10,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(3,44,'Module Variations','module-variations','<p>There are <strong>11 stylistic module class suffixes</strong>, these add a unique style variation to the module: <strong>box1-7</strong> and <strong>title1-4</strong>; and 26 structural suffixes, these affect the layout and metrics of the module.</p>\r\n\r\n<div class=\"title5\"><div class=\"module-title\"><h2 class=\"title\">Module Suffix \"title\"</h2><div class=\"clear\"></div></div></div>\r\n<p class=\"nomarginbottom\">There are <strong>4 variations</strong> to change the module title: title1-4.</p>\r\n\r\n<div class=\"rt-demo-grid-4\">\r\n	<div class=\"title1\">\r\n		<div class=\"rt-block\">\r\n			<div class=\"module-surround\">\r\n				<div class=\"module-title\">\r\n					<h2 class=\"title\"><span>title1</span></h2>\r\n					<div class=\"module-border\"></div>\r\n				</div>\r\n		       	<div class=\"module-content\">\r\n		            <p>An example module using the <strong>title1</strong> module class suffix.</p>\r\n					<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh.</p>\r\n					<a class=\"readon\" href=\"#\"><span>More</span></a>\r\n					<div class=\"clear\"></div>\r\n				</div>\r\n			</div>\r\n	    </div>\r\n	</div>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-4\">\r\n	<div class=\"title2\">\r\n		<div class=\"rt-block\">\r\n			<div class=\"module-surround\">\r\n				<div class=\"module-title\">\r\n					<h2 class=\"title\"><span>title2</span></h2>\r\n					<div class=\"module-border\"></div>\r\n				</div>\r\n		       	<div class=\"module-content\">\r\n		            <p>An example module using the <strong>itle2</strong> module class suffix.</p>\r\n					<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh.</p>\r\n					<a class=\"readon\" href=\"#\"><span>More</span></a>\r\n					<div class=\"clear\"></div>\r\n				</div>\r\n			</div>\r\n	    </div>\r\n	</div>\r\n</div>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"rt-demo-grid-4\">\r\n	<div class=\"title3\">\r\n		<div class=\"rt-block\">\r\n			<div class=\"module-surround\">\r\n				<div class=\"module-title\">\r\n					<h2 class=\"title\"><span>title3</span></h2>\r\n				</div>\r\n		       	<div class=\"module-content\">\r\n		            <p>An example module using the <strong>title3</strong> module class suffix.</p>\r\n					<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh.</p>\r\n					<a class=\"readon\" href=\"#\"><span>More</span></a>\r\n					<div class=\"clear\"></div>\r\n				</div>\r\n			</div>\r\n	    </div>\r\n	</div>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-4\">\r\n	<div class=\"title4\">\r\n		<div class=\"rt-block\">\r\n			<div class=\"module-surround\">\r\n				<div class=\"module-title\">\r\n					<h2 class=\"title\"><span>title4</span></h2>\r\n				</div>\r\n		       	<div class=\"module-content\">\r\n		            <p>An example module using the <strong>title4</strong> module class suffix.</p>\r\n					<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh.</p>\r\n					<a class=\"readon\" href=\"#\"><span>More</span></a>\r\n					<div class=\"clear\"></div>\r\n				</div>\r\n			</div>\r\n	    </div>\r\n	</div>\r\n</div>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<div style=\"border: 1px dotted #ccc;\"></div>\r\n\r\n<br />\r\n\r\n<div class=\"title5\"><div class=\"module-title\"><h2 class=\"title\">Module Suffix \"box\"</h2><div class=\"clear\"></div></div></div>\r\n\r\n<p class=\"nomarginbottom\">There are 7 variations to change the module background: box1-7.</p>\r\n\r\n<div class=\"rt-demo-grid-3\">\r\n	<div class=\"box1\">\r\n		<div class=\"rt-block\">\r\n			<div class=\"module-surround\">\r\n				<div class=\"module-title\">\r\n					<h2 class=\"title\"><span>box1</span></h2>\r\n				</div>\r\n		       	<div class=\"module-content\">\r\n		            <p>An example module using the <strong>box1</strong> module class suffix.</p>\r\n					<a class=\"readon\" href=\"#\"><span>More</span></a>\r\n					<div class=\"clear\"></div>\r\n				</div>\r\n			</div>\r\n	    </div>\r\n	</div>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-3\">\r\n	<div class=\"box2\">\r\n		<div class=\"rt-block\">\r\n			<div class=\"module-surround\">\r\n				<div class=\"module-title\">\r\n					<h2 class=\"title\"><span>box2</span></h2>\r\n				</div>\r\n		       	<div class=\"module-content\">\r\n		            <p>An example module using the <strong>box2</strong> module class suffix.</p>\r\n					<a class=\"readon\" href=\"#\"><span>More</span></a>\r\n					<div class=\"clear\"></div>\r\n				</div>\r\n			</div>\r\n	    </div>\r\n	</div>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-3\">\r\n	<div class=\"box3\">\r\n		<div class=\"rt-block\">\r\n			<div class=\"module-surround\">\r\n				<div class=\"module-title\">\r\n					<h2 class=\"title\"><span>box3</span></h2>\r\n				</div>\r\n		       	<div class=\"module-content\">\r\n		            <p>An example module using the <strong>box3</strong> module class suffix.</p>\r\n					<a class=\"readon\" href=\"#\"><span>More</span></a>\r\n					<div class=\"clear\"></div>\r\n				</div>\r\n			</div>\r\n	    </div>\r\n	</div>\r\n</div>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"rt-demo-grid-3\">\r\n	<div class=\"box4\">\r\n		<div class=\"rt-block\">\r\n			<div class=\"module-surround\">\r\n				<div class=\"module-title\">\r\n					<h2 class=\"title\"><span>box4</span></h2>\r\n				</div>\r\n		       	<div class=\"module-content\">\r\n		            <p>An example module using the <strong>box4</strong> module class suffix.</p>\r\n					<a class=\"readon\" href=\"#\"><span>More</span></a>\r\n					<div class=\"clear\"></div>\r\n				</div>\r\n			</div>\r\n	    </div>\r\n	</div>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-3\">\r\n	<div class=\"box5\">\r\n		<div class=\"rt-block\">\r\n			<div class=\"module-surround\">\r\n				<div class=\"module-title smallmarginbottom\">\r\n					<h2 class=\"title\"><span>box5</span></h2>\r\n				</div>\r\n		       	<div class=\"module-content\">\r\n		            <p class=\"no\">An example module using the <strong>box5</strong> module class suffix.</p>\r\n					<a class=\"readon\" href=\"#\"><span>More</span></a>\r\n					<div class=\"clear\"></div>\r\n				</div>\r\n			</div>\r\n	    </div>\r\n	</div>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-3\">\r\n	<div class=\"box6\">\r\n		<div class=\"rt-block\">\r\n			<div class=\"module-surround\">\r\n				<div class=\"module-title\">\r\n					<h2 class=\"title\"><span>box6</span></h2>\r\n				</div>\r\n		       	<div class=\"module-content\">\r\n		            <p>An example module using the <strong>box6</strong> module class suffix.</p>\r\n					<a class=\"readon\" href=\"#\"><span>More</span></a>\r\n					<div class=\"clear\"></div>\r\n				</div>\r\n			</div>\r\n	    </div>\r\n	</div>\r\n</div>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"rt-demo-grid-3\">\r\n	<div class=\"box7\">\r\n		<div class=\"rt-block\">\r\n			<div class=\"module-surround\">\r\n				<div class=\"module-title\">\r\n					<h2 class=\"title\"><span>box7</span></h2>\r\n				</div>\r\n		       	<div class=\"module-content\">\r\n		            <p>An example module using the <strong>box7</strong> module class suffix.</p>\r\n					<a class=\"readon\" href=\"#\"><span>More</span></a>\r\n					<div class=\"clear\"></div>\r\n				</div>\r\n			</div>\r\n	    </div>\r\n	</div>\r\n</div>\r\n\r\n<div class=\"clear\"></div>','',1,11,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,9,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(4,45,'Template Typography','template-typography','<h4>Creating Beautiful Content With Simple Code</h4>\r\n\r\n<p>Typography is a fundamental part of a template, providing you with the tools to characterise your content and bring it to life. There is a vast array of typography available with Ionosphere template, as is with our previous releases, from list styles, notice blocks and a diverse number of other elements. </p>\r\n\r\n<p class=\"notice\">If you are using the TinyMCE editor for HTML typography, go to <strong>Extensions &rarr; Plugin Manager &rarr; TinyMCE 2.0 &rarr; Set Code Clean-up on Save to Never</strong>.</p>\r\n\r\n<div class=\"rt-demo-grid-6 title5\">\r\n	<div class=\"module-title\">\r\n		<h3 class=\"title\">&lt;h1&gt; Heading Styles</h3>\r\n	</div>	\r\n	<h1>H1. Heading 1</h1>\r\n	<h2>H2. Heading 2</h2>\r\n	<h3>H3. Heading 3</h3>\r\n	<h4>H4. Heading 4</h4>\r\n	<h5>H5. Heading 5</h5>\r\n	<h1 class=\"rt-pagetitle\">H1. Component Page Title</h1>\r\n	<h1 class=\"title nomarginbottom\">H1. Component Content Title</h1>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-6 floatright title5\">\r\n	<div class=\"module-title\">\r\n		<h3 class=\"title\">&lt;ul&gt; List Styles</h3>\r\n	</div>	\r\n	<ul>\r\n		<li><em>This is an example of a standard list style.</em> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh.</li>\r\n		<li><em>This is an example of a standard list style.</em> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh.</li>\r\n	</ul>\r\n	<br /><br />\r\n	<ul class=\"dots\">\r\n	    <li>To use this style create a list in the following format: <strong>&lt;ul class=\"</strong><em class=\"normal\">dots</em><strong>\"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt; (HTML)</strong>.</li>\r\n	    <li>To use this style create a list in the following format: <strong>&#91;list class=\" dots\"&#93;&#91;li&#93;....&#91;/li&#93;&#91;li....&#91;/li&#93;&#91;/list&#93; (ROKCANDY)</strong>.</li>\r\n	</ul>\r\n</div>\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"title5 largepaddingbottom\"><div class=\"module-title\"><div class=\"title\">&nbsp;</div></div></div>\r\n\r\n<div class=\"rt-demo-grid-6 title5\">\r\n	<div class=\"module-title\">\r\n		<h3 class=\"title\">&lt;p&gt; DropCap Styles</h3>\r\n	</div>	\r\n	<p class=\"dropcap\">Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibu. Pellentesque vel enim urna, sit amet blandit ipsum. Maecenas quis sem sit amet nunc pretium mattis. Sed dapibus semper est, sed pretium erat.</p>\r\n\r\n	<p>Use the following format: <strong>&lt;p class=\"dropcap\"&gt;...&lt;/p&gt; (HTML)</strong> or <strong>&#91;dropcap class=\"dropcap\"&#93;...&#91;/dropcap&#93; (ROKCANDY)</strong>. You can use any letter, symbol or number.</p>\r\n\r\n	<p class=\"dropcap2\">Praesent rutrum sapien ac felis. Use this format: <strong>&lt;p class=\"dropcap2\"&gt;...&lt;/p&gt; (HTML)</strong> or <strong>&#91;dropcap class=\"dropcap2\"&#93; ... &#91;/dropcap&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p class=\"dropcap3\">Praesent rutrum sapien ac felis. Use this format: <strong>&lt;p class=\"dropcap3\"&gt;...&lt;/p&gt; (HTML)</strong> or <strong>&#91;dropcap class=\"dropcap3\"&#93; ... &#91;/dropcap&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p class=\"dropcap4\">Praesent rutrum sapien ac felis. Use this format: <strong>&lt;p class=\"dropcap4\"&gt;...&lt;/p&gt; (HTML)</strong> or <strong>&#91;dropcap class=\"dropcap4\"&#93; ... &#91;/dropcap&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p class=\"dropcap5 nomarginbottom\">Praesent rutrum sapien ac felis. Use this format: <strong>&lt;p class=\"dropcap5\"&gt;...&lt;/p&gt; (HTML)</strong> or <strong>&#91;dropcap class=\"dropcap5\"&#93; ... &#91;/dropcap&#93; (ROKCANDY)</strong></p>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-6 floatright title5\">\r\n	<div class=\"module-title\">\r\n		<h3 class=\"title\">&lt;blockquote&gt;  Styles</h3>\r\n	</div>	\r\n	\r\n	<blockquote><p>To replicate, use the following formatting: <strong>&lt;blockquote&gt;&lt;p&gt;....&lt;/p&gt;&lt;/blockquote&gt; (HTML)</strong> or <strong>&#91;blockquote class=\"default\"&#93;...&#91;/blockquote&#93; (ROKCANDY)</strong>.</p></blockquote>\r\n	<br />\r\n	<blockquote class=\"alignleft\"><p>Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis.</p></blockquote>\r\n\r\n	<p>To replicate, use the following formatting: <strong>&lt;blockquote class=&quot;alignleft&quot;&gt;&lt;p&gt;....&lt;/p&gt;&lt;/blockquote&gt; (HTML)</strong> or <strong>&#91;blockquote class=\"alignleft\"&#93;...&#91;/blockquote&#93; (ROKCANDY)</strong>.</p>\r\n\r\n	<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris metus tortor.</p>\r\n	<br />\r\n	<blockquote class=\"alignright nomarginbottom\"><p>Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis.</p></blockquote>\r\n\r\n	<p>To replicate, use the following formatting: <strong>&lt;blockquote class=&quot;alignright&quot;&gt;&lt;p&gt;....&lt;/p&gt;&lt;/blockquote&gt; (HTML)</strong> or <strong>&#91;blockquote class=\"alignright\"&#93;...&#91;/blockquote&#93; (ROKCANDY)</strong>.</p>\r\n\r\n	<p class=\"nomarginbottom\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris metus tortor.</p>\r\n</div>\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"title5 largepaddingbottom\"><div class=\"module-title\"><div class=\"title\">&nbsp;</div></div></div>\r\n\r\n<div class=\"rt-demo-grid-6 title5\">\r\n	<div class=\"module-title\">\r\n		<h3 class=\"title\">&lt;pre&gt; Code Styles</h3>\r\n	</div>	\r\n<pre class=\"lines\">This is a sample <strong>&lt;pre class=&quot;lines&quot;&gt;...&lt;/pre&gt; (HTML)</strong> or,\r\n<strong>&#91;pre2 class=\"{lines}\"&#93; ... &#91;/pre2&#93; (ROKCANDY)</strong> tag:\r\n\r\ndiv.modulebox-black div.bx1 {\r\n  background: url(../images/box_bl.png) 0 100% repeat;\r\n}\r\n\r\ndiv.modulebox-black div.bx2 {\r\n  background: url(../images/box_tr.png) 100% 0 repeat;\r\n}\r\n</pre>\r\n\r\n<pre class=\"nomarginbottom\">This is a sample <strong>&lt;pre&gt;...&lt;/pre&gt; (HTML)</strong> or, \r\n<strong>&#91;pre class=\"{lines}\"&#93; ... &#91;/pre&#93; (ROKCANDY)</strong> tag:\r\n\r\ndiv.modulebox-black div.bx1 {\r\n  background: url(../images/box_bl.png) 0 100% repeat;\r\n}\r\n\r\ndiv.modulebox-black div.bx2 {\r\n  background: url(../images/box_tr.png) 100% 0 repeat;\r\n}\r\n</pre>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-6 floatright title5\">\r\n	<div class=\"module-title\">\r\n		<h3 class=\"title\">&lt;p&gt; Notice Styles</h3>\r\n	</div>	\r\n	<p class=\"approved\">This is a <a href=\"javascript:void(0);\">sample</a> of the <em>Approved</em> style. To replicate, use the following syntax: <em>&lt;p class=\"approved\"&gt;....&lt;/p&gt;</em> (HTML) or <em>&#91;notice class=\"approved\"&#93; <em class=\"normal\">...</em> &#91;/notice&#93;</em> (ROKCANDY).</p>\r\n\r\n	<p class=\"attention\">This is a <a href=\"javascript:void(0);\">sample</a> of the <em>Attention</em> style. To replicate, use the following syntax: <em>&lt;p class=\"attention\"&gt;....&lt;/p&gt;</em> (HTML) or <em>&#91;notice class=\"attention\"&#93; <em class=\"normal\">...</em> &#91;/notice&#93;</em> (ROKCANDY).</p>\r\n\r\n	<p class=\"notice\">This is a <a href=\"javascript:void(0);\">sample</a> of the <em>Notice</em> style. To replicate, use the following syntax: <em>&lt;p class=\"notice\"&gt;....&lt;/p&gt;</em> (HTML) or <em>&#91;notice class=\"notice\"&#93; <em class=\"normal\">...</em> &#91;/notice&#93;</em> (ROKCANDY).</p>\r\n\r\n	<p class=\"alert nomarginbottom\">This is a <a href=\"javascript:void(0);\">sample</a> of the <em>Alert</em> style. To replicate, use the following syntax: <em>&lt;p class=\"alert\"&gt;....&lt;/p&gt;</em> (HTML) or <em>&#91;notice class=\"alert\"&#93; <em class=\"normal\">...</em> &#91;/notice&#93;</em> (ROKCANDY).</p>\r\n</div>\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"title5 largepaddingbottom\"><div class=\"module-title\"><div class=\"title\">&nbsp;</div></div></div>\r\n\r\n<div class=\"rt-demo-grid-6 title5\">\r\n	<div class=\"module-title\">\r\n		<h3 class=\"title\">&lt;span&gt; Text Icon Styles</h3>\r\n	</div>	\r\n	<p>To replicate, the following format: <strong>&lt;span class=\"text-icon iconname\"&gt;...&lt;/span&gt; (HTML)</strong> or <strong>&#91;icon class=&quot;icon name&quot;&#93;...&#91;/icon&#93; (ROKCANDY)</strong>. The class names are listed below, such as \"<strong>text-icon email</strong>\".</p>\r\n\r\n	<div class=\"rt-demo-grid-3 nomarginleft nomarginright\">\r\n		<span class=\"text-icon email\">Text with an email icon</span><br /><br />\r\n		<span class=\"text-icon phone\">Text with a phone icon</span><br /><br />\r\n		<span class=\"text-icon quote\">Text with a quote icon</span><br /><br />\r\n		<span class=\"text-icon cart\">Text with a cart icon</span><br /><br />\r\n		<span class=\"text-icon rss\">Text with a rss icon</span><br /><br />\r\n		<span class=\"text-icon tags\">Text with a tags icon</span><br /><br />\r\n		<span class=\"text-icon write\">Text with a write icon</span><br /><br />\r\n		<span class=\"text-icon info\">Text with an info icon</span><br /><br />\r\n		<span class=\"text-icon sound\">Text with a sound icon</span><br /><br />\r\n		<span class=\"text-icon rightarrow\">Text with a rightarrow icon</span><br /><br />\r\n		<span class=\"text-icon leftarrow\">Text with a leftarrow icon</span><br /><br />\r\n		<span class=\"text-icon circlearrow\">Text with a circlearrow icon</span><br /><br />\r\n		<span class=\"text-icon downarrow\">Text with a downarrow icon</span><br /><br />\r\n		<span class=\"text-icon uparrow\">Text with an uparrow icon</span><br /><br />\r\n		<span class=\"text-icon person\">Text with a person icon</span><br /><br />\r\n		<span class=\"text-icon calendar\">Text with a calendar icon</span><br /><br />\r\n		<span class=\"text-icon doc\">Text with a doc icon</span>\r\n	</div>\r\n	<div class=\"rt-demo-grid-3 nomarginright\">\r\n		<span class=\"text-icon bulb\">Text with a bulb icon</span><br /><br />\r\n		<span class=\"text-icon twitter\">Text with a twitter icon</span><br /><br />\r\n		<span class=\"text-icon youtube\">Text with a youtube icon</span><br /><br />\r\n		<span class=\"text-icon skype\">Text with a skype icon</span><br /><br />\r\n		<span class=\"text-icon facebook\">Text with a facebook icon</span><br /><br />\r\n		<span class=\"text-icon like\">Text with a like icon</span><br /><br />\r\n		<span class=\"text-icon video\">Text with a video icon</span><br /><br />\r\n		<span class=\"text-icon dropbox\">Text with a dropbox icon</span><br /><br />\r\n		<span class=\"text-icon vimeo\">Text with a vimeo icon</span><br /><br />\r\n		<span class=\"text-icon paypal\">Text with a paypal icon</span>\r\n	</div>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-6 floatright title5\">\r\n	<div class=\"module-title\">\r\n		<h3 class=\"title\">&lt;em&gt; Emphasis Styles</h3>\r\n	</div>	\r\n	\r\n	<p>This is a emphasis tag that allows you to <em class=\"italic\">highlight words or phrases</em>. Use the following format: <strong>&lt;em class=&quot;italic&quot;&gt;...&lt;/em&gt; (HTML)</strong> or <strong>&#91;emphasis&#93;...&#91;/emphasis&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p>This is a emphasis tag that allows you to <em class=\"bold\">highlight words or phrases</em>. Use the following format: <strong>&lt;em class=&quot;bold&quot;&gt;...&lt;/em&gt; (HTML)</strong> or <strong>&#91;emphasisbold&#93;...&#91;/emphasisbold&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p>This is a emphasis tag that allows you to <em class=\"bold2\">highlight words or phrases</em>. Use the following format: <strong>&lt;em class=&quot;bold2&quot;&gt;...&lt;/em&gt; (HTML)</strong> or <strong>&#91;emphasisbold2&#93;...&#91;/emphasisbold2&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p>This is a emphasis tag that allows you to <em class=\"highlight\">highlight words or phrases</em>. Use the following format: <strong>&lt;em class=&quot;highlight&quot;&gt;...&lt;/em&gt; (HTML)</strong> or <strong>&#91;highlight class=&quot;default&quot;&#93;...&#91;/highlight&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p>This is a emphasis tag that allows you to <em class=\"highlight white\">highlight words or phrases</em>. Use the following format: <strong>&lt;em class=&quot;highlight white&quot;&gt;...&lt;/em&gt; (HTML)</strong> or <strong>&#91;highlight class=&quot;white&quot;&#93;...&#91;/highlight&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p>This is a emphasis tag that allows you to <em class=\"highlight black\">highlight words or phrases</em>. Use the following format: <strong>&lt;em class=&quot;highlight black&quot;&gt;...&lt;/em&gt; (HTML)</strong> or <strong>&#91;highlight class=&quot;black&quot;&#93;...&#91;/highlight&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p>This is a emphasis tag that allows you to <em class=\"highlight green\">highlight words or phrases</em>. Use the following format: <strong>&lt;em class=&quot;highlight green&quot;&gt;...&lt;/em&gt; (HTML)</strong> or <strong>&#91;highlight class=&quot;green&quot;&#93;...&#91;/highlight&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p>This is a emphasis tag that allows you to <em class=\"highlight yellow\">highlight words or phrases</em>. Use the following format: <strong>&lt;em class=&quot;highlight yellow&quot;&gt;...&lt;/em&gt; (HTML)</strong> or <strong>&#91;highlight class=&quot;yellow&quot;&#93;...&#91;/highlight&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p>This is a emphasis tag that allows you to <em class=\"highlight blue\">highlight words or phrases</em>. Use the following format: <strong>&lt;em class=&quot;highlight blue&quot;&gt;...&lt;/em&gt; (HTML)</strong> or <strong>&#91;highlight class=&quot;blue&quot;&#93;...&#91;/highlight&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p class=\"nomarginbottom\">This is a emphasis tag that allows you to <em class=\"highlight red\">highlight words or phrases</em>. Use the following format: <strong>&lt;em class=&quot;highlight red&quot;&gt;...&lt;/em&gt; (HTML)</strong> or <strong>&#91;highlight class=&quot;red&quot;&#93;...&#91;/highlight&#93; (ROKCANDY)</strong></p>\r\n</div>\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"title5 largepaddingbottom\"><div class=\"module-title\"><div class=\"title\">&nbsp;</div></div></div>\r\n\r\n<div class=\"title5\">\r\n	<div class=\"module-title\">\r\n		<h3 class=\"title\">&lt;ul&gt; List Styles (Icons)</h3>\r\n	</div>	\r\n</div>\r\n\r\n<p>To replicate, use the following format: <strong>&lt;ul class=\"list-icon icon_name\"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt; (HTML)</strong> or <strong>&#91;list class=\"list-icon icon_name\"&#93;&#91;li&#93;....&#91;/li&#93;&#91;li....&#91;/li&#93;&#91;/list&#93; (ROKCANDY)</strong>. The icon names are listed below, such as \"<strong>cart</strong>\".</p>\r\n\r\n<div class=\"rt-demo-grid-3\">\r\n  <ul class=\"list-icon email\">\r\n    <li>A list item using the <strong>list-icon email</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon email</strong> class.</li>  </ul>\r\n  <br />\r\n  <ul class=\"list-icon phone\">\r\n    <li>A list item using the <strong>list-icon phone</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon phone</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class=\"list-icon quote\">\r\n    <li>A list item using the <strong>list-icon quote</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon quote</strong> class.</li>  </ul>\r\n  <br />\r\n  <ul class=\"list-icon twitter\">\r\n    <li>A list item using the <strong>list-icon twitter</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon twitter</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class=\"list-icon youtube\">\r\n    <li>A list item using the <strong>list-icon youtube</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon youtube</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class=\"list-icon facebook\">\r\n    <li>A list item using the <strong>list-icon facebook</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon facebook</strong> class.</li>  </ul>\r\n  <br />\r\n  <ul class=\"list-icon cart nomarginbottom\">\r\n    <li>A list item using the <strong>list-icon cart</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon cart</strong> class.</li>  </ul>\r\n</div>\r\n<div class=\"rt-demo-grid-3\">\r\n  <ul class=\"list-icon tags\">\r\n    <li>A list item using the <strong>list-icon tags</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon tags</strong> class.</li>  </ul>\r\n  <br />\r\n  <ul class=\"list-icon write\">\r\n    <li>A list item using the <strong>list-icon write</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon write</strong> class.</li>  </ul>\r\n  <br />\r\n  <ul class=\"list-icon info\">\r\n    <li>A list item using the <strong>list-icon info</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon info</strong> class.</li>  </ul>\r\n  <br />\r\n  <ul class=\"list-icon sound\">\r\n    <li>A list item using the <strong>list-icon sound</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon sound</strong> class.</li>  </ul>\r\n  <br />\r\n  <ul class=\"list-icon rightarrow\">\r\n    <li>A list item using the <strong>list-icon rightarrow</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon rightarrow</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class=\"list-icon skype\">\r\n    <li>A list item using the <strong>list-icon skype</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon skype</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class=\"list-icon rss nomarginbottom\">\r\n    <li>A list item using the <strong>list-icon rss</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon rss</strong> class.</li>\r\n  </ul>\r\n</div>\r\n<div class=\"rt-demo-grid-3\">\r\n  <ul class=\"list-icon leftarrow\">\r\n    <li>A list item using the <strong>list-icon leftarrow</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon leftarrow</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class=\"list-icon circlearrow\">\r\n    <li>A list item using the <strong>list-icon circlearrow</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon circlearrow</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class=\"list-icon dropbox\">\r\n    <li>A list item using the <strong>list-icon dropbox</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon dropbox</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n<ul class=\"list-icon vimeo\">\r\n    <li>A list item using the <strong>list-icon vimeo</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon vimeo</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class=\"list-icon downarrow\">\r\n    <li>A list item using the <strong>list-icon downarrow</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon downarrow</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class=\"list-icon video\">\r\n    <li>A list item using the <strong>list-icon video</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon video</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class=\"list-icon like nomarginbottom\">\r\n    <li>A list item using the <strong>list-icon like</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon like</strong> class.</li>\r\n  </ul>\r\n</div>\r\n<div class=\"rt-demo-grid-3\">\r\n  <ul class=\"list-icon uparrow\">\r\n    <li>A list item using the <strong>list-icon uparrow</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon uparrow</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class=\"list-icon person\">\r\n    <li>A list item using the <strong>list-icon person</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon person</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class=\"list-icon calendar\">\r\n    <li>A list item using the <strong>list-icon calendar</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon calendar</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class=\"list-icon bulb\">\r\n    <li>A list item using the <strong>list-icon bulb</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon bulb</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n<ul class=\"list-icon paypal\">\r\n    <li>A list item using the <strong>list-icon paypal</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon paypal</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class=\"list-icon doc nomarginbottom\">\r\n    <li>A list item using the <strong>list-icon doc</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon doc</strong> class.</li>\r\n  </ul>\r\n</div>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"title5 largepaddingbottom\"><div class=\"module-title\"><div class=\"title\">&nbsp;</div></div></div>\r\n\r\n<div class=\"title5\">\r\n	<div class=\"module-title\">\r\n		<h3 class=\"title\">&lt;ul&gt; List Styles (CSS3)</h3>\r\n	</div>	\r\n</div>\r\n\r\n<p>These list styles are based on the latest CSS3 techniques and are designed to work in modern browsers (will not display properly in IE6-IE8).</p>\r\n\r\n<p>To replicate, use the following format: <strong>&lt;ul class=\"class name\"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt; (HTML)</strong> or <strong>&#91;list class=&quot;class name&quot;&#93;&#91;li&#93;....&#91;/li&#93;&#91;li....&#91;/li&#93;&#91;/list&#93; (ROKCANDY)</strong>. The class names are listed below, such as \"<strong>checkmark red</strong>\".</p>\r\n\r\n<div class=\"rt-demo-grid-3\">\r\n	<ul class=\"checkmark\">\r\n	<li>Checkmark</li>\r\n	<li>Checkmark</li>\r\n	</ul>\r\n\r\n	<ul class=\"circle-checkmark\">\r\n	<li>Circle-Checkmark</li>\r\n	<li>Circle-Checkmark</li>\r\n	</ul>\r\n\r\n	<ul class=\"square-checkmark\">\r\n	<li>Square-Checkmark</li>\r\n	<li>Square-Checkmark</li>\r\n	</ul>\r\n\r\n	<ul class=\"checkmark green\">\r\n	<li>Checkmark Green</li>\r\n	<li>Checkmark Green</li>\r\n	</ul>\r\n\r\n	<ul class=\"checkmark yellow\">\r\n	<li>Checkmark Yellow</li>\r\n	<li>Checkmark Yellow</li>\r\n	</ul>\r\n\r\n	<ul class=\"checkmark red nomarginbottom\">\r\n	<li>Checkmark Red</li>\r\n	<li>Checkmark Red</li>\r\n	</ul>\r\n</div>\r\n<div class=\"rt-demo-grid-3\">\r\n	<ul class=\"checkmark blue\">\r\n	<li>Checkmark Blue</li>\r\n	<li>Checkmark Blue</li>\r\n	</ul>\r\n\r\n	<ul class=\"checkmark white\">\r\n	<li>Checkmark White</li>\r\n	<li>Checkmark White</li>\r\n	</ul>\r\n\r\n	<ul class=\"triangle-small\">\r\n	<li>Triangle-Small</li>\r\n	<li>Triangle-Small</li>\r\n	</ul>\r\n\r\n	<ul class=\"triangle\">\r\n	<li>Triangle</li>\r\n	<li>Triangle</li>\r\n	</ul>\r\n\r\n	<ul class=\"triangle-large\">\r\n	<li>Triangle-Large</li>\r\n	<li>Triangle-Large</li>\r\n	</ul>\r\n\r\n	<ul class=\"triangle green nomarginbottom\">\r\n	<li>Triangle Green</li>\r\n	<li>Triangle Green</li>\r\n	</ul>\r\n</div>\r\n<div class=\"rt-demo-grid-3\">\r\n	<ul class=\"triangle yellow\">\r\n	<li>Triangle Yellow</li>\r\n	<li>Triangle Yellow</li>\r\n	</ul>\r\n\r\n	<ul class=\"triangle red\">\r\n	<li>Triangle Red</li>\r\n	<li>Triangle Red</li>\r\n	</ul>\r\n\r\n	<ul class=\"triangle blue\">\r\n	<li>Triangle Blue</li>\r\n	<li>Triangle Blue</li>\r\n	</ul>\r\n\r\n	<ul class=\"triangle white\">\r\n	<li>Triangle White</li>\r\n	<li>Triangle White</li>\r\n	</ul>\r\n\r\n	<ul class=\"circle-small\">\r\n	<li>Circle-Small</li>\r\n	<li>Circle-Small</li>\r\n	</ul>\r\n\r\n	<ul class=\"circle nomarginbottom\">\r\n	<li>Circle</li>\r\n	<li>Circle</li>\r\n	</ul>\r\n</div>\r\n<div class=\"rt-demo-grid-3\">\r\n	<ul class=\"circle-large\">\r\n	<li>Circle-Large</li>\r\n	<li>Circle-Large</li>\r\n	</ul>\r\n\r\n	<ul class=\"circle green\">\r\n	<li>Circle Green</li>\r\n	<li>Circle Green</li>\r\n	</ul>\r\n\r\n	<ul class=\"circle yellow\">\r\n	<li>Circle Yellow</li>\r\n	<li>Circle Yellow</li>\r\n	</ul>\r\n\r\n	<ul class=\"circle red\">\r\n	<li>Circle Red</li>\r\n	<li>Circle Red</li>\r\n	</ul>\r\n\r\n	<ul class=\"circle blue\">\r\n	<li>Circle Blue</li>\r\n	<li>Circle Blue</li>\r\n	</ul>\r\n\r\n	<ul class=\"circle white nomarginbottom\">\r\n	<li>Circle White</li>\r\n	<li>Circle White</li>\r\n	</ul>\r\n</div>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"title5 largepaddingbottom\"><div class=\"module-title\"><div class=\"title\">&nbsp;</div></div></div>\r\n\r\n<div class=\"title5\">\r\n	<div class=\"module-title\">\r\n		<h3 class=\"title\">&lt;span&gt; Inset Styles</h3>\r\n	</div>	\r\n</div>\r\n\r\n<p>\r\n  Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.\r\n  <span class=\"inset-right nomarginbottom\"><span class=\"inset-right-title\">Inset Right Title</span>You will need to use the following formatting: <strong>&lt;span class=&quot;inset-right&quot;&gt; &lt;span class=&quot;inset-right-title&quot;&gt; .... &lt;/span&gt; <em class=\"normal\"> ... some content ... </em>&lt;/strong&gt; (HTML)</strong> or <strong>&#91;inset side=\"right\" title=\"Inset Right Title\"&#93; ... some content ...&#91;/inset&#93; (ROKCANDY)</strong></span>\r\n  Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed euismod magna a nibh.\r\n</p>\r\n\r\n<p>\r\n  Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.\r\n  <span class=\"inset-left nomarginbottom\"><span class=\"inset-left-title\">Inset Left Title</span>You will need to use the following formatting: <strong>&lt;span class=&quot;inset-left&quot;&gt; &lt;span class=&quot;inset-left-title&quot;&gt; .... &lt;/span&gt; <em class=\"normal\"> ... some content ... </em>&lt;/strong&gt; (HTML)</strong> or <strong>&#91;inset side=\"left\" title=\"Inset Left Title\"&#93; ... some content ...&#91;/inset&#93; (ROKCANDY)</strong></span>\r\n  Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed euismod magna a nibh.</p>\r\n\r\n<p>Sed euismod magna a nibh. Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque.</p> \r\n<p class=\"nomarginbottom\">Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.\r\n</p>\r\n\r\n<div class=\"clear\"></div>','',1,11,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,8,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(5,46,'Menu Options','menu-options','<div class=\"module-title nomarginbottom\"><h2 class=\"title medmargintop\">Fusion with MegaMenu</h2><div class=\"clear\"></div></div>\r\n\r\n<p><strong>Fusion Menu</strong> is a menu theme of the <strong>RokNavMenu</strong> extension, the addon that drives all RocketTheme template menus. It is primarily a javascript enhanced CSS dropdown menu, that combines standard suckerfish type functionality with animations, transitions and other advanced effects powered by Mootools.</p>\r\n\r\n<img class=\"rt-image\" src=\"images/stories/demo/menu-options/fusionmenu-screenshot.jpg\" alt=\"FusionMenu\" width=\"585\" height=\"260\" />\r\n\r\n<div class=\"module-title nomarginbottom\"><h2 class=\"title medmargintop\"><span>SplitMenu</span></h2><div class=\"clear\"></div></div>\r\n\r\n<p>A static menu system that displays 1st and 2nd level items in the main horizontal menu and further children in the Sidebar.</p>\r\n\r\n<img class=\"rt-image\" src=\"images/stories/demo/menu-options/splitmenu-screenshot.jpg\" alt=\"SplitMenu\" width=\"585\" height=\"260\" />\r\n\r\n<p class=\"notice\">All Menu Items can be edited from <strong>Admin &rarr; Menu &rarr; <em>Menu Name</em> &rarr; <em>Menu Item</em></strong>.</p>\r\n\r\n<div class=\"module-title nomarginbottom\"><h2 class=\"title medmargintop\">How to create Child Menu Items</h2><div class=\"clear\"></div></div>\r\n\r\n<p>Go to <strong>Admin &rarr; Menu &rarr; <em>A Menu</em> &rarr; <em>A Menu Item</em> &rarr; Select a <em>Parent Item</em></strong>, and it will appear as a child of it.</p>\r\n\r\n<p>\r\n	<img src=\"images/stories/demo/menu-options/tutmenu1.jpg\" alt=\"Image\" width=\"280\" height=\"215\" class=\"rt-image medmarginright floatleft\" />\r\n	<img src=\"images/stories/demo/menu-options/tutmenu2.jpg\" alt=\"Image\" width=\"280\" height=\"215\" class=\"rt-image floatleft nomarginright\" />	\r\n</p>\r\n\r\n<p>\r\n	<img src=\"images/stories/demo/menu-options/tutmenu3.jpg\" alt=\"Image\" width=\"280\" height=\"215\" class=\"rt-image medmarginright floatleft\" />\r\n	<img src=\"images/stories/demo/menu-options/tutmenu4.jpg\" alt=\"Image\" width=\"280\" height=\"215\" class=\"rt-image floatleft nomarginright\" />	\r\n</p>','',1,11,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,7,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(6,47,'Integrated Extensions','integrated-extensions','<br />\r\n<div class=\"rt-demo-grid-6 title5\">\r\n	<div class=\"module-title\">\r\n		<h1 class=\"title\"><span>RokStories</span> Module</h1>\r\n	</div>	\r\n	<p class=\"medmarginbottom\"><strong>RokStories</strong> is a great module to display your articles and accompanying images as a featured item. The module itself is facilitated by Mootools to transition between images and articles seamlessly. Perfect for showcasing featured articles or image on your site.</p>\r\n\r\n	<p>\r\n	<a href=\"http://www.rockettheme.com/extensions-joomla/rokstories\" class=\"readon smallmarginright\" target=\"_blank\"><span>Details</span></a>\r\n	<a href=\"http://www.rockettheme.com/extensions-downloads/club/1001-rokstories\" class=\"readon smallmarginright\" target=\"_blank\"><span>Download</span></a>\r\n	<a href=\"http://www.rockettheme.com/forum/index.php?f=209&amp;rb_v=viewforum\" class=\"readon\" target=\"_blank\"><span>Support</span></a>\r\n</p>\r\n\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-6 title5\">\r\n	<img class=\"rt-image\" src=\"images/stories/demo/general/extensions/ext-rokstories.png\" alt=\"RokStories\" width=\"435\" height=\"146\" />\r\n</div>\r\n\r\n<div class=\"clear\"></div><br /><br />\r\n\r\n<div class=\"rt-demo-grid-6 title5\">\r\n	<img src=\"images/stories/demo/general/extensions/ext-roktabs.png\" alt=\"RokTabs\" width=\"435\" height=\"329\" />\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-6 title5\">\r\n	<div class=\"module-title\">\r\n		<h1 class=\"title\"><span>RokTabs</span> Module</h1>\r\n	</div>	\r\n\r\n	<p class=\"medmarginbottom\"><strong>RokTabs</strong> is a tabbed content module, standalone and themed. Content is transitioned, either by fade or scroll, powered by Mootools, which can be automatic or manual. The module has the ability to be fully automated, switching based on time or manually by user interaction.</p>\r\n\r\n	<ul class=\"checkmark normalfont\">\r\n	    <li><strong>Tabbed Content:</strong> Display multiple content items in a tabbed enclosure</li>\r\n	    <li><strong>Module Position Support:</strong> You can insert module positions inside the tabs</li>\r\n	    <li><strong>Inbuilt Styling</strong>: Both light and dark styling for standalone support</li>\r\n	    <li><strong>Configurability:</strong> Highly configurable from options dealing with transition, to content type and layout</li>\r\n	</ul>\r\n\r\n	<p>\r\n	<a href=\"http://www.rockettheme.com/extensions-joomla/roktabs\" class=\"readon smallmarginright\" target=\"_blank\"><span>Details</span></a>\r\n	<a href=\"http://www.rockettheme.com/extensions-downloads/club/1011-roktabs\" class=\"readon smallmarginright\" target=\"_blank\"><span>Download</span></a>\r\n	<a href=\"http://www.rockettheme.com/forum/index.php?f=207&amp;rb_v=viewforum\" class=\"readon\" target=\"_blank\"><span>Support</span></a>\r\n\r\n</div>\r\n\r\n<div class=\"clear\"></div><br /><br />\r\n\r\n<div class=\"rt-demo-grid-6 title5\">\r\n	<div class=\"module-title\">\r\n		<h1 class=\"title\"><span>RokNewsPager</span> Module</h1>\r\n	</div>	\r\n\r\n	<p><strong>RokNewsPager</strong> is an article previewer and rotator. It displays content articles, in a summarised form and, using mootools based javascript transition, rotates through a series of pages displaying articles in a contracted list format.</p>\r\n\r\n	<ul class=\"checkmark normalfont\">\r\n	    <li><strong>Javascript Transitions:</strong> using the power of mootools, the module fades between lists of your content articles</li>\r\n	    <li><strong>Previews:</strong> set the number of characters you wish to display from your articles</li>\r\n	    <li>Section Control: choose all articles, or those from particular sections or categories</li>\r\n	    <li><strong>Auto Update:</strong> select whether the module auto-updates using AJAX</li>\r\n	</ul>\r\n\r\n	<p>\r\n		<a href=\"http://www.rockettheme.com/extensions-joomla/roknewspager\" class=\"readon smallmarginright\" target=\"_blank\"><span>Details</span></a>\r\n		<a href=\"http://www.rockettheme.com/extensions-downloads/club/999-roknewspager\" class=\"readon smallmarginright\" target=\"_blank\"><span>Download</span></a>\r\n		<a href=\"http://www.rockettheme.com/forum/index.php?f=214&amp;rb_v=viewforum\" class=\"readon\" target=\"_blank\"><span>Support</span></a>\r\n	</p>\r\n\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-6 title5\">\r\n	<img src=\"images/stories/demo/general/extensions/ext-roknewspager.png\" alt=\"RokNewsPager\" width=\"435\" height=\"331\" />\r\n</div>\r\n\r\n<div class=\"clear\"></div><br /><br />\r\n\r\n<div class=\"rt-demo-grid-6 title5\">\r\n	<img class=\"rt-image\" src=\"images/stories/demo/general/extensions/ext-roknewsflash.png\" alt=\"RokNewsFlash\" width=\"420\" height=\"105\" />\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-6 title5\">\r\n	<div class=\"module-title\">\r\n		<h1 class=\"title\"><span>RokNewsFlash</span> Module</h1>\r\n	</div>	\r\n\r\n	<p><strong>RokNewsFlash</strong> is module to display brief snippets of an article. The extension is perfect for Headlines as it can cycle through your chosen articles, displaying the content item title or a preview of the content itself.</p>\r\n\r\n	<p>\r\n		<a href=\"http://www.rockettheme.com/extensions-joomla/roknewsflash\" class=\"readon smallmarginright\" target=\"_blank\"><span>Details</span></a>\r\n		<a href=\"http://www.rockettheme.com/extensions-downloads/club/1013-roknewsflash\" class=\"readon smallmarginright\" target=\"_blank\"><span>Download</span></a>\r\n		<a href=\"http://www.rockettheme.com/forum/index.php?f=215&amp;rb_v=viewforum\" class=\"readon\" target=\"_blank\"><span>Support</span></a>\r\n	</p>\r\n\r\n</div>\r\n\r\n<div class=\"clear\"></div><br /><br />\r\n\r\n<div class=\"rt-demo-grid-6 title5\">\r\n	<div class=\"module-title\">\r\n		<h1 class=\"title\"><span>RokGallery</span> Module</h1>\r\n	</div>	\r\n\r\n	<p><strong>RokGallery</strong> is a ground-up revolutionary gallery extension, developed to be hugely flexible, versatile and user friendly. The system itself is built on a custom tag-based architecture with the ability to have multiple tag-based galleries.</p>\r\n\r\n	<p>RokGallery uses design and concepts that have been traditionally reserved for platform-native applications and are for the first time making their way into a web environment.</p>\r\n\r\n	<p>\r\n		<a href=\"http://www.rockettheme.com/extensions-joomla/rokgallery\" class=\"readon smallmarginright\" target=\"_blank\"><span>Details</span></a>\r\n		<a href=\"http://www.rockettheme.com/extensions-downloads/club/2216-rokgallery\" class=\"readon smallmarginright\" target=\"_blank\"><span>Download</span></a>\r\n		<a href=\"http://www.rockettheme.com/forum/index.php?f=528&amp;rb_v=viewforum\" class=\"readon\" target=\"_blank\"><span>Support</span></a>\r\n	</p>\r\n\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-6 title5\">\r\n	<img src=\"images/stories/demo/general/extensions/ext-rokgallery.png\" alt=\"RokGallery\" width=\"435\" height=\"198\" />\r\n</div>\r\n\r\n<div class=\"clear\"></div><br /><br />\r\n\r\n<div class=\"rt-demo-grid-6 title5\">\r\n	<img class=\"rt-image\" src=\"images/stories/demo/general/extensions/ext-rokajaxsearch.png\" alt=\"RokAjaxSearch\" width=\"420\" height=\"349\" />\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-6 title5\">\r\n	<div class=\"module-title\">\r\n		<h1 class=\"title\"><span>RokAjaxSearch</span> Module</h1>\r\n	</div>	\r\n\r\n	<p><strong>RokAjaxSearch</strong> is a truly powerful module that brings fantastic search functionality to Joomla, using the powerful and versatile javascript library, Mootools as well as full Google Search integration.</p>\r\n\r\n	<p>RokAjaxSearch offers AJAX powered real time search results for both your Joomla site content as well Google Search. There are various configuration options and parameters allowing you to enable not only Google web search, but also Google Blog search, Google Image search, and Google Video search.</p>\r\n\r\n	<ul class=\"checkmark normalfont\">\r\n	    <li>Real Time Search: AJAX loads search results in real time.</li>\r\n	    <li>Multiple Sources: Search your local Joomla site or the web at large.</li>\r\n	    <li>Search Options: Even more search options with Video and Images.</li>\r\n	    <li>Advanced usability: Script enhancements for intuitive navigation.</li>\r\n	</ul>\r\n\r\n	<p>\r\n		<a href=\"http://www.rockettheme.com/extensions-joomla/rokajaxsearch\" class=\"readon smallmarginright\" target=\"_blank\"><span>Details</span></a>\r\n		<a href=\"http://www.rockettheme.com/extensions-downloads/club/1004-rokajaxsearch\" class=\"readon smallmarginright\" target=\"_blank\"><span>Download</span></a>\r\n		<a href=\"http://www.rockettheme.com/forum/index.php?f=204&amp;rb_v=viewforum\" class=\"readon\" target=\"_blank\"><span>Support</span></a>\r\n	</p>\r\n\r\n</div>\r\n\r\n<div class=\"clear\"></div>','',1,11,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,6,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(7,48,'Tutorials and Guides','tutorials-and-guides','<div class=\"rt-demo-grid-3 nomarginleft largemarginright largepaddingright rt-center\">\r\n	<div class=\"module-title nomarginbottom\">\r\n		<h3 class=\"title\">Installation</h3>\r\n	</div>		\r\n	<p>An overview of template files and instructions for installing and activating the template.</p>\r\n	<a href=\"index.php?option=com_content&amp;view=article&amp;id=8&amp;Itemid=9\" class=\"readon\"><span>Read More</span></a>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-3 nomarginright largemarginleft rt-center\">\r\n	<div class=\"module-title nomarginbottom\">\r\n		<h3 class=\"title\">Logo&nbsp;Editing</h3>\r\n	</div>		\r\n	<p>An overview for customizing your logo with your organization or company name and logo.</p>\r\n	<a href=\"index.php?option=com_content&amp;view=article&amp;id=9&amp;Itemid=10\" class=\"readon\"><span>Read More</span></a>\r\n</div>\r\n\r\n<div class=\"clear\"></div><br />\r\n\r\n<p class=\"notice\">Go to <strong>Extensions → Template Manager → <em>(J1.5) rt_ionosphere_j15 or (J2.5) rt_ionosphere</em></strong>. Mouseover the labels to view a description of each template parameter.</p>','',1,11,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,5,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(8,49,'Installation Instructions','installation-instructions','<p>The following is a guide that covers how to set up your new Ionosphere template on your Joomla! site. Here you can find an overview of the files included in the Ionosphere release and instructions on installing and activating the template in your Joomla! install.</p>\r\n\r\n<p class=\"notice\"><strong>Note:</strong> The <strong>Bundle</strong> Template is only necessary if the Gantry Library is not installed at <strong>/components/com_gantry (J1.5)</strong> or <strong>/libraries/gantry (J2.5)</strong>.</p>\r\n\r\n<br />\r\n\r\n<h3>Step 1 - Installation</h3>\r\n\r\n<ul class=\"largemarginbottom\">\r\n  <li><strong>(J1.5)</strong> Install from <strong>Admin &rarr; Extensions &rarr; Install/Uninstall &rarr; Choose File &rarr; Select file &rarr; Upload File &amp; Install</strong></li>\r\n  <li><strong>(J2.5)</strong> Install from <strong>Admin &rarr; Extensions &rarr; Extensions Manager &rarr; Choose File &rarr; Select file &rarr; Upload File &amp; Install</strong></li>  \r\n</ul>\r\n\r\n<p class=\"rt-relative\">\r\n  <img width=\"275\" height=\"160\" class=\"rt-image floatleft\" alt=\"Image\" src=\"images/stories/demo/general/install1-j15.jpg\" />\r\n  <img width=\"275\" height=\"160\" class=\"rt-image\" alt=\"Image\" src=\"images/stories/demo/general/install1-j17.jpg\" />\r\n</p>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<h3>Step 1 - Template Default</h3>\r\n\r\n<ul class=\"largemarginbottom\">\r\n  <li><strong>(J1.5)</strong> Make the template default at <strong>Admin &rarr; Extensions &rarr; Template Manager &rarr; rt_ionosphere_j15 &rarr; Default</strong></li>\r\n  <li><strong>(J2.5)</strong> Make the template default at <strong>Admin &rarr; Extensions &rarr; Template Manager &rarr; rt_ionosphere &rarr; Make Default</strong></li> \r\n</ul>\r\n\r\n<p class=\"rt-relative\">\r\n  <img width=\"275\" height=\"172\" class=\"rt-image floatleft\" alt=\"Image\" src=\"images/stories/demo/general/install2-j15.jpg\" />\r\n  <img width=\"275\" height=\"172\" class=\"rt-image\" alt=\"Image\" src=\"images/stories/demo/general/install2-j17.jpg\" />\r\n</p>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"module-title\"><h2 class=\"title\">RocketLauncher Instructions</h2><div class=\"clear\"></div></div>\r\n\r\n<p>We always recommend installing a RocketLauncher first to trial and understand the template more efficiently. It must be installed as <strong>new</strong>, and <strong>not</strong> over an existing Joomla install.</p>\r\n\r\n<h3>Step 1 - Upload</h3>\r\n\r\n<ul class=\"medmarginbottom\">\r\n  <li><strong>Download</strong> the RocketLauncher</li>\r\n  <li><strong>Unzip</strong></li>\r\n  <li><strong>Upload</strong> the created folder to your server</li>\r\n</ul>\r\n\r\n<p class=\"notice\"><strong>Note:</strong> You can upload all the files via FTP, or use cPanel or SSH to upload the zip and unzip directly onto the server. Enquire with your hosting provider.</p>\r\n\r\n<h3>Step 2 - Installation</h3>\r\n\r\n<ul>\r\n  <li>Go to <a href=\"#\">www.yoursite.com/<em>*folder name*</em></a></li>\r\n  <li>Follow the Installation instructions</li>\r\n  <li>Ensure you click <em class=\"bold2\">Install Sample Data</em> during installation</li>\r\n  <li><strong>(J1.5)</strong> Delete the <strong>/installation</strong> directory on your server</li>\r\n  <li><strong>(J2.5)</strong> Remove the installation folder in the Installation interface</li>\r\n</ul>','',1,11,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,4,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(9,50,'Logo Editing','logo-editing','<p>The following is a step by step guide to customising your Ionosphere logo image by replacing the logo text with your own organization or company\'s name and logo.</p>\r\n\r\n<p class=\"notice\">Gantry sets the dimensions of the logo, so CSS modification is unnecessary.</p>\r\n\r\n<br />\r\n\r\n<h3 class=\"medmarginbottom\">Step 1 - Open the File</h3>\r\n\r\n<img src=\"images/stories/demo/logo/logo1.jpg\" alt=\"Logo\" width=\"220\" height=\"76\" class=\"rt-image floatleft\" />\r\n\r\n<ul style=\"margin-left: 240px;\">\r\n	<li>Open the <strong>logo-source.png</strong> file in Adobe&reg; Fireworks.</li>\r\n</ul>\r\n\r\n<ul style=\"margin-left: 240px;\">\r\n	<li>In the right column, find <strong>Layers</strong>. Select the <strong>Web layers</strong> directory and click the eye icon to the left of the logo slice (the green object). This will make the slice invisible so you can edit the file.</li>\r\n</ul>\r\n\r\n<div class=\"clear\"></div><br />\r\n\r\n<h3 class=\"medmarginbottom\">Step 2 - Text/Slogan/Icon Editing</h3>\r\n\r\n<ul>\r\n	<li>Double click on the logo text. Now you can edit the text of logo to your choosing. Edit the icon as desired.</li>\r\n</ul>\r\n<br />\r\n\r\n	<img src=\"images/stories/demo/logo/logo2.jpg\" alt=\"Logo\" width=\"220\" height=\"76\" class=\"rt-image floatleft largemarginright\" />\r\n	<img src=\"images/stories/demo/logo/logo3.jpg\" alt=\"Logo\" width=\"220\" height=\"76\" class=\"rt-image floatleft largemarginleft\" />\r\n	<div class=\"clear\"></div>\r\n	<br />\r\n	<img src=\"images/stories/demo/logo/logo4.jpg\" alt=\"Logo\" width=\"220\" height=\"76\" class=\"rt-image floatleft largemarginright\" />\r\n	<img src=\"images/stories/demo/logo/logo5.jpg\" alt=\"Logo\" width=\"220\" height=\"76\" class=\"rt-image floatleft largemarginleft\" />	\r\n\r\n<div class=\"clear\"></div><br />\r\n\r\n<img src=\"images/stories/demo/logo/logo6.jpg\" alt=\"Logo\" width=\"220\" height=\"76\" class=\"rt-image floatleft largemarginbottom\" />\r\n\r\n<h3 class=\"medmarginbottom\">Step 3 - Slice Modification</h3>\r\n\r\n<ul style=\"margin-left: 240px;\">\r\n	<li>Reactivate the Slice in the Web Layers column, this will place a green rectangle over the logo image. Change the size of the slice (or move it) to match the new size if applicable.</li>\r\n</ul>\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"clear\"></div><br />\r\n\r\n<img src=\"images/stories/demo/logo/logo7.jpg\" alt=\"Logo\" width=\"220\" height=\"76\"  class=\"rt-image floatleft largemarginbottom\" />\r\n\r\n<h3 class=\"medmarginbottom\">Step 4 - Export</h3>\r\n\r\n<ul style=\"margin-left: 240px;\">\r\n	<li>Now you will want to export the logo. Right click on the image slice and select <strong>Exported Selected Slices...</strong> from the contextual menu. Export it to your computer.</li>\r\n</ul>\r\n<div class=\"clear\"></div>','',1,11,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,3,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(10,51,'Preset Styles','preset-styles','<div class=\"module-title\">\r\n	<h1 class=\"title\"><span>Integrated</span> Extensions</h1>\r\n</div>\r\n<p class=\"attention\">Access the Style Control settings from: <strong>Admin → Extensions → Template Manager → <em>(J1.5) rt_ionosphere_j15</em> or <em>(J2.5) rt_ionosphere</em> → Settings</strong></p>\r\n\r\n<p>Simple configure the options, then save and Gantry will automatically load the modified preset to your site.</p>\r\n\r\n<div class=\"module-title\"><h2 class=\"title\">Style Setting</h2><div class=\"clear\"></div></div>\r\n\r\n<ul>\r\n	<li><strong>Accent Colors:</strong> Set the Accent Colors with Color Chooser and the Overlay : Light - Dark to determine the body shade/style</li>\r\n	<li><strong>Body Style:</strong> Set the Accent Colors with Color Chooser and the Overlay : Light - Dark to determine the body shade/style</li>\r\n	<li><strong>BackGround Style:</strong> <em>carbon, noise, paper, plaid, squares, textile, triangles, elegant, grunge, dustnscratches, fibers</em>; Set which background pattern set you wish to load</li>	\r\n	<li><strong>Style Panel:</strong> Set the position of Style Panel; Default and recommended position is <em>panel</em></li>\r\n	<li><strong>Load Transition:</strong> On - Off; Enable or disable the page loading transition animation effects</li>\r\n	<li><strong>Web Fonts:</strong> <em>On - Off, Google Font Directory</em>; WebFonts allow you to use 3rd party WebFonts from providers such as Google. You must SAVE then APPLY before the new fonts will show up in the Font Family dropdown.</li>\r\n	<li><strong>Font Settings</strong>: Select a font family from the available options and also choose a default font size\r\n		<ul>\r\n			<li><strong>Font Family:</strong> Ionosphere, Geneva, Optima, Helvetica, Trebuchet, Lucida, Georgia, Palatino, or <strong>Various Google Fonts</strong> <em>(dropdown)</em></li>\r\n			<li><strong>Font Size:</strong> Default, Extra Large, Large, Small, Extra Small <em>(dropdown)</em></li>\r\n		</ul>\r\n	</li>\r\n</ul>\r\n\r\n<br />\r\n\r\n<div class=\"module-title\"><h2 class=\"title\">Assigning a Style to a Specific Page</h2><div class=\"clear\"></div></div>\r\n\r\n<p>With Gantry, the ability to assign a certain style to an individual page has never been easier and/or more efficient. Just follow these simple steps:</p>\r\n\r\n<ul>\r\n	<li><strong>(J1.5)</strong> Go to <strong>Extensions → Template Manager → rt_ionosphere_j15 &rarr; Menu Items &rarr; <em>*Menu Item*</em></strong></li>\r\n	<li><strong>(J2.5)</strong> Go to <strong>Extensions → Template Manager → rt_ionosphere &rarr; Assignments &rarr; <em>*Menu Item*</em></strong><br /><br /></li>	\r\n\r\n	<li><strong>(J1.5)</strong> Select your preset from <strong>Presets → Style Presets</strong>, configure and save.</li>\r\n	<li><strong>(J2.5)</strong> Select your preset from <strong>Show Presets</strong>, configure and save.</li>\r\n</ul>\r\n\r\n<a href=\"http://gantry-framework.org/documentation/joomla/configure/per-menu-item-configuration\" class=\"readon largemargintop\"><span>Gantry Framework: Per Menu Item Controls</span></a>','',1,11,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,2,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(11,52,'About Joomla!','about-joomla','<h3>What is Joomla?</h3>\r\n<p>Joomla is an award-winning content management system (CMS), which enables you to build Web sites and powerful online applications. Many aspects, including its ease-of-use and extensibility, have made Joomla the most popular Web site software available. Best of all, Joomla is an open source solution that is freely available to everyone.</p>\r\n\r\n<h3>What Joomla! can do?</h3>\r\n<p>Joomla is used all over the world to power Web sites of all shapes and sizes. For example:</p>\r\n<ul>\r\n	<li>Corporate Web sites or portals</li>\r\n	<li>Corporate intranets and extranets</li>\r\n	<li>Online magazines, newspapers, and publications</li>\r\n	<li>E-commerce and online reservations</li>\r\n	<li>Government applications</li>\r\n	<li>Small business Web sites</li>\r\n	<li>Non-profit and organizational Web sites</li>\r\n	<li>Community-based portals</li>\r\n	<li>School and church Web sites</li>\r\n	<li>Personal or family homepages</li>\r\n</ul>\r\n\r\n<br />\r\n\r\n<h3>Site and Administrator</h3>\r\n<p>Your site actually has two separate sites. The site (also called the front end) is what visitors to your site will see. The administrator (also called the back end) is only used by people managing your site. You can access the administrator by clicking the \"Site Administrator\" link on the \"This Site\" menu or by adding /administrator to the end of you domain name.</p>\r\n<p>Log in to the administrator using the username and password created during the installation of Joomla.</p>\r\n\r\n<h3>Learn More</h3>\r\n<p>There is much more to learn about how to use Joomla! to create the web site you envision. You can learn much more at the <a href=\"http://docs.joomla.org\" target=\"_blank\">Joomla! documentation site</a> and on the<a href=\"http://forum.joomla.org\" target=\"_blank\"> Joomla! forums</a>.</p>\r\n\r\n<a href=\"http://www.joomla.org/\" target=\"_blank\" class=\"readon\"><span>Visit Joomla!</span></a>','',1,11,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,1,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(12,54,'Sample Content 1','sample-content-1','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede.</p>\r\n\r\n<p>Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus.</p>\r\n\r\n','\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi.</p>\r\n\r\n<p>Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>',1,12,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(13,55,'Sample Content 2','sample-content-2','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede.</p>\r\n\r\n<p>Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus.</p>\r\n\r\n','\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi.</p>\r\n\r\n<p>Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>',1,12,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(14,56,'Sample Content 3','sample-content-3','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede.</p>\r\n\r\n<p>Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus.</p>\r\n\r\n','\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi.</p>\r\n\r\n<p>Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>',1,12,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(15,57,'Sample Content 4','sample-content-4','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede.</p>\r\n\r\n<p>Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus.</p>\r\n\r\n','\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi.</p>\r\n\r\n<p>Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>',1,12,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(16,58,'Sample Content 5','sample-content-5','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede.</p>\r\n\r\n<p>Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus.</p>\r\n\r\n','\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi.</p>\r\n\r\n<p>Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>',1,12,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(17,59,'Sample Content 6','sample-content-6','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede.</p>\r\n\r\n<p>Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus.</p>\r\n\r\n','\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi.</p>\r\n\r\n<p>Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>',1,12,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(18,60,'Sample Content 7','sample-content-7','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede.</p>\r\n\r\n<p>Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus.</p>\r\n\r\n','\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi.</p>\r\n\r\n<p>Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>',1,12,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(19,61,'Sample Content 8','sample-content-8','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede.</p>\r\n\r\n<p>Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus.</p>\r\n\r\n','\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi.</p>\r\n\r\n<p>Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>',1,12,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(20,64,'Top Features','top-features','<div class=\"module-content\">\r\n<div class=\"fp-main-img\"><img src=\"images/stories/demo/frontpage/fp-main-1.jpg\" alt=\"image\" width=\"284\" height=\"253\"/></div>\r\n\r\n{socialbuttons}\r\n\r\n<div class=\"promo largepaddingtop\"><h3 class=\"feature nobold largemarginbottom\">Featured Extensions</h3></div>\r\n<p class=\"medmarginbottom\">An assortment of stylistically integrated extensions are available with Ionosphere:</p>\r\n<ul class=\"circle nomarginright nomarginbottom\">\r\n	<li><a href=\"index.php?option=com_content&amp;view=article&amp;id=6&amp;Itemid=113\">RokSprocket: Content Module</a><br />Combine tabbed, showcase and other functionality within one module.</li>\r\n	<li class=\"nomarginbottom\"><a href=\"index.php?option=com_content&amp;view=article&amp;id=6&amp;Itemid=113\">RokAjaxSearch: Search Module</a><br />A sophisticated search module with integrated Google features such as Image Search.</li>\r\n</ul>\r\n\r\n<div class=\"clear\"></div>\r\n<div class=\"fp-main-module box6\">\r\n	<div class=\"rt-block nomargintop\">\r\n		<div class=\"module-surround\">\r\n			<div class=\"rt-demo-grid-4\">\r\n				<ul class=\"dots nomarginbottom\">\r\n					<li>Triple Level SplitMenu &amp; Fusion Menu.</li>\r\n					<li>11 Styled and 26 Layout Module Suffixes.</li>	\r\n					<li>84 Positions including 15 Gantry Rows.</li>\r\n				</ul>\r\n				<div class=\"clear\"></div>\r\n			</div>\r\n			<div class=\"rt-demo-grid-4\">\r\n				<ul class=\"dots nomarginbottom\">\r\n					<li>Twelve Customizable Style Variations.</li>\r\n					<li>Built with the Powerful Gantry Framework.</li>\r\n					<li>Comprehensive Content Typography.</li>\r\n				</ul>\r\n				<div class=\"clear\"></div>\r\n			</div>\r\n			<div class=\"clear\"></div>\r\n		</div>\r\n	</div>\r\n</div>\r\n</div>','',1,11,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',1,'*','',''),(24,72,'Tutorials','tutorials','<div class=\"floatleft\">{loadposition fp-roktabs-1}</div>\r\n\r\n<p class=\"clearnone smallpaddingtop\">Learn how to install the template and its associated extras, such as the Extensions, with this demo\'s <a href=\"index.php?option=com_content&amp;view=article&amp;id=8&amp;Itemid=115\" class=\"nobold\">Installation</a> tutorial.</p>\r\n\r\n<p class=\"clearnone smallpaddingtop nomarginbottom\">Learn how to customize the logo using the Adobe® Fireworks PNG Sources, with this demo\'s <a href=\"index.php?option=com_content&amp;view=article&amp;id=9&amp;Itemid=116\" class=\"nobold\">Logo Editing</a> tutorial.</p>','',1,16,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,1,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(25,73,'Support','support','<p>Want to ask a technical question about <strong>Ionosphere</strong>? Want to a read a selection of customization tutorials from the team regarding <strong>Ionosphere</strong>? Want to read a dynamic and live knowledgeable of questions and responses? Then please visit the <strong>RocketTheme</strong> Community Forum (Members Only).</p>\r\n<a href=\"http://www.rockettheme.com/forum\" target=\"_blank\" class=\"readon\"><span>Visit Forum</span></a>','',1,16,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(26,74,'RokSprocket Extension','roksprocket-extension','<p>RokSprocket is a revolutionary new Joomla 2.5 only extension that has been designed to replace a variety of our existing ‘content’ modules. These include RokStories, RokTabs, RokNewsPager, RokNewsflash, RokMicronews, and basically any module in the RT arsenal that manipulates and displays articles.</p>\r\n\r\n','\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede.</p>\r\n\r\n<p>Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus.</p>\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi.</p>\r\n\r\n<p>Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>',1,17,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,1,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(27,75,'Color Chooser Template','color-chooser-template','<p>The twelve style variations are fully customizable with the most comprehensive color chooser system ever. Choose just a few tones and shades, and Ionosphere does the rest, automatically calculating an appropriate color scheme for the various template elements. All at a push of the button inside the Gantry Administrator.</p>\r\n\r\n','\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede.</p>\r\n\r\n<p>Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus.</p>\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi.</p>\r\n\r\n<p>Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>',1,17,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,2,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(28,76,'Fusion and SplitMenu','fusion-and-splitmenu','<p>There are two menu systems that are integrated into the Ionosphere, these are the Triple Level SplitMenu and the Fusion Menu. The former is a three tiered, static menu system with configurable locations. The latter is a javascript enhanced, CSS powered dropdown menu with numerous features such as multi-column support.</p>\r\n\r\n','\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede.</p>\r\n\r\n<p>Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus.</p>\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi.</p>\r\n\r\n<p>Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>',1,17,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,3,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(29,77,'Customize the Logo','customize-the-logo','<p>The most effective way to customize the logo is to use the included Source PNG file. When opened in Adobe Fireworks, this file contains all of the Layers in the design allowing you to tweak and change any of the image elements of the template design.</p>\r\n\r\n','\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede.</p>\r\n\r\n<p>Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus.</p>\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi.</p>\r\n\r\n<p>Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>',1,17,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,4,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(30,78,'Content Typography','content-typography','<p>Typography is a fundamental part of a template, providing you with the tools to characterise your content and bring it to life. There is a vast array of typography available with Ionosphere template, as is with our previous releases, from list styles, notice blocks and a diverse number of other elements.</p>\r\n\r\n','\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede.</p>\r\n\r\n<p>Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus.</p>\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi.</p>\r\n\r\n<p>Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>',1,17,'2018-01-01 00:00:01',348,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-04-02 14:26:44','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,5,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','','');

INSERT IGNORE INTO `#__content_frontpage` (`content_id`, `ordering`) VALUES (20,1);

INSERT IGNORE INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES (1,0,'com_mailto','component','com_mailto','',0,1,1,1,'{\"name\":\"com_mailto\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MAILTO_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mailto\"}','','','',0,'0000-00-00 00:00:00',0,0),(2,0,'com_wrapper','component','com_wrapper','',0,1,1,1,'{\"name\":\"com_wrapper\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_WRAPPER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"wrapper\"}','','','',0,'0000-00-00 00:00:00',0,0),(3,0,'com_admin','component','com_admin','',1,1,1,1,'{\"name\":\"com_admin\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_ADMIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(4,0,'com_banners','component','com_banners','',1,1,1,0,'{\"name\":\"com_banners\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_BANNERS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"banners\"}','{\"purchase_type\":\"3\",\"track_impressions\":\"0\",\"track_clicks\":\"0\",\"metakey_prefix\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(5,0,'com_cache','component','com_cache','',1,1,1,1,'{\"name\":\"com_cache\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CACHE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(6,0,'com_categories','component','com_categories','',1,1,1,1,'{\"name\":\"com_categories\",\"type\":\"component\",\"creationDate\":\"December 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(7,0,'com_checkin','component','com_checkin','',1,1,1,1,'{\"name\":\"com_checkin\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CHECKIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(8,0,'com_contact','component','com_contact','',1,1,1,0,'{\"name\":\"com_contact\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CONTACT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contact\"}','{\"show_contact_category\":\"hide\",\"show_contact_list\":\"0\",\"presentation_style\":\"sliders\",\"show_name\":\"1\",\"show_position\":\"1\",\"show_email\":\"0\",\"show_street_address\":\"1\",\"show_suburb\":\"1\",\"show_state\":\"1\",\"show_postcode\":\"1\",\"show_country\":\"1\",\"show_telephone\":\"1\",\"show_mobile\":\"1\",\"show_fax\":\"1\",\"show_webpage\":\"1\",\"show_misc\":\"1\",\"show_image\":\"1\",\"image\":\"\",\"allow_vcard\":\"0\",\"show_articles\":\"0\",\"show_profile\":\"0\",\"show_links\":\"0\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"contact_icons\":\"0\",\"icon_address\":\"\",\"icon_email\":\"\",\"icon_telephone\":\"\",\"icon_mobile\":\"\",\"icon_fax\":\"\",\"icon_misc\":\"\",\"show_headings\":\"1\",\"show_position_headings\":\"1\",\"show_email_headings\":\"0\",\"show_telephone_headings\":\"1\",\"show_mobile_headings\":\"0\",\"show_fax_headings\":\"0\",\"allow_vcard_headings\":\"0\",\"show_suburb_headings\":\"1\",\"show_state_headings\":\"1\",\"show_country_headings\":\"1\",\"show_email_form\":\"1\",\"show_email_copy\":\"1\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"1\",\"custom_reply\":\"0\",\"redirect\":\"\",\"show_category_crumb\":\"0\",\"metakey\":\"\",\"metadesc\":\"\",\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(9,0,'com_cpanel','component','com_cpanel','',1,1,1,1,'{\"name\":\"com_cpanel\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CPANEL_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(10,0,'com_installer','component','com_installer','',1,1,1,1,'{\"name\":\"com_installer\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_INSTALLER_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(11,0,'com_languages','component','com_languages','',1,1,1,1,'{\"name\":\"com_languages\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_LANGUAGES_XML_DESCRIPTION\",\"group\":\"\"}','{\"administrator\":\"en-GB\",\"site\":\"en-GB\"}','','',0,'0000-00-00 00:00:00',0,0),(12,0,'com_login','component','com_login','',1,1,1,1,'{\"name\":\"com_login\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_LOGIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(13,0,'com_media','component','com_media','',1,1,0,1,'{\"name\":\"com_media\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MEDIA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"media\"}','{\"upload_extensions\":\"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS\",\"upload_maxsize\":\"10\",\"file_path\":\"images\",\"image_path\":\"images\",\"restrict_uploads\":\"1\",\"allowed_media_usergroup\":\"3\",\"check_mime\":\"1\",\"image_extensions\":\"bmp,gif,jpg,png\",\"ignore_extensions\":\"\",\"upload_mime\":\"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/x-shockwave-flash,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip\",\"upload_mime_illegal\":\"text\\/html\",\"enable_flash\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(14,0,'com_menus','component','com_menus','',1,1,1,1,'{\"name\":\"com_menus\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MENUS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(15,0,'com_messages','component','com_messages','',1,1,1,1,'{\"name\":\"com_messages\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MESSAGES_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(16,0,'com_modules','component','com_modules','',1,1,1,1,'{\"name\":\"com_modules\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MODULES_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(17,0,'com_newsfeeds','component','com_newsfeeds','',1,1,1,0,'{\"name\":\"com_newsfeeds\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"newsfeeds\"}','{\"show_feed_image\":\"1\",\"show_feed_description\":\"1\",\"show_item_description\":\"1\",\"feed_word_count\":\"0\",\"show_headings\":\"1\",\"show_name\":\"1\",\"show_articles\":\"0\",\"show_link\":\"1\",\"show_description\":\"1\",\"show_description_image\":\"1\",\"display_num\":\"\",\"show_pagination_limit\":\"1\",\"show_pagination\":\"1\",\"show_pagination_results\":\"1\",\"show_cat_items\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(18,0,'com_plugins','component','com_plugins','',1,1,1,1,'{\"name\":\"com_plugins\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_PLUGINS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(19,0,'com_search','component','com_search','',1,1,1,0,'{\"name\":\"com_search\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_SEARCH_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"search\"}','{\"enabled\":\"0\",\"show_date\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(20,0,'com_templates','component','com_templates','',1,1,1,1,'{\"name\":\"com_templates\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_TEMPLATES_XML_DESCRIPTION\",\"group\":\"\"}','{\"template_positions_display\":\"0\",\"upload_limit\":\"2\",\"image_formats\":\"gif,bmp,jpg,jpeg,png\",\"source_formats\":\"txt,less,ini,xml,js,php,css,scss,yaml,twig\",\"font_formats\":\"woff,ttf,otf,eot,svg\",\"compressed_formats\":\"zip\"}','','',0,'0000-00-00 00:00:00',0,0),(22,0,'com_content','component','com_content','',1,1,0,1,'{\"name\":\"com_content\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CONTENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"content\"}','{\"article_layout\":\"_:default\",\"show_title\":\"1\",\"link_titles\":\"1\",\"show_intro\":\"1\",\"show_category\":\"0\",\"link_category\":\"1\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"1\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_readmore\":\"1\",\"show_readmore_title\":\"1\",\"readmore_limit\":\"100\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"1\",\"show_hits\":\"0\",\"show_noauth\":\"0\",\"urls_position\":\"0\",\"show_publishing_options\":\"1\",\"show_article_options\":\"1\",\"show_urls_images_frontend\":\"0\",\"show_urls_images_backend\":\"1\",\"targeta\":0,\"targetb\":0,\"targetc\":0,\"float_intro\":\"left\",\"float_fulltext\":\"left\",\"category_layout\":\"_:blog\",\"show_category_title\":\"0\",\"show_description\":\"0\",\"show_description_image\":\"0\",\"maxLevel\":\"1\",\"show_empty_categories\":\"0\",\"show_no_articles\":\"1\",\"show_subcat_desc\":\"1\",\"show_cat_num_articles\":\"0\",\"show_base_description\":\"1\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"0\",\"show_subcat_desc_cat\":\"1\",\"show_cat_num_articles_cat\":\"1\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"4\",\"num_columns\":\"2\",\"num_links\":\"4\",\"multi_column_order\":\"0\",\"show_subcategory_content\":\"0\",\"show_pagination_limit\":\"1\",\"filter_field\":\"hide\",\"show_headings\":\"1\",\"list_show_date\":\"0\",\"date_format\":\"\",\"list_show_hits\":\"1\",\"list_show_author\":\"1\",\"orderby_pri\":\"order\",\"orderby_sec\":\"rdate\",\"order_date\":\"published\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_feed_link\":\"1\",\"feed_summary\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(23,0,'com_config','component','com_config','',1,1,0,1,'{\"name\":\"com_config\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CONFIG_XML_DESCRIPTION\",\"group\":\"\"}','{\"filters\":{\"1\":{\"filter_type\":\"NH\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"6\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"7\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"2\":{\"filter_type\":\"NH\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"3\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"4\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"5\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"8\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"}}}','','',0,'0000-00-00 00:00:00',0,0),(24,0,'com_redirect','component','com_redirect','',1,1,0,1,'{\"name\":\"com_redirect\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_REDIRECT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(25,0,'com_users','component','com_users','',1,1,0,1,'{\"name\":\"com_users\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_USERS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"users\"}','{\"allowUserRegistration\":\"1\",\"new_usertype\":\"2\",\"useractivation\":\"1\",\"frontend_userparams\":\"1\",\"mailSubjectPrefix\":\"\",\"mailBodySuffix\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(27,0,'com_finder','component','com_finder','',1,1,0,0,'{\"name\":\"com_finder\",\"type\":\"component\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_FINDER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"finder\"}','{\"show_description\":\"1\",\"description_length\":255,\"allow_empty_query\":\"0\",\"show_url\":\"1\",\"show_advanced\":\"1\",\"expand_advanced\":\"0\",\"show_date_filters\":\"0\",\"highlight_terms\":\"1\",\"opensearch_name\":\"\",\"opensearch_description\":\"\",\"batch_size\":\"50\",\"memory_table_limit\":30000,\"title_multiplier\":\"1.7\",\"text_multiplier\":\"0.7\",\"meta_multiplier\":\"1.2\",\"path_multiplier\":\"2.0\",\"misc_multiplier\":\"0.3\",\"stemmer\":\"snowball\"}','','',0,'0000-00-00 00:00:00',0,0),(28,0,'com_joomlaupdate','component','com_joomlaupdate','',1,1,0,1,'{\"name\":\"com_joomlaupdate\",\"type\":\"component\",\"creationDate\":\"February 2012\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.6.2\",\"description\":\"COM_JOOMLAUPDATE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(29,0,'com_tags','component','com_tags','',1,1,1,1,'{\"name\":\"com_tags\",\"type\":\"component\",\"creationDate\":\"December 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.1.0\",\"description\":\"COM_TAGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"tags\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(30,0,'com_contenthistory','component','com_contenthistory','',1,1,1,0,'{\"name\":\"com_contenthistory\",\"type\":\"component\",\"creationDate\":\"May 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"COM_CONTENTHISTORY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contenthistory\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(31,0,'com_ajax','component','com_ajax','',1,1,1,1,'{\"name\":\"com_ajax\",\"type\":\"component\",\"creationDate\":\"August 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"COM_AJAX_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"ajax\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(32,0,'com_postinstall','component','com_postinstall','',1,1,1,1,'{\"name\":\"com_postinstall\",\"type\":\"component\",\"creationDate\":\"September 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"COM_POSTINSTALL_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(33,0,'com_fields','component','com_fields','',1,1,1,0,'{\"name\":\"com_fields\",\"type\":\"component\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"COM_FIELDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"fields\"}','','','',0,'0000-00-00 00:00:00',0,0),(34,0,'com_associations','component','com_associations','',1,1,1,0,'{\"name\":\"com_associations\",\"type\":\"component\",\"creationDate\":\"January 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"COM_ASSOCIATIONS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(35,0,'com_privacy','component','com_privacy','',1,1,1,1,'{\"name\":\"com_privacy\",\"type\":\"component\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"COM_PRIVACY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"privacy\"}','','','',0,'0000-00-00 00:00:00',0,0),(36,0,'com_actionlogs','component','com_actionlogs','',1,1,1,1,'{\"name\":\"com_actionlogs\",\"type\":\"component\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"COM_ACTIONLOGS_XML_DESCRIPTION\",\"group\":\"\"}','{\"ip_logging\":0,\"csv_delimiter\":\",\",\"loggable_extensions\":[\"com_banners\",\"com_cache\",\"com_categories\",\"com_checkin\",\"com_config\",\"com_contact\",\"com_content\",\"com_installer\",\"com_media\",\"com_menus\",\"com_messages\",\"com_modules\",\"com_newsfeeds\",\"com_plugins\",\"com_redirect\",\"com_tags\",\"com_templates\",\"com_users\"]}','','',0,'0000-00-00 00:00:00',0,0),(102,0,'LIB_PHPUTF8','library','phputf8','',0,1,1,1,'{\"name\":\"LIB_PHPUTF8\",\"type\":\"library\",\"creationDate\":\"2006\",\"author\":\"Harry Fuecks\",\"copyright\":\"Copyright various authors\",\"authorEmail\":\"hfuecks@gmail.com\",\"authorUrl\":\"http:\\/\\/sourceforge.net\\/projects\\/phputf8\",\"version\":\"0.5\",\"description\":\"LIB_PHPUTF8_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"phputf8\"}','','','',0,'0000-00-00 00:00:00',0,0),(103,0,'LIB_JOOMLA','library','joomla','',0,1,1,1,'{\"name\":\"LIB_JOOMLA\",\"type\":\"library\",\"creationDate\":\"2008\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"https:\\/\\/www.joomla.org\",\"version\":\"13.1\",\"description\":\"LIB_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}','{\"mediaversion\":\"2199df56d5cf85909df625b4951f7f12\"}','','',0,'0000-00-00 00:00:00',0,0),(104,0,'LIB_IDNA','library','idna_convert','',0,1,1,1,'{\"name\":\"LIB_IDNA\",\"type\":\"library\",\"creationDate\":\"2004\",\"author\":\"phlyLabs\",\"copyright\":\"2004-2011 phlyLabs Berlin, http:\\/\\/phlylabs.de\",\"authorEmail\":\"phlymail@phlylabs.de\",\"authorUrl\":\"http:\\/\\/phlylabs.de\",\"version\":\"0.8.0\",\"description\":\"LIB_IDNA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"idna_convert\"}','','','',0,'0000-00-00 00:00:00',0,0),(105,0,'FOF','library','fof','',0,1,1,1,'{\"name\":\"FOF\",\"type\":\"library\",\"creationDate\":\"2015-04-22 13:15:32\",\"author\":\"Nicholas K. Dionysopoulos \\/ Akeeba Ltd\",\"copyright\":\"(C)2011-2015 Nicholas K. Dionysopoulos\",\"authorEmail\":\"nicholas@akeebabackup.com\",\"authorUrl\":\"https:\\/\\/www.akeebabackup.com\",\"version\":\"2.4.3\",\"description\":\"LIB_FOF_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"fof\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(106,0,'LIB_PHPASS','library','phpass','',0,1,1,1,'{\"name\":\"LIB_PHPASS\",\"type\":\"library\",\"creationDate\":\"2004-2006\",\"author\":\"Solar Designer\",\"copyright\":\"\",\"authorEmail\":\"solar@openwall.com\",\"authorUrl\":\"http:\\/\\/www.openwall.com\\/phpass\\/\",\"version\":\"0.3\",\"description\":\"LIB_PHPASS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"phpass\"}','','','',0,'0000-00-00 00:00:00',0,0),(200,0,'mod_articles_archive','module','mod_articles_archive','',0,1,1,0,'{\"name\":\"mod_articles_archive\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_archive\"}','','','',0,'0000-00-00 00:00:00',0,0),(201,0,'mod_articles_latest','module','mod_articles_latest','',0,1,1,0,'{\"name\":\"mod_articles_latest\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LATEST_NEWS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_latest\"}','','','',0,'0000-00-00 00:00:00',0,0),(202,0,'mod_articles_popular','module','mod_articles_popular','',0,1,1,0,'{\"name\":\"mod_articles_popular\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_POPULAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_popular\"}','','','',0,'0000-00-00 00:00:00',0,0),(203,0,'mod_banners','module','mod_banners','',0,1,1,0,'{\"name\":\"mod_banners\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_BANNERS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_banners\"}','','','',0,'0000-00-00 00:00:00',0,0),(204,0,'mod_breadcrumbs','module','mod_breadcrumbs','',0,1,1,1,'{\"name\":\"mod_breadcrumbs\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_BREADCRUMBS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_breadcrumbs\"}','','','',0,'0000-00-00 00:00:00',0,0),(205,0,'mod_custom','module','mod_custom','',0,1,1,1,'{\"name\":\"mod_custom\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_CUSTOM_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_custom\"}','','','',0,'0000-00-00 00:00:00',0,0),(206,0,'mod_feed','module','mod_feed','',0,1,1,0,'{\"name\":\"mod_feed\",\"type\":\"module\",\"creationDate\":\"July 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FEED_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_feed\"}','','','',0,'0000-00-00 00:00:00',0,0),(207,0,'mod_footer','module','mod_footer','',0,1,1,0,'{\"name\":\"mod_footer\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FOOTER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_footer\"}','','','',0,'0000-00-00 00:00:00',0,0),(208,0,'mod_login','module','mod_login','',0,1,1,1,'{\"name\":\"mod_login\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LOGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_login\"}','','','',0,'0000-00-00 00:00:00',0,0),(209,0,'mod_menu','module','mod_menu','',0,1,1,1,'{\"name\":\"mod_menu\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_MENU_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_menu\"}','','','',0,'0000-00-00 00:00:00',0,0),(210,0,'mod_articles_news','module','mod_articles_news','',0,1,1,0,'{\"name\":\"mod_articles_news\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_NEWS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_news\"}','','','',0,'0000-00-00 00:00:00',0,0),(211,0,'mod_random_image','module','mod_random_image','',0,1,1,0,'{\"name\":\"mod_random_image\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_RANDOM_IMAGE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_random_image\"}','','','',0,'0000-00-00 00:00:00',0,0),(212,0,'mod_related_items','module','mod_related_items','',0,1,1,0,'{\"name\":\"mod_related_items\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_RELATED_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_related_items\"}','','','',0,'0000-00-00 00:00:00',0,0),(213,0,'mod_search','module','mod_search','',0,1,1,0,'{\"name\":\"mod_search\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_SEARCH_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_search\"}','','','',0,'0000-00-00 00:00:00',0,0),(214,0,'mod_stats','module','mod_stats','',0,1,1,0,'{\"name\":\"mod_stats\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_STATS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_stats\"}','','','',0,'0000-00-00 00:00:00',0,0),(215,0,'mod_syndicate','module','mod_syndicate','',0,1,1,1,'{\"name\":\"mod_syndicate\",\"type\":\"module\",\"creationDate\":\"May 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_SYNDICATE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_syndicate\"}','','','',0,'0000-00-00 00:00:00',0,0),(216,0,'mod_users_latest','module','mod_users_latest','',0,1,1,0,'{\"name\":\"mod_users_latest\",\"type\":\"module\",\"creationDate\":\"December 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_USERS_LATEST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_users_latest\"}','','','',0,'0000-00-00 00:00:00',0,0),(218,0,'mod_whosonline','module','mod_whosonline','',0,1,1,0,'{\"name\":\"mod_whosonline\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_WHOSONLINE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_whosonline\"}','','','',0,'0000-00-00 00:00:00',0,0),(219,0,'mod_wrapper','module','mod_wrapper','',0,1,1,0,'{\"name\":\"mod_wrapper\",\"type\":\"module\",\"creationDate\":\"October 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_WRAPPER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_wrapper\"}','','','',0,'0000-00-00 00:00:00',0,0),(220,0,'mod_articles_category','module','mod_articles_category','',0,1,1,0,'{\"name\":\"mod_articles_category\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_category\"}','','','',0,'0000-00-00 00:00:00',0,0),(221,0,'mod_articles_categories','module','mod_articles_categories','',0,1,1,0,'{\"name\":\"mod_articles_categories\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_categories\"}','','','',0,'0000-00-00 00:00:00',0,0),(222,0,'mod_languages','module','mod_languages','',0,1,1,1,'{\"name\":\"mod_languages\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.5.0\",\"description\":\"MOD_LANGUAGES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_languages\"}','','','',0,'0000-00-00 00:00:00',0,0),(223,0,'mod_finder','module','mod_finder','',0,1,0,0,'{\"name\":\"mod_finder\",\"type\":\"module\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FINDER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_finder\"}','','','',0,'0000-00-00 00:00:00',0,0),(300,0,'mod_custom','module','mod_custom','',1,1,1,1,'{\"name\":\"mod_custom\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_CUSTOM_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_custom\"}','','','',0,'0000-00-00 00:00:00',0,0),(301,0,'mod_feed','module','mod_feed','',1,1,1,0,'{\"name\":\"mod_feed\",\"type\":\"module\",\"creationDate\":\"July 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FEED_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_feed\"}','','','',0,'0000-00-00 00:00:00',0,0),(302,0,'mod_latest','module','mod_latest','',1,1,1,0,'{\"name\":\"mod_latest\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LATEST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_latest\"}','','','',0,'0000-00-00 00:00:00',0,0),(303,0,'mod_logged','module','mod_logged','',1,1,1,0,'{\"name\":\"mod_logged\",\"type\":\"module\",\"creationDate\":\"January 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LOGGED_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_logged\"}','','','',0,'0000-00-00 00:00:00',0,0),(304,0,'mod_login','module','mod_login','',1,1,1,1,'{\"name\":\"mod_login\",\"type\":\"module\",\"creationDate\":\"March 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LOGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_login\"}','','','',0,'0000-00-00 00:00:00',0,0),(305,0,'mod_menu','module','mod_menu','',1,1,1,0,'{\"name\":\"mod_menu\",\"type\":\"module\",\"creationDate\":\"March 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_MENU_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_menu\"}','','','',0,'0000-00-00 00:00:00',0,0),(307,0,'mod_popular','module','mod_popular','',1,1,1,0,'{\"name\":\"mod_popular\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_POPULAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_popular\"}','','','',0,'0000-00-00 00:00:00',0,0),(308,0,'mod_quickicon','module','mod_quickicon','',1,1,1,1,'{\"name\":\"mod_quickicon\",\"type\":\"module\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_QUICKICON_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_quickicon\"}','','','',0,'0000-00-00 00:00:00',0,0),(309,0,'mod_status','module','mod_status','',1,1,1,0,'{\"name\":\"mod_status\",\"type\":\"module\",\"creationDate\":\"February 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_STATUS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_status\"}','','','',0,'0000-00-00 00:00:00',0,0),(310,0,'mod_submenu','module','mod_submenu','',1,1,1,0,'{\"name\":\"mod_submenu\",\"type\":\"module\",\"creationDate\":\"February 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_SUBMENU_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_submenu\"}','','','',0,'0000-00-00 00:00:00',0,0),(311,0,'mod_title','module','mod_title','',1,1,1,0,'{\"name\":\"mod_title\",\"type\":\"module\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_TITLE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_title\"}','','','',0,'0000-00-00 00:00:00',0,0),(312,0,'mod_toolbar','module','mod_toolbar','',1,1,1,1,'{\"name\":\"mod_toolbar\",\"type\":\"module\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_TOOLBAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_toolbar\"}','','','',0,'0000-00-00 00:00:00',0,0),(313,0,'mod_multilangstatus','module','mod_multilangstatus','',1,1,1,0,'{\"name\":\"mod_multilangstatus\",\"type\":\"module\",\"creationDate\":\"September 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_MULTILANGSTATUS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_multilangstatus\"}','{\"cache\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(314,0,'mod_version','module','mod_version','',1,1,1,0,'{\"name\":\"mod_version\",\"type\":\"module\",\"creationDate\":\"January 2012\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_VERSION_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_version\"}','{\"format\":\"short\",\"product\":\"1\",\"cache\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(315,0,'mod_stats_admin','module','mod_stats_admin','',1,1,1,0,'{\"name\":\"mod_stats_admin\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_STATS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_stats_admin\"}','{\"serverinfo\":\"0\",\"siteinfo\":\"0\",\"counter\":\"0\",\"increase\":\"0\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}','','',0,'0000-00-00 00:00:00',0,0),(316,0,'mod_tags_popular','module','mod_tags_popular','',0,1,1,0,'{\"name\":\"mod_tags_popular\",\"type\":\"module\",\"creationDate\":\"January 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.1.0\",\"description\":\"MOD_TAGS_POPULAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_tags_popular\"}','{\"maximum\":\"5\",\"timeframe\":\"alltime\",\"owncache\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(317,0,'mod_tags_similar','module','mod_tags_similar','',0,1,1,0,'{\"name\":\"mod_tags_similar\",\"type\":\"module\",\"creationDate\":\"January 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.1.0\",\"description\":\"MOD_TAGS_SIMILAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_tags_similar\"}','{\"maximum\":\"5\",\"matchtype\":\"any\",\"owncache\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(318,0,'mod_sampledata','module','mod_sampledata','',1,1,1,0,'{\"name\":\"mod_sampledata\",\"type\":\"module\",\"creationDate\":\"July 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.8.0\",\"description\":\"MOD_SAMPLEDATA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_sampledata\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(319,0,'mod_latestactions','module','mod_latestactions','',1,1,1,0,'{\"name\":\"mod_latestactions\",\"type\":\"module\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"MOD_LATESTACTIONS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_latestactions\"}','{}','','',0,'1970-01-01 00:00:00',0,0),(320,0,'mod_privacy_dashboard','module','mod_privacy_dashboard','',1,1,1,0,'{\"name\":\"mod_privacy_dashboard\",\"type\":\"module\",\"creationDate\":\"June 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"MOD_PRIVACY_DASHBOARD_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_privacy_dashboard\"}','{}','','',0,'1970-01-01 00:00:00',0,0),(400,0,'plg_authentication_gmail','plugin','gmail','authentication',0,0,1,0,'{\"name\":\"plg_authentication_gmail\",\"type\":\"plugin\",\"creationDate\":\"February 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_GMAIL_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"gmail\"}','{\"applysuffix\":\"0\",\"suffix\":\"\",\"verifypeer\":\"1\",\"user_blacklist\":\"\"}','','',0,'0000-00-00 00:00:00',1,0),(401,0,'plg_authentication_joomla','plugin','joomla','authentication',0,1,1,1,'{\"name\":\"plg_authentication_joomla\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_AUTH_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(402,0,'plg_authentication_ldap','plugin','ldap','authentication',0,0,1,0,'{\"name\":\"plg_authentication_ldap\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_LDAP_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"ldap\"}','{\"host\":\"\",\"port\":\"389\",\"use_ldapV3\":\"0\",\"negotiate_tls\":\"0\",\"no_referrals\":\"0\",\"auth_method\":\"bind\",\"base_dn\":\"\",\"search_string\":\"\",\"users_dn\":\"\",\"username\":\"admin\",\"password\":\"bobby7\",\"ldap_fullname\":\"fullName\",\"ldap_email\":\"mail\",\"ldap_uid\":\"uid\"}','','',0,'0000-00-00 00:00:00',3,0),(403,0,'plg_content_contact','plugin','contact','content',0,1,1,0,'{\"name\":\"plg_content_contact\",\"type\":\"plugin\",\"creationDate\":\"January 2014\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.2\",\"description\":\"PLG_CONTENT_CONTACT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contact\"}','','','',0,'0000-00-00 00:00:00',1,0),(404,0,'plg_content_emailcloak','plugin','emailcloak','content',0,1,1,0,'{\"name\":\"plg_content_emailcloak\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"emailcloak\"}','{\"mode\":\"1\"}','','',0,'0000-00-00 00:00:00',1,0),(406,0,'plg_content_loadmodule','plugin','loadmodule','content',0,1,1,0,'{\"name\":\"plg_content_loadmodule\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_LOADMODULE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"loadmodule\"}','{\"style\":\"xhtml\"}','','',0,'2011-09-18 15:22:50',0,0),(407,0,'plg_content_pagebreak','plugin','pagebreak','content',0,1,1,0,'{\"name\":\"plg_content_pagebreak\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"pagebreak\"}','{\"title\":\"1\",\"multipage_toc\":\"1\",\"showall\":\"1\"}','','',0,'0000-00-00 00:00:00',4,0),(408,0,'plg_content_pagenavigation','plugin','pagenavigation','content',0,1,1,0,'{\"name\":\"plg_content_pagenavigation\",\"type\":\"plugin\",\"creationDate\":\"January 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_PAGENAVIGATION_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"pagenavigation\"}','{\"position\":\"1\"}','','',0,'0000-00-00 00:00:00',5,0),(409,0,'plg_content_vote','plugin','vote','content',0,1,1,0,'{\"name\":\"plg_content_vote\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_VOTE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"vote\"}','{}','','',0,'0000-00-00 00:00:00',6,0),(410,0,'plg_editors_codemirror','plugin','codemirror','editors',0,1,1,1,'{\"name\":\"plg_editors_codemirror\",\"type\":\"plugin\",\"creationDate\":\"28 March 2011\",\"author\":\"Marijn Haverbeke\",\"copyright\":\"Copyright (C) 2014 - 2017 by Marijn Haverbeke <marijnh@gmail.com> and others\",\"authorEmail\":\"marijnh@gmail.com\",\"authorUrl\":\"http:\\/\\/codemirror.net\\/\",\"version\":\"5.40.0\",\"description\":\"PLG_CODEMIRROR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"codemirror\"}','{\"lineNumbers\":\"1\",\"lineWrapping\":\"1\",\"matchTags\":\"1\",\"matchBrackets\":\"1\",\"marker-gutter\":\"1\",\"autoCloseTags\":\"1\",\"autoCloseBrackets\":\"1\",\"autoFocus\":\"1\",\"theme\":\"default\",\"tabmode\":\"indent\"}','','',0,'0000-00-00 00:00:00',1,0),(411,0,'plg_editors_none','plugin','none','editors',0,1,1,1,'{\"name\":\"plg_editors_none\",\"type\":\"plugin\",\"creationDate\":\"September 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_NONE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"none\"}','{}','','',0,'0000-00-00 00:00:00',2,0),(412,0,'plg_editors_tinymce','plugin','tinymce','editors',0,1,1,0,'{\"name\":\"plg_editors_tinymce\",\"type\":\"plugin\",\"creationDate\":\"2005-2018\",\"author\":\"Ephox Corporation\",\"copyright\":\"Ephox Corporation\",\"authorEmail\":\"N\\/A\",\"authorUrl\":\"http:\\/\\/www.tinymce.com\",\"version\":\"4.5.9\",\"description\":\"PLG_TINY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"tinymce\"}','{\"mode\":\"1\",\"skin\":\"0\",\"entity_encoding\":\"raw\",\"lang_mode\":\"0\",\"lang_code\":\"en\",\"text_direction\":\"ltr\",\"content_css\":\"1\",\"content_css_custom\":\"\",\"relative_urls\":\"1\",\"newlines\":\"0\",\"invalid_elements\":\"script,applet,iframe\",\"extended_elements\":\"\",\"toolbar\":\"top\",\"toolbar_align\":\"left\",\"html_height\":\"550\",\"html_width\":\"750\",\"resizing\":\"true\",\"resize_horizontal\":\"false\",\"element_path\":\"1\",\"fonts\":\"1\",\"paste\":\"1\",\"searchreplace\":\"1\",\"insertdate\":\"1\",\"format_date\":\"%Y-%m-%d\",\"inserttime\":\"1\",\"format_time\":\"%H:%M:%S\",\"colors\":\"1\",\"table\":\"1\",\"smilies\":\"1\",\"media\":\"1\",\"hr\":\"1\",\"directionality\":\"1\",\"fullscreen\":\"1\",\"style\":\"1\",\"layer\":\"1\",\"xhtmlxtras\":\"1\",\"visualchars\":\"1\",\"nonbreaking\":\"1\",\"template\":\"1\",\"blockquote\":\"1\",\"wordcount\":\"1\",\"advimage\":\"1\",\"advlink\":\"1\",\"advlist\":\"1\",\"autosave\":\"1\",\"contextmenu\":\"1\",\"inlinepopups\":\"1\",\"custom_plugin\":\"\",\"custom_button\":\"\"}','','',0,'0000-00-00 00:00:00',3,0),(413,0,'plg_editors-xtd_article','plugin','article','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_article\",\"type\":\"plugin\",\"creationDate\":\"October 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_ARTICLE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"article\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(414,0,'plg_editors-xtd_image','plugin','image','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_image\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_IMAGE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"image\"}','{}','','',0,'0000-00-00 00:00:00',2,0),(415,0,'plg_editors-xtd_pagebreak','plugin','pagebreak','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_pagebreak\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"pagebreak\"}','{}','','',0,'0000-00-00 00:00:00',3,0),(416,0,'plg_editors-xtd_readmore','plugin','readmore','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_readmore\",\"type\":\"plugin\",\"creationDate\":\"March 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_READMORE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"readmore\"}','{}','','',0,'0000-00-00 00:00:00',4,0),(417,0,'plg_search_categories','plugin','categories','search',0,1,1,0,'{\"name\":\"plg_search_categories\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"categories\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(418,0,'plg_search_contacts','plugin','contacts','search',0,1,1,0,'{\"name\":\"plg_search_contacts\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_CONTACTS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contacts\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(419,0,'plg_search_content','plugin','content','search',0,1,1,0,'{\"name\":\"plg_search_content\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_CONTENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"content\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(420,0,'plg_search_newsfeeds','plugin','newsfeeds','search',0,1,1,0,'{\"name\":\"plg_search_newsfeeds\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"newsfeeds\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(422,0,'plg_system_languagefilter','plugin','languagefilter','system',0,0,1,1,'{\"name\":\"plg_system_languagefilter\",\"type\":\"plugin\",\"creationDate\":\"July 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"languagefilter\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(423,0,'plg_system_p3p','plugin','p3p','system',0,1,1,0,'{\"name\":\"plg_system_p3p\",\"type\":\"plugin\",\"creationDate\":\"September 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_P3P_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"p3p\"}','{\"headers\":\"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM\"}','','',0,'0000-00-00 00:00:00',2,0),(424,0,'plg_system_cache','plugin','cache','system',0,0,1,1,'{\"name\":\"plg_system_cache\",\"type\":\"plugin\",\"creationDate\":\"February 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CACHE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"cache\"}','{\"browsercache\":\"0\",\"cachetime\":\"15\"}','','',0,'0000-00-00 00:00:00',9,0),(425,0,'plg_system_debug','plugin','debug','system',0,1,1,0,'{\"name\":\"plg_system_debug\",\"type\":\"plugin\",\"creationDate\":\"December 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_DEBUG_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"debug\"}','{\"profile\":\"1\",\"queries\":\"1\",\"memory\":\"1\",\"language_files\":\"1\",\"language_strings\":\"1\",\"strip-first\":\"1\",\"strip-prefix\":\"\",\"strip-suffix\":\"\"}','','',0,'0000-00-00 00:00:00',4,0),(426,0,'plg_system_log','plugin','log','system',0,1,1,1,'{\"name\":\"plg_system_log\",\"type\":\"plugin\",\"creationDate\":\"April 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_LOG_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"log\"}','{}','','',0,'0000-00-00 00:00:00',5,0),(427,0,'plg_system_redirect','plugin','redirect','system',0,1,1,1,'{\"name\":\"plg_system_redirect\",\"type\":\"plugin\",\"creationDate\":\"April 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_REDIRECT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"redirect\"}','{}','','',0,'0000-00-00 00:00:00',6,0),(428,0,'plg_system_remember','plugin','remember','system',0,1,1,1,'{\"name\":\"plg_system_remember\",\"type\":\"plugin\",\"creationDate\":\"April 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_REMEMBER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"remember\"}','{}','','',0,'0000-00-00 00:00:00',7,0),(429,0,'plg_system_sef','plugin','sef','system',0,1,1,0,'{\"name\":\"plg_system_sef\",\"type\":\"plugin\",\"creationDate\":\"December 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEF_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sef\"}','{}','','',0,'0000-00-00 00:00:00',8,0),(430,0,'plg_system_logout','plugin','logout','system',0,1,1,1,'{\"name\":\"plg_system_logout\",\"type\":\"plugin\",\"creationDate\":\"April 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"logout\"}','{}','','',0,'0000-00-00 00:00:00',3,0),(431,0,'plg_user_contactcreator','plugin','contactcreator','user',0,0,1,0,'{\"name\":\"plg_user_contactcreator\",\"type\":\"plugin\",\"creationDate\":\"August 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTACTCREATOR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contactcreator\"}','{\"autowebpage\":\"\",\"category\":\"34\",\"autopublish\":\"0\"}','','',0,'0000-00-00 00:00:00',1,0),(432,0,'plg_user_joomla','plugin','joomla','user',0,1,1,0,'{\"name\":\"plg_user_joomla\",\"type\":\"plugin\",\"creationDate\":\"December 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_USER_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}','{\"autoregister\":\"1\"}','','',0,'0000-00-00 00:00:00',2,0),(433,0,'plg_user_profile','plugin','profile','user',0,0,1,0,'{\"name\":\"plg_user_profile\",\"type\":\"plugin\",\"creationDate\":\"January 2008\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_USER_PROFILE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"profile\"}','{\"register-require_address1\":\"1\",\"register-require_address2\":\"1\",\"register-require_city\":\"1\",\"register-require_region\":\"1\",\"register-require_country\":\"1\",\"register-require_postal_code\":\"1\",\"register-require_phone\":\"1\",\"register-require_website\":\"1\",\"register-require_favoritebook\":\"1\",\"register-require_aboutme\":\"1\",\"register-require_tos\":\"1\",\"register-require_dob\":\"1\",\"profile-require_address1\":\"1\",\"profile-require_address2\":\"1\",\"profile-require_city\":\"1\",\"profile-require_region\":\"1\",\"profile-require_country\":\"1\",\"profile-require_postal_code\":\"1\",\"profile-require_phone\":\"1\",\"profile-require_website\":\"1\",\"profile-require_favoritebook\":\"1\",\"profile-require_aboutme\":\"1\",\"profile-require_tos\":\"1\",\"profile-require_dob\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(434,0,'plg_extension_joomla','plugin','joomla','extension',0,1,1,1,'{\"name\":\"plg_extension_joomla\",\"type\":\"plugin\",\"creationDate\":\"May 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(435,0,'plg_content_joomla','plugin','joomla','content',0,1,1,0,'{\"name\":\"plg_content_joomla\",\"type\":\"plugin\",\"creationDate\":\"November 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(436,0,'plg_system_languagecode','plugin','languagecode','system',0,0,1,0,'{\"name\":\"plg_system_languagecode\",\"type\":\"plugin\",\"creationDate\":\"November 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"languagecode\"}','{}','','',0,'0000-00-00 00:00:00',10,0),(437,0,'plg_quickicon_joomlaupdate','plugin','joomlaupdate','quickicon',0,1,1,1,'{\"name\":\"plg_quickicon_joomlaupdate\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomlaupdate\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(438,0,'plg_quickicon_extensionupdate','plugin','extensionupdate','quickicon',0,1,1,1,'{\"name\":\"plg_quickicon_extensionupdate\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"extensionupdate\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(439,0,'plg_captcha_recaptcha','plugin','recaptcha','captcha',0,1,1,0,'{\"name\":\"plg_captcha_recaptcha\",\"type\":\"plugin\",\"creationDate\":\"December 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.4.0\",\"description\":\"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"recaptcha\"}','{\"public_key\":\"\",\"private_key\":\"\",\"theme\":\"clean\"}','','',0,'0000-00-00 00:00:00',0,0),(440,0,'plg_system_highlight','plugin','highlight','system',0,1,1,0,'{\"name\":\"plg_system_highlight\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"highlight\"}','{}','','',0,'0000-00-00 00:00:00',7,0),(441,0,'plg_content_finder','plugin','finder','content',0,0,1,0,'{\"name\":\"plg_content_finder\",\"type\":\"plugin\",\"creationDate\":\"December 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_FINDER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"finder\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(442,0,'plg_finder_categories','plugin','categories','finder',0,1,1,0,'{\"name\":\"plg_finder_categories\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"categories\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(443,0,'plg_finder_contacts','plugin','contacts','finder',0,1,1,0,'{\"name\":\"plg_finder_contacts\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_CONTACTS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contacts\"}','{}','','',0,'0000-00-00 00:00:00',2,0),(444,0,'plg_finder_content','plugin','content','finder',0,1,1,0,'{\"name\":\"plg_finder_content\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_CONTENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"content\"}','{}','','',0,'0000-00-00 00:00:00',3,0),(445,0,'plg_finder_newsfeeds','plugin','newsfeeds','finder',0,1,1,0,'{\"name\":\"plg_finder_newsfeeds\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"newsfeeds\"}','{}','','',0,'0000-00-00 00:00:00',4,0),(447,0,'plg_finder_tags','plugin','tags','finder',0,1,1,0,'{\"name\":\"plg_finder_tags\",\"type\":\"plugin\",\"creationDate\":\"February 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_TAGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"tags\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(448,0,'plg_twofactorauth_totp','plugin','totp','twofactorauth',0,0,1,0,'{\"name\":\"plg_twofactorauth_totp\",\"type\":\"plugin\",\"creationDate\":\"August 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"PLG_TWOFACTORAUTH_TOTP_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"totp\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(449,0,'plg_authentication_cookie','plugin','cookie','authentication',0,1,1,0,'{\"name\":\"plg_authentication_cookie\",\"type\":\"plugin\",\"creationDate\":\"July 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_AUTH_COOKIE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"cookie\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(450,0,'plg_twofactorauth_yubikey','plugin','yubikey','twofactorauth',0,0,1,0,'{\"name\":\"plg_twofactorauth_yubikey\",\"type\":\"plugin\",\"creationDate\":\"September 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"PLG_TWOFACTORAUTH_YUBIKEY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"yubikey\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(451,0,'plg_search_tags','plugin','tags','search',0,1,1,0,'{\"name\":\"plg_search_tags\",\"type\":\"plugin\",\"creationDate\":\"March 2014\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_TAGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"tags\"}','{\"search_limit\":\"50\",\"show_tagged_items\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(452,0,'plg_system_updatenotification','plugin','updatenotification','system',0,1,1,0,'{\"name\":\"plg_system_updatenotification\",\"type\":\"plugin\",\"creationDate\":\"May 2015\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.5.0\",\"description\":\"PLG_SYSTEM_UPDATENOTIFICATION_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"updatenotification\"}','{\"lastrun\":1554215277}','','',0,'0000-00-00 00:00:00',0,0),(453,0,'plg_editors-xtd_module','plugin','module','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_module\",\"type\":\"plugin\",\"creationDate\":\"October 2015\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.5.0\",\"description\":\"PLG_MODULE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"module\"}','','','',0,'0000-00-00 00:00:00',0,0),(454,0,'plg_system_stats','plugin','stats','system',0,1,1,0,'{\"name\":\"plg_system_stats\",\"type\":\"plugin\",\"creationDate\":\"November 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.5.0\",\"description\":\"PLG_SYSTEM_STATS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"stats\"}','{\"mode\":3,\"lastrun\":\"\",\"unique_id\":\"40033c4c5938c07f648d387dda631620609cf427\",\"interval\":12}','','',0,'0000-00-00 00:00:00',0,0),(455,0,'plg_installer_packageinstaller','plugin','packageinstaller','installer',0,1,1,1,'{\"name\":\"plg_installer_packageinstaller\",\"type\":\"plugin\",\"creationDate\":\"May 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.6.0\",\"description\":\"PLG_INSTALLER_PACKAGEINSTALLER_PLUGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"packageinstaller\"}','','','',0,'0000-00-00 00:00:00',1,0),(456,0,'PLG_INSTALLER_FOLDERINSTALLER','plugin','folderinstaller','installer',0,1,1,1,'{\"name\":\"PLG_INSTALLER_FOLDERINSTALLER\",\"type\":\"plugin\",\"creationDate\":\"May 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.6.0\",\"description\":\"PLG_INSTALLER_FOLDERINSTALLER_PLUGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"folderinstaller\"}','','','',0,'0000-00-00 00:00:00',2,0),(457,0,'PLG_INSTALLER_URLINSTALLER','plugin','urlinstaller','installer',0,1,1,1,'{\"name\":\"PLG_INSTALLER_URLINSTALLER\",\"type\":\"plugin\",\"creationDate\":\"May 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.6.0\",\"description\":\"PLG_INSTALLER_URLINSTALLER_PLUGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"urlinstaller\"}','','','',0,'0000-00-00 00:00:00',3,0),(458,0,'plg_quickicon_phpversioncheck','plugin','phpversioncheck','quickicon',0,1,1,1,'{\"name\":\"plg_quickicon_phpversioncheck\",\"type\":\"plugin\",\"creationDate\":\"August 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_QUICKICON_PHPVERSIONCHECK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"phpversioncheck\"}','','','',0,'0000-00-00 00:00:00',0,0),(459,0,'plg_editors-xtd_menu','plugin','menu','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_menu\",\"type\":\"plugin\",\"creationDate\":\"August 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_EDITORS-XTD_MENU_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"menu\"}','','','',0,'0000-00-00 00:00:00',0,0),(460,0,'plg_editors-xtd_contact','plugin','contact','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_contact\",\"type\":\"plugin\",\"creationDate\":\"October 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_EDITORS-XTD_CONTACT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contact\"}','','','',0,'0000-00-00 00:00:00',0,0),(461,0,'plg_system_fields','plugin','fields','system',0,1,1,0,'{\"name\":\"plg_system_fields\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_SYSTEM_FIELDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"fields\"}','','','',0,'0000-00-00 00:00:00',0,0),(462,0,'plg_fields_calendar','plugin','calendar','fields',0,1,1,0,'{\"name\":\"plg_fields_calendar\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_CALENDAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"calendar\"}','','','',0,'0000-00-00 00:00:00',0,0),(463,0,'plg_fields_checkboxes','plugin','checkboxes','fields',0,1,1,0,'{\"name\":\"plg_fields_checkboxes\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_CHECKBOXES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"checkboxes\"}','','','',0,'0000-00-00 00:00:00',0,0),(464,0,'plg_fields_color','plugin','color','fields',0,1,1,0,'{\"name\":\"plg_fields_color\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_COLOR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"color\"}','','','',0,'0000-00-00 00:00:00',0,0),(465,0,'plg_fields_editor','plugin','editor','fields',0,1,1,0,'{\"name\":\"plg_fields_editor\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_EDITOR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"editor\"}','','','',0,'0000-00-00 00:00:00',0,0),(466,0,'plg_fields_imagelist','plugin','imagelist','fields',0,1,1,0,'{\"name\":\"plg_fields_imagelist\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_IMAGELIST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"imagelist\"}','','','',0,'0000-00-00 00:00:00',0,0),(467,0,'plg_fields_integer','plugin','integer','fields',0,1,1,0,'{\"name\":\"plg_fields_integer\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_INTEGER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"integer\"}','{\"multiple\":\"0\",\"first\":\"1\",\"last\":\"100\",\"step\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(468,0,'plg_fields_list','plugin','list','fields',0,1,1,0,'{\"name\":\"plg_fields_list\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_LIST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"list\"}','','','',0,'0000-00-00 00:00:00',0,0),(469,0,'plg_fields_media','plugin','media','fields',0,1,1,0,'{\"name\":\"plg_fields_media\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_MEDIA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"media\"}','','','',0,'0000-00-00 00:00:00',0,0),(470,0,'plg_fields_radio','plugin','radio','fields',0,1,1,0,'{\"name\":\"plg_fields_radio\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_RADIO_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"radio\"}','','','',0,'0000-00-00 00:00:00',0,0),(471,0,'plg_fields_sql','plugin','sql','fields',0,1,1,0,'{\"name\":\"plg_fields_sql\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_SQL_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sql\"}','','','',0,'0000-00-00 00:00:00',0,0),(472,0,'plg_fields_text','plugin','text','fields',0,1,1,0,'{\"name\":\"plg_fields_text\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_TEXT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"text\"}','','','',0,'0000-00-00 00:00:00',0,0),(473,0,'plg_fields_textarea','plugin','textarea','fields',0,1,1,0,'{\"name\":\"plg_fields_textarea\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_TEXTAREA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"textarea\"}','','','',0,'0000-00-00 00:00:00',0,0),(474,0,'plg_fields_url','plugin','url','fields',0,1,1,0,'{\"name\":\"plg_fields_url\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_URL_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"url\"}','','','',0,'0000-00-00 00:00:00',0,0),(475,0,'plg_fields_user','plugin','user','fields',0,1,1,0,'{\"name\":\"plg_fields_user\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_USER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"user\"}','','','',0,'0000-00-00 00:00:00',0,0),(476,0,'plg_fields_usergrouplist','plugin','usergrouplist','fields',0,1,1,0,'{\"name\":\"plg_fields_usergrouplist\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_USERGROUPLIST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"usergrouplist\"}','','','',0,'0000-00-00 00:00:00',0,0),(477,0,'plg_content_fields','plugin','fields','content',0,1,1,0,'{\"name\":\"plg_content_fields\",\"type\":\"plugin\",\"creationDate\":\"February 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_CONTENT_FIELDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"fields\"}','','','',0,'0000-00-00 00:00:00',0,0),(478,0,'plg_editors-xtd_fields','plugin','fields','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_fields\",\"type\":\"plugin\",\"creationDate\":\"February 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_EDITORS-XTD_FIELDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"fields\"}','','','',0,'0000-00-00 00:00:00',0,0),(479,0,'plg_sampledata_blog','plugin','blog','sampledata',0,0,1,0,'{\"name\":\"plg_sampledata_blog\",\"type\":\"plugin\",\"creationDate\":\"July 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.8.0\",\"description\":\"PLG_SAMPLEDATA_BLOG_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"blog\"}','','','',0,'0000-00-00 00:00:00',0,0),(480,0,'plg_system_sessiongc','plugin','sessiongc','system',0,1,1,0,'{\"name\":\"plg_system_sessiongc\",\"type\":\"plugin\",\"creationDate\":\"February 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.8.6\",\"description\":\"PLG_SYSTEM_SESSIONGC_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sessiongc\"}','','','',0,'0000-00-00 00:00:00',0,0),(481,0,'plg_fields_repeatable','plugin','repeatable','fields',0,1,1,0,'{\"name\":\"plg_fields_repeatable\",\"type\":\"plugin\",\"creationDate\":\"April 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_FIELDS_REPEATABLE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"repeatable\"}','','','',0,'0000-00-00 00:00:00',0,0),(482,0,'plg_content_confirmconsent','plugin','confirmconsent','content',0,0,1,0,'{\"name\":\"plg_content_confirmconsent\",\"type\":\"plugin\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_CONTENT_CONFIRMCONSENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"confirmconsent\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(483,0,'PLG_SYSTEM_ACTIONLOGS','plugin','actionlogs','system',0,0,1,0,'{\"name\":\"PLG_SYSTEM_ACTIONLOGS\",\"type\":\"plugin\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_SYSTEM_ACTIONLOGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"actionlogs\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(484,0,'PLG_ACTIONLOG_JOOMLA','plugin','joomla','actionlog',0,1,1,0,'{\"name\":\"PLG_ACTIONLOG_JOOMLA\",\"type\":\"plugin\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_ACTIONLOG_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(485,0,'plg_system_privacyconsent','plugin','privacyconsent','system',0,0,1,0,'{\"name\":\"plg_system_privacyconsent\",\"type\":\"plugin\",\"creationDate\":\"April 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_SYSTEM_PRIVACYCONSENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"privacyconsent\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(486,0,'plg_system_logrotation','plugin','logrotation','system',0,1,1,0,'{\"name\":\"plg_system_logrotation\",\"type\":\"plugin\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_SYSTEM_LOGROTATION_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"logrotation\"}','{\"lastrun\":1554215277}','','',0,'0000-00-00 00:00:00',0,0),(487,0,'plg_privacy_user','plugin','user','privacy',0,1,1,0,'{\"name\":\"plg_privacy_user\",\"type\":\"plugin\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_USER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"user\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(488,0,'plg_quickicon_privacycheck','plugin','privacycheck','quickicon',0,1,1,0,'{\"name\":\"plg_quickicon_privacycheck\",\"type\":\"plugin\",\"creationDate\":\"June 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_QUICKICON_PRIVACYCHECK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"privacycheck\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(489,0,'plg_user_terms','plugin','terms','user',0,0,1,0,'{\"name\":\"plg_user_terms\",\"type\":\"plugin\",\"creationDate\":\"June 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_USER_TERMS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"terms\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(490,0,'plg_privacy_contact','plugin','contact','privacy',0,1,1,0,'{\"name\":\"plg_privacy_contact\",\"type\":\"plugin\",\"creationDate\":\"July 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_CONTACT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contact\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(491,0,'plg_privacy_content','plugin','content','privacy',0,1,1,0,'{\"name\":\"plg_privacy_content\",\"type\":\"plugin\",\"creationDate\":\"July 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_CONTENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"content\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(492,0,'plg_privacy_message','plugin','message','privacy',0,1,1,0,'{\"name\":\"plg_privacy_message\",\"type\":\"plugin\",\"creationDate\":\"July 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_MESSAGE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"message\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(493,0,'plg_privacy_actionlogs','plugin','actionlogs','privacy',0,1,1,0,'{\"name\":\"plg_privacy_actionlogs\",\"type\":\"plugin\",\"creationDate\":\"July 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_ACTIONLOGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"actionlogs\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(494,0,'plg_captcha_recaptcha_invisible','plugin','recaptcha_invisible','captcha',0,0,1,0,'{\"name\":\"plg_captcha_recaptcha_invisible\",\"type\":\"plugin\",\"creationDate\":\"November 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.8\",\"description\":\"PLG_CAPTCHA_RECAPTCHA_INVISIBLE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"recaptcha_invisible\"}','{\"public_key\":\"\",\"private_key\":\"\",\"theme\":\"clean\"}','','',0,'0000-00-00 00:00:00',0,0),(495,0,'plg_privacy_consents','plugin','consents','privacy',0,1,1,0,'{\"name\":\"plg_privacy_consents\",\"type\":\"plugin\",\"creationDate\":\"July 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_CONSENTS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"consents\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(503,0,'beez3','template','beez3','',0,1,1,0,'{\"name\":\"beez3\",\"type\":\"template\",\"creationDate\":\"25 November 2009\",\"author\":\"Angie Radtke\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"a.radtke@derauftritt.de\",\"authorUrl\":\"http:\\/\\/www.der-auftritt.de\",\"version\":\"3.1.0\",\"description\":\"TPL_BEEZ3_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"templateDetails\"}','{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"sitetitle\":\"\",\"sitedescription\":\"\",\"navposition\":\"center\",\"templatecolor\":\"nature\"}','','',0,'0000-00-00 00:00:00',0,0),(504,0,'hathor','template','hathor','',1,1,1,0,'{\"name\":\"hathor\",\"type\":\"template\",\"creationDate\":\"May 2010\",\"author\":\"Andrea Tarr\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"\",\"version\":\"3.0.0\",\"description\":\"TPL_HATHOR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"templateDetails\"}','{\"showSiteName\":\"0\",\"colourChoice\":\"0\",\"boldText\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(506,0,'protostar','template','protostar','',0,1,1,0,'{\"name\":\"protostar\",\"type\":\"template\",\"creationDate\":\"4\\/30\\/2012\",\"author\":\"Kyle Ledbetter\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"\",\"version\":\"1.0\",\"description\":\"TPL_PROTOSTAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"templateDetails\"}','{\"templateColor\":\"\",\"logoFile\":\"\",\"googleFont\":\"1\",\"googleFontName\":\"Open+Sans\",\"fluidContainer\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(507,0,'isis','template','isis','',1,1,1,0,'{\"name\":\"isis\",\"type\":\"template\",\"creationDate\":\"3\\/30\\/2012\",\"author\":\"Kyle Ledbetter\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"\",\"version\":\"1.0\",\"description\":\"TPL_ISIS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"templateDetails\"}','{\"templateColor\":\"\",\"logoFile\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(600,802,'English (en-GB)','language','en-GB','',0,1,1,1,'{\"name\":\"English (en-GB)\",\"type\":\"language\",\"creationDate\":\"March 2019\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.4\",\"description\":\"en-GB site language\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(601,802,'English (en-GB)','language','en-GB','',1,1,1,1,'{\"name\":\"English (en-GB)\",\"type\":\"language\",\"creationDate\":\"March 2019\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.4\",\"description\":\"en-GB administrator language\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(700,0,'files_joomla','file','joomla','',0,1,1,1,'{\"name\":\"files_joomla\",\"type\":\"file\",\"creationDate\":\"March 2019\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.4\",\"description\":\"FILES_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(802,0,'English (en-GB) Language Pack','package','pkg_en-GB','',0,1,1,1,'{\"name\":\"English (en-GB) Language Pack\",\"type\":\"package\",\"creationDate\":\"March 2019\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.4.1\",\"description\":\"en-GB language pack\",\"group\":\"\",\"filename\":\"pkg_en-GB\"}','','','',0,'0000-00-00 00:00:00',0,0),(10003,10064,'System - Gantry 4','plugin','gantry','system',0,1,1,0,'{\"name\":\"System - Gantry 4\",\"type\":\"plugin\",\"creationDate\":\"February 19, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"4.1.40\",\"description\":\"Gantry 4 system plugin. Needs to be enabled at all times.\",\"group\":\"\",\"filename\":\"gantry\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(10005,10071,'System - RokBox','plugin','rokbox','system',0,1,1,0,'{\"name\":\"System - RokBox\",\"type\":\"plugin\",\"creationDate\":\"January 16, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.0.15\",\"description\":\"\\n        <div class=\\\"rokbox-description\\\">\\n        <img src=\\\"..\\/plugins\\/system\\/rokbox\\/assets\\/admin\\/images\\/rokbox.jpg\\\" class=\\\"img-padding\\\" \\/><h1>RokBox2<\\/h1>\\n        <p>RokBox2 is a fully responsive modal pop-up plug-in for Joomla.  It displays <strong>images<\\/strong>, <strong>videos<\\/strong>, <strong>embedded widgets<\\/strong>, <strong>Ajax content<\\/strong> and <strong>Joomla modules<\\/strong>.<\\/p>\\n\\n        <p>RokBox2 contains a <strong>Content plug-in<\\/strong> and <strong>Button Editor plug-in<\\/strong>. The <strong>Content plug-in<\\/strong> can auto-generate thumbnails of <strong>local images<\\/strong> that can be used as content for your RokBox2 links. All thumbnails generated are <strong>responsive<\\/strong> so that they can easily adapt to any device. The <strong>Button Editor plug-in<\\/strong> allows for easy creation of RokBox2 style snippets with just a few clicks.<\\/p>\\n        <p>RokBox2 also provides backward compatibility for RokBox1 style <code>{rokbox}<\\/code> syntax.<\\/p>\\n\\n        <h2>Key Features:<\\/h2>\\n        <ul class=\\\"features\\\">\\n            <li>HTML5 and CSS3<\\/li>\\n            <li>Fully Responsive<\\/li>\\n            <li>Auto thumbnails generator<\\/li>\\n            <li>Captions supporting HTML syntax<\\/li>\\n            <li>Ajax Content listener<\\/li>\\n            <li>Multiple media types supported:\\n                <ul class=\\\"features\\\">\\n                    <li>Images: base64 encoded, jpg, gif, png, bmp, webp<\\/li>\\n                    <li>HTML5 Video and Audio<\\/li>\\n                    <li>TwitPic<\\/li>\\n                    <li>Instagram<\\/li>\\n                    <li>YouTube<\\/li>\\n                    <li>Vimeo<\\/li>\\n                    <li>Telly (ex TwitVid)<\\/li>\\n                    <li>Metacafe<\\/li>\\n                    <li>Dailymotion<\\/li>\\n                    <li>Spotify<\\/li>\\n                    <li>Google Maps<\\/li>\\n                <\\/ul>\\n            <\\/li>\\n            <li>Fit\\/Unfit Screen: If an image is too big it gets shrunk to fit the view-port but you can always click the Fit Screen icon to expand it and scroll.<\\/li>\\n            <li>Albums to group related images<\\/li>\\n            <li>Key Bindings for easy navigation: <code>&larr;<\\/code> (Previous), <code>&rarr;<\\/code> (Next), <code>f<\\/code> Fitscreen\\/Unfitscreen, <code>esc<\\/code> Close<\\/li>\\n        <\\/ul>\\n\\n        <p class=\\\"note\\\"><strong>NOTE:<\\/strong> RokBox2 consists of 3 plug-ins: <strong>Content<\\/strong>, <strong>System<\\/strong> and <strong>Editor Button<\\/strong>. Make sure to have a look at all three plug-in manager pages to get an idea of what they do.<\\/p>\\n        <\\/div>\\n        \",\"group\":\"\",\"filename\":\"rokbox\"}','{\"theme\":\"light\",\"custom-theme\":\"sample\",\"custom-legacy\":\"0\",\"width\":\"640\",\"height\":\"460\",\"transition\":\"Quad.easeOut\",\"duration\":\"200\",\"chase\":\"40\",\"effect\":\"quicksilver\",\"frame-border\":\"20\",\"content-padding\":\"0\",\"arrows-height\":\"35\",\"captions\":\"1\",\"captionsDelay\":\"800\",\"scrolling\":\"0\",\"keyEvents\":\"1\",\"overlay_background\":\"#000000\",\"overlay_opacity\":\"0.85\",\"overlay_duration\":\"200\",\"overlay_transition\":\"Quad.easeInOut\",\"autoplay\":\"true\",\"ytautoplay\":\"0\",\"ythighquality\":\"0\",\"controller\":\"false\",\"bgcolor\":\"#f3f3f3\",\"vimeoColor\":\"00adef\",\"vimeoPortrait\":\"0\",\"vimeoTitle\":\"0\",\"vimeoFullScreen\":\"1\",\"vimeoByline\":\"0\"}','','',0,'0000-00-00 00:00:00',1,0),(10006,10071,'RokBox','plugin','rokbox','content',0,1,1,0,'{\"name\":\"RokBox\",\"type\":\"plugin\",\"creationDate\":\"January 16, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.0.15\",\"description\":\"\\n        <div class=\\\"rokbox-description\\\">\\n        <img src=\\\"..\\/plugins\\/system\\/rokbox\\/assets\\/admin\\/images\\/rokbox.jpg\\\" class=\\\"img-padding\\\" \\/><h1>RokBox2<\\/h1>\\n        <p>Auto generates thumbnails of <strong>local images<\\/strong> that can be used as content for your RokBox2 links. All thumbnails generated are <strong>responsive<\\/strong> so that they can be easily adapted to any device. RokBox2 Content plugins also provides backward compatibility for the old discontinued RokBox1 that allowed writing snippets through the <code>{rokbox}<\\/code> syntax.<\\/p>\\n\\n        <p class=\\\"note\\\"><strong>NOTE:<\\/strong> RokBox2 comes with 3 plugins: <strong>Content<\\/strong>, <strong>System<\\/strong> and <strong>Editor Button<\\/strong>. Make sure to have a look at all three plugin manager pages to get an idea of what they do.<\\/p>\\n        <\\/div>\\n        \",\"group\":\"\",\"filename\":\"rokbox\"}','{\"remote_sizes\":\"0\",\"thumb_ext\":\"_thumb\",\"thumb_class\":\"album\",\"thumb_custom\":\"0\",\"thumb_dir\":\"cache\",\"thumb_width\":\"150\",\"thumb_height\":\"100\",\"thumb_quality\":\"90\"}','','',0,'0000-00-00 00:00:00',1,0),(10010,0,'RokCandy','component','com_rokcandy','',1,1,0,0,'{\"name\":\"RokCandy\",\"type\":\"component\",\"creationDate\":\"February 15, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.0.3\",\"description\":\"\\n\\t\\tRokCandy is a simple yet powerful macro system for Joomla 2.5 \\/ 3.  It provides the ability to create and categorize macros that can be used throughout your site.\\n\\t\",\"group\":\"\",\"filename\":\"rokcandy\"}','{\"forcecache\":\"0\",\"adminenabled\":\"0\",\"editenabled\":\"0\",\"contentPlugin\":\"0\",\"disabled\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(10011,0,'Button - RokCandy','plugin','rokcandy','editors-xtd',0,1,1,0,'{\"name\":\"Button - RokCandy\",\"type\":\"plugin\",\"creationDate\":\"February 15, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.0.3\",\"description\":\"This is an Editor Button to allow selection of RokCandy macros\",\"group\":\"\",\"filename\":\"rokcandy\"}','{}','','',0,'0000-00-00 00:00:00',5,0),(10012,0,'System - RokCandy','plugin','rokcandy','system',0,1,1,0,'{\"name\":\"System - RokCandy\",\"type\":\"plugin\",\"creationDate\":\"February 15, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.0.3\",\"description\":\"This is the RokCandy system plugin that performs the macro replacement\",\"group\":\"\",\"filename\":\"rokcandy\"}','{}','','',0,'0000-00-00 00:00:00',50,0),(10014,0,'System - RokExtender','plugin','rokextender','system',0,1,1,0,'{\"name\":\"System - RokExtender\",\"type\":\"plugin\",\"creationDate\":\"October 31, 2012\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.0.0\",\"description\":\"System - Gantry\",\"group\":\"\",\"filename\":\"rokextender\"}','{\"registered\":\"\\/modules\\/mod_roknavmenu\\/lib\\/RokNavMenuEvents.php\"}','','',0,'0000-00-00 00:00:00',1,0),(10015,0,'RokNavMenu','module','mod_roknavmenu','',0,1,1,0,'{\"name\":\"RokNavMenu\",\"type\":\"module\",\"creationDate\":\"February 3, 2017\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2017 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.0.9\",\"description\":\"RocketTheme Customizable Navigation Menu\",\"group\":\"\",\"filename\":\"mod_roknavmenu\"}','{\"limit_levels\":\"0\",\"startLevel\":\"0\",\"endLevel\":\"0\",\"showAllChildren\":\"0\",\"filteringspacer2\":\"\",\"theme\":\"default\",\"custom_layout\":\"default.php\",\"custom_formatter\":\"default.php\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}','','',0,'0000-00-00 00:00:00',0,0),(10017,0,'RokPad','plugin','rokpad','editors',0,1,1,0,'{\"name\":\"RokPad\",\"type\":\"plugin\",\"creationDate\":\"August 30, 2018\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2018 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.1.10\",\"description\":\"\\n        <div class=\\\"rokpad-description\\\">\\n        <img src=\\\"..\\/plugins\\/editors\\/rokpad\\/assets\\/admin\\/images\\/rokpad.jpg\\\" class=\\\"img-padding\\\" \\/><h1>RokPad<\\/h1>\\n        <h2>The Power of Desktop Text Editor in a Joomla!<\\/h2>\\n        <p>Ever wished you could use a powerful desktop text editor such as Textmate, SublimeText, or UltraEdit directly on a Joomla! web site?  Now with RokPad we provide many features and capabilities that traditionally would only be found in a powerful desktop editor.  RokPad provides advanced functions such as an Ajax saving action, syntax highlighting, configurable themes, multiple cursors and selections, shortcut keys, multiple language support, and many other incredible features.<\\/p>\\n\\n        <h2>Key Features:<\\/h2>\\n        <ul class=\\\"features\\\">\\n\\t\\t\\t<li>Code Highlighter built on the great ACE Editor<\\/li>\\n\\t        <li>Support for CSS, HTML, JavaScript, JSON, LESS, Markdown, PHP, SQL, Plain Text, Textile, XML and more...<\\/li>\\n\\t        <li>Ajax save and Automatic Save options. You\'ll never loose your content again, nor wait until the page has finished reloading after a save!<\\/li>\\n\\t        <li>Save, Undo, Redo, Goto line, Advanced Search and Search &amp; Replace, Full Screen. Settings like Themes, Font Size, Code Folding, Wrap Mode, Invisible Characters, Print Margin, Highlight of selected word<\\/li>\\n\\t        <li>26 Themes to choose from<\\/li>\\n\\t        <li>Resizable Editor by dragging the Statusbar<\\/li>\\n\\t        <li>Keyboard shortcuts<\\/li>\\n\\t        <li>Brackets match<\\/li>\\n\\t        <li>Multiple cursors and selections<\\/li>\\n\\t        <li>Vertical Selection<\\/li>\\n\\t        <li>Ability to insert at multiple locations xtd-buttons shortcodes, all at once.<\\/li>\\n\\t        <li>Shortcodes and Universal Tag Insertion<\\/li>\\n\\t        <li>Drag &amp; Drop of text from external applications such as other Browser Tabs\\/windows or Native Applications (Supported on Firefox, Chrome, IE10 and Safari)<\\/li>\\n\\t        <li>Import local files by Drag &amp; Drop directly from your desktop! (Supported on Firefox, Chrome, IE10 and Safari 6+)<\\/li>\\n\\t        <li>And much more!<\\/li>\\n        <\\/ul>\\n        <\\/div>\\n        \",\"group\":\"\",\"filename\":\"rokpad\"}','{\"spacer_parser_type\":\"\",\"rokpad-parser\":\"xhtmlmixed\",\"rokpad-tidylevel\":\"XHTML 1.0 Transitional\",\"rokpad-show-formatter\":\"1\",\"spacer_editor_parameters\":\"\",\"rokpad-height\":\"350\",\"rokpad-passdelay\":\"200\",\"rokpad-passtime\":\"50\",\"rokpad-linenumberdelay\":\"200\",\"rokpad-linenumbertime\":\"50\",\"rokpad-continuous\":\"500\",\"rokpad-matchparens\":\"1\",\"rokpad-history\":\"50\",\"rokpad-history-delay\":\"800\",\"rokpad-lineHandler\":\"1\",\"rokpad-textwrapperHandler\":\"1\",\"rokpad-indentunit\":\"2\",\"rokpad-tabmode\":\"indent\",\"rokpad-loadindent\":\"1\"}','','',0,'0000-00-00 00:00:00',1,0),(10026,0,'RokAjaxSearch','module','mod_rokajaxsearch','',0,1,1,0,'{\"name\":\"RokAjaxSearch\",\"type\":\"module\",\"creationDate\":\"August 30, 2018\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2018 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.0.6\",\"description\":\"RokAjaxSearch is an ajaxian searcher that displays the results immediately and allows to choose the\\n        proper one.\\n    \",\"group\":\"\",\"filename\":\"mod_rokajaxsearch\"}','{\"moduleclass_sfx\":\"\",\"search_page\":\"index.php?option=com_search&view=search&tmpl=component\",\"adv_search_page\":\"index.php?option=com_search&view=search\",\"spacer_style_options\":\"\",\"include_css\":\"0\",\"theme\":\"blue\",\"spacer_advanced_search\":\"\",\"searchphrase\":\"any\",\"ordering\":\"newest\",\"limit\":\"10\",\"perpage\":\"3\",\"websearch\":\"0\",\"blogsearch\":\"0\",\"imagesearch\":\"0\",\"videosearch\":\"0\",\"websearch_api\":\"\",\"show_pagination\":\"1\",\"safesearch\":\"MODERATE\",\"image_size\":\"MEDIUM\",\"show_estimated\":\"1\",\"spacer_advanced_settings\":\"\",\"hide_divs\":\"\",\"include_link\":\"1\",\"show_description\":\"1\",\"include_category\":\"1\",\"show_readmore\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(10029,10069,'System - RokCommon','plugin','rokcommon','system',0,1,1,0,'{\"name\":\"System - RokCommon\",\"type\":\"plugin\",\"creationDate\":\"February 19, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"3.2.7\",\"description\":\"RokCommon System Plugin\",\"group\":\"\",\"filename\":\"rokcommon\"}','{\"developmentMode\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(10030,0,'RokGallery','component','com_rokgallery','',1,1,0,0,'{\"name\":\"RokGallery\",\"type\":\"component\",\"creationDate\":\"October 30, 2018\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2018 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.44\",\"description\":\"RokGallery\",\"group\":\"\",\"filename\":\"rokgallery\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10031,0,'RokGallery Module','module','mod_rokgallery','',0,1,1,0,'{\"name\":\"RokGallery Module\",\"type\":\"module\",\"creationDate\":\"October 30, 2018\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2018 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.44\",\"description\":\"Module for displaying RokGallery\",\"group\":\"\",\"filename\":\"mod_rokgallery\"}','{\"link\":\"0\",\"default_menuitem\":\"0\",\"title\":\"false\",\"caption\":\"false\",\"sort_by\":\"gallery_ordering\",\"sort_direction\":\"ASC\",\"limit_count\":\"10\",\"style\":\"light\",\"layout\":\"grid\",\"columns\":\"1\",\"arrows\":\"onhover\",\"navigation\":\"thumbnails\",\"animation_type\":\"random\",\"animation_duration\":\"500\",\"autoplay_enabled\":\"0\",\"autoplay_delay\":\"7\",\"showcase_arrows\":\"onhover\",\"showcase_image_position\":\"left\",\"showcase_imgpadding\":\"0\",\"showcase_fixedheight\":\"0\",\"showcase_animatedheight\":\"1\",\"showcase_animation_type\":\"random\",\"showcase_captionsanimation\":\"crossfade\",\"showcase_animation_duration\":\"500\",\"showcase_autoplay_enabled\":\"0\",\"showcase_autoplay_delay\":\"7\",\"cache\":\"0\",\"module_cache\":\"1\",\"cache_time\":\"900\",\"moduleclass_sfx\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(10032,0,'Button - RokGallery','plugin','rokgallery','editors-xtd',0,1,1,0,'{\"name\":\"Button - RokGallery\",\"type\":\"plugin\",\"creationDate\":\"October 30, 2018\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2018 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.44\",\"description\":\"This is an Editor Button to allow selection of RokGallery Slices\",\"group\":\"\",\"filename\":\"rokgallery\"}','{}','','',0,'0000-00-00 00:00:00',50,0),(10033,0,'System - RokGallery','plugin','rokgallery','system',0,1,1,0,'{\"name\":\"System - RokGallery\",\"type\":\"plugin\",\"creationDate\":\"October 30, 2018\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2018 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.44\",\"description\":\"A system level support plugin for RokGallery.\",\"group\":\"\",\"filename\":\"rokgallery\"}','{}','','',0,'0000-00-00 00:00:00',50,0),(10034,10064,'COM_GANTRY','component','com_gantry','',1,1,0,0,'{\"name\":\"COM_GANTRY\",\"type\":\"component\",\"creationDate\":\"February 19, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"4.1.40\",\"description\":\"Gantry 4 component. Needs to be enabled at all times.\",\"group\":\"\",\"filename\":\"gantry\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10035,0,'rt_ionosphere','template','rt_ionosphere','',0,1,1,0,'{\"name\":\"rt_ionosphere\",\"type\":\"template\",\"creationDate\":\" November  9, 2018\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"Copyright 2005-2018 - RocketTheme.com\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"1.14\",\"description\":\"ionosphere\",\"group\":\"\",\"filename\":\"templateDetails\"}','{\"master\":\"true\"}','','',0,'0000-00-00 00:00:00',0,0),(10041,0,'RokSprocket','component','com_roksprocket','',1,1,0,0,'{\"name\":\"RokSprocket\",\"type\":\"component\",\"creationDate\":\"February 11, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.1.26\",\"description\":\"RokSprocket\",\"group\":\"\",\"filename\":\"roksprocket\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10042,0,'RokSprocket Module','module','mod_roksprocket','',0,1,1,0,'{\"name\":\"RokSprocket Module\",\"type\":\"module\",\"creationDate\":\"February 11, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.1.26\",\"description\":\"RokSprocket makes it easy to display content in a dynamic, visual layout.\",\"group\":\"\",\"filename\":\"mod_roksprocket\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10043,0,'System - RokSprocket','plugin','roksprocket','system',0,1,1,0,'{\"name\":\"System - RokSprocket\",\"type\":\"plugin\",\"creationDate\":\"February 11, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.1.26\",\"description\":\"RokSprocket System Plugin\",\"group\":\"\",\"filename\":\"roksprocket\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(10044,0,'Content - RokInjectModule','plugin','rokinjectmodule','content',0,1,1,0,'{\"name\":\"Content - RokInjectModule\",\"type\":\"plugin\",\"creationDate\":\"February 11, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.1.26\",\"description\":\"RokInjectModule Content Plugin.  Use format [module-{moduleid}] in your article to inject a module. You can also specify a style, eg: [module-28 style=xhtml]\",\"group\":\"\",\"filename\":\"rokinjectmodule\"}','{}','','',0,'0000-00-00 00:00:00',5,0),(10046,0,'Content - RokSocialButtons','plugin','roksocialbuttons','content',0,1,1,0,'{\"name\":\"Content - RokSocialButtons\",\"type\":\"plugin\",\"creationDate\":\"February 23, 2015\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2015 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"1.5.3\",\"description\":\"RokSocialButtons Content Plugin.  Use format {socialbuttons} in your article to display the social buttons in your article\",\"group\":\"\",\"filename\":\"roksocialbuttons\"}','{\"addthis_id\":\"\",\"enable_twitter\":\"1\",\"enable_facebook\":\"1\",\"enable_google\":\"1\",\"prepend_text\":\"Share\",\"extra_class\":\"\"}','','',0,'0000-00-00 00:00:00',5,0),(10049,0,'System - RokBooster','plugin','rokbooster','system',0,0,1,0,'{\"name\":\"System - RokBooster\",\"type\":\"plugin\",\"creationDate\":\"February 22, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"1.1.18\",\"description\":\"\\n        \\n        <div class=\\\"booster-description\\\">\\n        <img src=\\\"..\\/plugins\\/system\\/rokbooster\\/assets\\/images\\/rokbooster.jpg\\\" class=\\\"img-padding\\\" \\/><h1>RokBooster<\\/h1>\\n        <p>Increase the speed of your site by enabling the RokBooster plug-in.  This advanced extensions will <strong>compress<\\/strong> and <strong>combine<\\/strong> your <strong>CSS<\\/strong> and <strong>JavaScript<\\/strong> into as few files as possible each.  RokBooster can dramatically reduce the number of HTTP calls a browser has to make, and sending those compressed files GZipped means your pages will load faster with less load on your server.<\\/p>\\n\\n        <h2>Key Features:<\\/h2>\\n        <ul class=\\\"features\\\">\\n            <li>Combine and compress CSS and JavaScript into as few files as possible<\\/li>\\n            <li>GZip compression used to send CSS and JavaScript files<\\/li>\\n            <li>Compress Inline CSS and JavaScript<\\/li>\\n            <li>Customizable cache timeout<\\/li>\\n            <li>Background rendering, so initial file processing won\'t slow your users down<\\/li>\\n            <li>Full page scan allows for non-header JavaScript and CSS to be included<\\/li>\\n            <li>Ability to ignore specific CSS and JavaScript files<\\/li>\\n        <\\/ul>\\n        <p class=\\\"note\\\"><strong>NOTE:<\\/strong> Clearing the Joomla cache will remove the RokBooster compressed cache files causing them to regenerate on the next page hit<\\/p>\\n        <\\/div>\\n        \\n    \",\"group\":\"\",\"filename\":\"rokbooster\"}','{\"cache_time\":\"60\",\"minify_css\":\"1\",\"style_sort\":\"RokBooster_Compressor_Sort_ExternalOnTop\",\"inline_css\":\"1\",\"imported_css\":\"1\",\"minify_js\":\"1\",\"script_sort\":\"RokBooster_Compressor_Sort_ExternalOnTop\",\"inline_js\":\"1\",\"ignored_files\":\"\",\"scan_method\":\"header\",\"use_background_processing\":\"1\",\"disable_for_ie\":\"1\"}','','',0,'0000-00-00 00:00:00',100,0),(10057,10071,'Button - RokBox','plugin','rokbox','editors-xtd',0,1,1,0,'{\"name\":\"Button - RokBox\",\"type\":\"plugin\",\"creationDate\":\"January 16, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.0.15\",\"description\":\"This is an Editor Button to allow injection of RokBox snippets into your Content\",\"group\":\"\",\"filename\":\"rokbox\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(10064,0,'pkg_gantry','package','pkg_gantry','',0,1,1,0,'{\"name\":\"pkg_gantry\",\"type\":\"package\",\"creationDate\":\"February 19, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"4.1.40\",\"description\":\"PKG_GANTRY_DESCRIPTION\",\"group\":\"\",\"filename\":\"pkg_gantry\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10069,0,'pkg_rokcommon','package','pkg_rokcommon','',0,1,1,0,'{\"name\":\"pkg_rokcommon\",\"type\":\"package\",\"creationDate\":\"February 19, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"3.2.7\",\"description\":\"RocketTheme shared library\",\"group\":\"\",\"filename\":\"pkg_rokcommon\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10071,0,'pkg_rokbox','package','pkg_rokbox','',0,1,1,0,'{\"name\":\"pkg_rokbox\",\"type\":\"package\",\"creationDate\":\"January 16, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.0.15\",\"description\":\"RokBox\",\"group\":\"\",\"filename\":\"pkg_rokbox\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10072,0,'pkg_rokgallery','package','pkg_rokgallery','',0,1,1,0,'{\"name\":\"pkg_rokgallery\",\"type\":\"package\",\"creationDate\":\"October 30, 2018\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2018 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.44\",\"description\":\"RokGallery\",\"group\":\"\",\"filename\":\"pkg_rokgallery\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10073,0,'pkg_roksprocket','package','pkg_roksprocket','',0,1,1,0,'{\"name\":\"pkg_roksprocket\",\"type\":\"package\",\"creationDate\":\"February 11, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.1.26\",\"description\":\"RokSprocket\",\"group\":\"\",\"filename\":\"pkg_roksprocket\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10074,10064,'Gantry 4 Framework','library','gantry','',0,1,1,0,'{\"name\":\"Gantry 4 Framework\",\"type\":\"library\",\"creationDate\":\"February 19, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"4.1.40\",\"description\":\"LIB_GANTRY_DESCRIPTION\",\"group\":\"\",\"filename\":\"gantry\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10075,0,'pkg_rokcandy','package','pkg_rokcandy','',0,1,1,0,'{\"name\":\"pkg_rokcandy\",\"type\":\"package\",\"creationDate\":\"February 15, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.0.3\",\"description\":\"RokCandy\",\"group\":\"\",\"filename\":\"pkg_rokcandy\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10076,0,'RokCommon','library','rokcommon','',0,1,1,0,'{\"name\":\"RokCommon\",\"type\":\"library\",\"creationDate\":\"February 19, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"3.2.7\",\"description\":\"RocketTheme shared library\",\"group\":\"\",\"filename\":\"rokcommon\"}','{}','','',0,'0000-00-00 00:00:00',0,0);

INSERT IGNORE INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES (1,'','Menu_Item_Root','root','','','','',1,0,0,0,0,'0000-00-00 00:00:00',0,0,'',0,'',0,199,0,'*',0),(2,'main','com_banners','Banners','','Banners','index.php?option=com_banners','component',1,1,1,4,0,'0000-00-00 00:00:00',0,0,'class:banners',0,'',1,10,0,'*',1),(3,'main','com_banners','Banners','','Banners/Banners','index.php?option=com_banners','component',1,2,2,4,0,'0000-00-00 00:00:00',0,0,'class:banners',0,'',2,3,0,'*',1),(4,'main','com_banners_categories','Categories','','Banners/Categories','index.php?option=com_categories&extension=com_banners','component',1,2,2,6,0,'0000-00-00 00:00:00',0,0,'class:banners-cat',0,'',4,5,0,'*',1),(5,'main','com_banners_clients','Clients','','Banners/Clients','index.php?option=com_banners&view=clients','component',1,2,2,4,0,'0000-00-00 00:00:00',0,0,'class:banners-clients',0,'',6,7,0,'*',1),(6,'main','com_banners_tracks','Tracks','','Banners/Tracks','index.php?option=com_banners&view=tracks','component',1,2,2,4,0,'0000-00-00 00:00:00',0,0,'class:banners-tracks',0,'',8,9,0,'*',1),(7,'main','com_contact','Contacts','','Contacts','index.php?option=com_contact','component',1,1,1,8,0,'0000-00-00 00:00:00',0,0,'class:contact',0,'',11,16,0,'*',1),(8,'main','com_contact_contacts','Contacts','','Contacts/Contacts','index.php?option=com_contact','component',1,7,2,8,0,'0000-00-00 00:00:00',0,0,'class:contact',0,'',12,13,0,'*',1),(9,'main','com_contact_categories','Categories','','Contacts/Categories','index.php?option=com_categories&extension=com_contact','component',1,7,2,6,0,'0000-00-00 00:00:00',0,0,'class:contact-cat',0,'',14,15,0,'*',1),(10,'main','com_messages','Messaging','','Messaging','index.php?option=com_messages','component',1,1,1,15,0,'0000-00-00 00:00:00',0,0,'class:messages',0,'',17,20,0,'*',1),(11,'main','com_messages_add','New Private Message','','Messaging/New Private Message','index.php?option=com_messages&task=message.add','component',1,10,2,15,0,'0000-00-00 00:00:00',0,0,'class:messages-add',0,'',18,19,0,'*',1),(13,'main','com_newsfeeds','News Feeds','','News Feeds','index.php?option=com_newsfeeds','component',1,1,1,17,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds',0,'',21,26,0,'*',1),(14,'main','com_newsfeeds_feeds','Feeds','','News Feeds/Feeds','index.php?option=com_newsfeeds','component',1,13,2,17,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds',0,'',22,23,0,'*',1),(15,'main','com_newsfeeds_categories','Categories','','News Feeds/Categories','index.php?option=com_categories&extension=com_newsfeeds','component',1,13,2,6,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds-cat',0,'',24,25,0,'*',1),(16,'main','com_redirect','Redirect','','Redirect','index.php?option=com_redirect','component',1,1,1,24,0,'0000-00-00 00:00:00',0,0,'class:redirect',0,'',33,34,0,'*',1),(17,'main','com_search','Basic Search','','Basic Search','index.php?option=com_search','component',1,1,1,19,0,'0000-00-00 00:00:00',0,0,'class:search',0,'',31,32,0,'*',1),(21,'main','com_finder','Smart Search','','Smart Search','index.php?option=com_finder','component',1,1,1,27,0,'0000-00-00 00:00:00',0,0,'class:finder',0,'',29,30,0,'*',1),(23,'main','com_tags','Tags','','Tags','index.php?option=com_tags','component',1,1,1,29,0,'0000-00-00 00:00:00',0,1,'class:tags',0,'',35,36,0,'',1),(101,'mainmenu','Home','home','','home','index.php?option=com_content&view=featured','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"featured_categories\":[\"\"],\"layout_type\":\"blog\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"3\",\"num_columns\":\"3\",\"num_links\":\"0\",\"multi_column_order\":\"1\",\"orderby_pri\":\"\",\"orderby_sec\":\"front\",\"order_date\":\"\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"use_article\",\"link_author\":\"\",\"show_create_date\":\"use_article\",\"show_modify_date\":\"use_article\",\"show_publish_date\":\"use_article\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"use_article\",\"show_print_icon\":\"use_article\",\"show_email_icon\":\"use_article\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"1\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"Ionosphere - March 2012 Template Demo\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"mar12-home\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',27,28,1,'*',0),(108,'mainmenu','Template Info','template-info','','template-info','index.php?option=com_content&view=article&id=1','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',39,158,0,'*',0),(109,'mainmenu','Module Positions','module-positions','','template-info/module-positions','index.php?option=com_content&view=article&id=2','component',1,108,2,22,0,'0000-00-00 00:00:00',0,1,'',8,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',40,41,0,'*',0),(110,'mainmenu','Module Variations','module-variations','','template-info/module-variations','index.php?option=com_content&view=article&id=3','component',1,108,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',42,43,0,'*',0),(111,'mainmenu','Typography','typography','','template-info/typography','index.php?option=com_content&view=article&id=4','component',1,108,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',44,45,0,'*',0),(112,'mainmenu','Menu Options','menu-options','','template-info/menu-options','index.php?option=com_content&view=article&id=5','component',1,108,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"2\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"360\",\"fusion_column_widths\":\"180,180\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',46,151,0,'*',0),(113,'mainmenu','Extensions','extensions','','template-info/extensions','index.php?option=com_content&view=article&id=6','component',1,108,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"0\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"142\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',152,153,0,'*',0),(114,'mainmenu','Tutorials','tutorials','','tutorials','index.php?option=com_content&view=article&id=7','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',9,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',159,168,0,'*',0),(115,'mainmenu','Installation','installation','','tutorials/installation','index.php?option=com_content&view=article&id=8','component',1,114,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',160,161,0,'*',0),(116,'mainmenu','Logo Editing','logo-editing','','tutorials/logo-editing','index.php?option=com_content&view=article&id=9','component',1,114,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',162,163,0,'*',0),(117,'mainmenu','Styles','styles','','styles','index.php?option=com_content&view=article&id=10','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',169,170,0,'*',0),(118,'mainmenu','J! Stuff','j-stuff','','j-stuff','index.php?option=com_content&view=article&id=11','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"1\",\"show_modify_date\":\"1\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',171,178,0,'*',0),(119,'mainmenu','More Details','2012-02-26-14-59-17','','template-info/2012-02-26-14-59-17','http://www.rockettheme.com/joomla-templates/ionosphere','url',1,108,2,0,0,'0000-00-00 00:00:00',1,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',156,157,0,'*',0),(120,'mainmenu','Forum Guides','2012-02-26-15-07-02','','tutorials/2012-02-26-15-07-02','http://www.rockettheme.com/forum/index.php?f=596&rb_v=viewforum','url',1,114,2,0,0,'0000-00-00 00:00:00',1,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',164,165,0,'*',0),(121,'mainmenu','Gantry Documentation','2012-02-26-15-07-45','','tutorials/2012-02-26-15-07-45','http://www.gantry-framework.org/documentation','url',1,114,2,0,0,'0000-00-00 00:00:00',1,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',166,167,0,'*',0),(122,'mainmenu','Member Access','member-access','','j-stuff/member-access','index.php?option=com_users&view=login','component',1,118,2,25,0,'0000-00-00 00:00:00',0,1,'',0,'{\"login_redirect_url\":\"\",\"logindescription_show\":\"1\",\"login_description\":\"\",\"login_image\":\"images\\/stories\\/ionosphere.jpg\",\"logout_redirect_url\":\"\",\"logoutdescription_show\":\"1\",\"logout_description\":\"\",\"logout_image\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',172,173,0,'*',0),(123,'mainmenu','Category Blog','category-blog','','j-stuff/category-blog','index.php?option=com_content&view=category&layout=blog&id=12','component',1,118,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"\",\"num_intro_articles\":\"\",\"num_columns\":\"\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',174,175,0,'*',0),(125,'mainmenu','Contact Us','contact-us','','j-stuff/contact-us','index.php?option=com_contact&view=contact&id=1','component',1,118,2,8,0,'0000-00-00 00:00:00',0,1,'',0,'{\"presentation_style\":\"\",\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',176,177,0,'*',0),(126,'mainmenu','Menu Examples','2012-02-26-15-24-03','','template-info/menu-options/2012-02-26-15-24-03','index.php?Itemid=','alias',1,112,3,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"1\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',47,142,0,'*',0),(127,'mainmenu','Menu Types','2012-02-26-15-24-27','','template-info/menu-options/2012-02-26-15-24-27','index.php?Itemid=','alias',1,112,3,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"1\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',143,150,0,'*',0),(128,'mainmenu','Child Items','2012-02-26-15-25-36','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36','index.php?Itemid=','alias',1,126,4,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',48,137,0,'*',0),(129,'mainmenu','Menu Icons','2012-02-26-15-26-08','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-26-08','index.php?Itemid=','alias',1,126,4,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"icon-like.png\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',138,139,0,'*',0),(130,'mainmenu','Module Menu','2012-02-26-15-27-04','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-27-04','index.php?Itemid=','alias',1,126,4,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"200\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"modulepos\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"menu-mod\",\"splitmenu_item_subtext\":\"\"}',140,141,0,'*',0),(131,'mainmenu','FusionMenu','2012-02-26-15-29-25','','template-info/menu-options/2012-02-26-15-24-27/2012-02-26-15-29-25','index.php?option=com_content&view=article&id=5&Itemid=112&menu-type=fusionmenu','url',1,127,4,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',144,145,0,'*',0),(132,'mainmenu','SplitMenu','2012-02-26-15-29-55','','template-info/menu-options/2012-02-26-15-24-27/2012-02-26-15-29-55','index.php?option=com_content&view=article&id=5&Itemid=112&menu-type=splitmenu','url',1,127,4,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',146,147,0,'*',0),(133,'mainmenu','No Menu','2012-02-26-15-30-27','','template-info/menu-options/2012-02-26-15-24-27/2012-02-26-15-30-27','index.php?option=com_content&view=article&id=5&Itemid=112&menu-type=nomenu','url',1,127,4,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',148,149,0,'*',0),(134,'mainmenu','Child Items','2012-02-26-15-31-05','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-05','index.php?Itemid=','alias',1,128,5,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"Single Column Example\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"130\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',49,58,0,'*',0),(135,'mainmenu','Child Items','2012-02-26-15-31-6','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-6','index.php?Itemid=','alias',1,128,5,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"Dual Column Example\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"2\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"260\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',59,76,0,'*',0),(136,'mainmenu','Child Items','2012-02-26-15-31-7','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-7','index.php?Itemid=','alias',1,128,5,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"Triple Column Example\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"3\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"300\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',77,102,0,'*',0),(137,'mainmenu','Child Items','2012-02-26-15-31-8','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-8','index.php?Itemid=','alias',1,128,5,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"Quad Column Example\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"4\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"400\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',103,136,0,'*',0),(138,'mainmenu','Child Item','2012-02-26-15-35-49','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-05/2012-02-26-15-35-49','index.php?Itemid=','alias',1,134,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',50,51,0,'*',0),(139,'mainmenu','Child Item','2012-02-26-15-35-50','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-05/2012-02-26-15-35-50','index.php?Itemid=','alias',1,134,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',52,53,0,'*',0),(140,'mainmenu','Child Item','2012-02-26-15-35-51','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-05/2012-02-26-15-35-51','index.php?Itemid=','alias',1,134,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',54,55,0,'*',0),(141,'mainmenu','Child Item','2012-02-26-15-35-52','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-05/2012-02-26-15-35-52','index.php?Itemid=','alias',1,134,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',56,57,0,'*',0),(142,'mainmenu','Child Item','2012-02-26-15-35-49','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-6/2012-02-26-15-35-49','index.php?Itemid=','alias',1,135,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',60,61,0,'*',0),(143,'mainmenu','Child Item','2012-02-26-15-35-50','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-6/2012-02-26-15-35-50','index.php?Itemid=','alias',1,135,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',62,63,0,'*',0),(144,'mainmenu','Child Item','2012-02-26-15-35-51','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-6/2012-02-26-15-35-51','index.php?Itemid=','alias',1,135,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',64,65,0,'*',0),(145,'mainmenu','Child Item','2012-02-26-15-35-52','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-6/2012-02-26-15-35-52','index.php?Itemid=','alias',1,135,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',66,67,0,'*',0),(146,'mainmenu','Child Item','2012-02-26-15-35-53','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-6/2012-02-26-15-35-53','index.php?Itemid=','alias',1,135,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',68,69,0,'*',0),(147,'mainmenu','Child Item','2012-02-26-15-35-54','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-6/2012-02-26-15-35-54','index.php?Itemid=','alias',1,135,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',70,71,0,'*',0),(148,'mainmenu','Child Item','2012-02-26-15-35-55','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-6/2012-02-26-15-35-55','index.php?Itemid=','alias',1,135,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',72,73,0,'*',0),(149,'mainmenu','Child Item','2012-02-26-15-35-56','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-6/2012-02-26-15-35-56','index.php?Itemid=','alias',1,135,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',74,75,0,'*',0),(150,'mainmenu','Child Item','2012-02-26-15-35-49','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-7/2012-02-26-15-35-49','index.php?Itemid=','alias',1,136,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',78,79,0,'*',0),(151,'mainmenu','Child Item','2012-02-26-15-35-50','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-7/2012-02-26-15-35-50','index.php?Itemid=','alias',1,136,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',80,81,0,'*',0),(152,'mainmenu','Child Item','2012-02-26-15-35-51','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-7/2012-02-26-15-35-51','index.php?Itemid=','alias',1,136,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',82,83,0,'*',0),(153,'mainmenu','Child Item','2012-02-26-15-35-52','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-7/2012-02-26-15-35-52','index.php?Itemid=','alias',1,136,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',84,85,0,'*',0),(154,'mainmenu','Child Item','2012-02-26-15-35-53','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-7/2012-02-26-15-35-53','index.php?Itemid=','alias',1,136,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',86,87,0,'*',0),(155,'mainmenu','Child Item','2012-02-26-15-35-54','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-7/2012-02-26-15-35-54','index.php?Itemid=','alias',1,136,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',88,89,0,'*',0),(156,'mainmenu','Child Item','2012-02-26-15-35-55','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-7/2012-02-26-15-35-55','index.php?Itemid=','alias',1,136,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',90,91,0,'*',0),(157,'mainmenu','Child Item','2012-02-26-15-35-56','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-7/2012-02-26-15-35-56','index.php?Itemid=','alias',1,136,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',92,93,0,'*',0),(158,'mainmenu','Child Item','2012-02-26-15-35-57','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-7/2012-02-26-15-35-57','index.php?Itemid=','alias',1,136,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',94,95,0,'*',0),(159,'mainmenu','Child Item','2012-02-26-15-35-58','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-7/2012-02-26-15-35-58','index.php?Itemid=','alias',1,136,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',96,97,0,'*',0),(160,'mainmenu','Child Item','2012-02-26-15-35-59','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-7/2012-02-26-15-35-59','index.php?Itemid=','alias',1,136,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',98,99,0,'*',0),(161,'mainmenu','Child Item','2012-02-26-15-35-60','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-7/2012-02-26-15-35-60','index.php?Itemid=','alias',1,136,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',100,101,0,'*',0),(162,'mainmenu','Child Item','2012-02-26-15-35-49','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-8/2012-02-26-15-35-49','index.php?Itemid=','alias',1,137,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',104,105,0,'*',0),(163,'mainmenu','Child Item','2012-02-26-15-35-50','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-8/2012-02-26-15-35-50','index.php?Itemid=','alias',1,137,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',106,107,0,'*',0),(164,'mainmenu','Child Item','2012-02-26-15-35-51','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-8/2012-02-26-15-35-51','index.php?Itemid=','alias',1,137,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',108,109,0,'*',0),(165,'mainmenu','Child Item','2012-02-26-15-35-52','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-8/2012-02-26-15-35-52','index.php?Itemid=','alias',1,137,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',110,111,0,'*',0),(166,'mainmenu','Child Item','2012-02-26-15-35-53','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-8/2012-02-26-15-35-53','index.php?Itemid=','alias',1,137,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',112,113,0,'*',0),(167,'mainmenu','Child Item','2012-02-26-15-35-54','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-8/2012-02-26-15-35-54','index.php?Itemid=','alias',1,137,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',114,115,0,'*',0),(168,'mainmenu','Child Item','2012-02-26-15-35-55','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-8/2012-02-26-15-35-55','index.php?Itemid=','alias',1,137,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',116,117,0,'*',0),(169,'mainmenu','Child Item','2012-02-26-15-35-56','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-8/2012-02-26-15-35-56','index.php?Itemid=','alias',1,137,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',118,119,0,'*',0),(170,'mainmenu','Child Item','2012-02-26-15-35-57','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-8/2012-02-26-15-35-57','index.php?Itemid=','alias',1,137,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',120,121,0,'*',0),(171,'mainmenu','Child Item','2012-02-26-15-35-58','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-8/2012-02-26-15-35-58','index.php?Itemid=','alias',1,137,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',122,123,0,'*',0),(172,'mainmenu','Child Item','2012-02-26-15-35-59','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-8/2012-02-26-15-35-59','index.php?Itemid=','alias',1,137,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',124,125,0,'*',0),(173,'mainmenu','Child Item','2012-02-26-15-35-60','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-8/2012-02-26-15-35-60','index.php?Itemid=','alias',1,137,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',126,127,0,'*',0),(174,'mainmenu','Child Item','2012-02-26-15-35-61','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-8/2012-02-26-15-35-61','index.php?Itemid=','alias',1,137,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',128,129,0,'*',0),(175,'mainmenu','Child Item','2012-02-26-15-35-62','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-8/2012-02-26-15-35-62','index.php?Itemid=','alias',1,137,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',130,131,0,'*',0),(176,'mainmenu','Child Item','2012-02-26-15-35-63','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-8/2012-02-26-15-35-63','index.php?Itemid=','alias',1,137,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',132,133,0,'*',0),(177,'mainmenu','Child Item','2012-02-26-15-35-64','','template-info/menu-options/2012-02-26-15-24-03/2012-02-26-15-25-36/2012-02-26-15-31-8/2012-02-26-15-35-64','index.php?Itemid=','alias',1,137,6,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"17\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',134,135,0,'*',0),(185,'mainmenu','404 Error Page','2012-03-02-02-41-32','','template-info/2012-03-02-02-41-32','index.php?option=404','url',1,108,2,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"142\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',154,155,0,'*',0),(187,'topmenu','RokSprocket','2012-03-05-03-39-30','','2012-03-05-03-39-30','index.php?Itemid=','alias',1,1,1,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"113\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"142\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',179,180,0,'*',0),(188,'topmenu','Color Chooser','2012-03-03-17-38-58','','2012-03-03-17-38-58','index.php?Itemid=','alias',1,1,1,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"117\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"142\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',181,182,0,'*',0),(189,'topmenu','Fusion Menu','2012-03-03-17-39-13','','2012-03-03-17-39-13','index.php?Itemid=','alias',1,1,1,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"112\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"142\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',183,184,0,'*',0),(190,'topmenu','Features','2012-03-03-17-39-27','','2012-03-03-17-39-27','index.php?Itemid=','alias',1,1,1,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"108\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"fusion_item_subtext\":\"\",\"fusion_customimage\":\"\",\"fusion_customclass\":\"\",\"fusion_columns\":\"1\",\"fusion_distribution\":\"even\",\"fusion_manual_distribution\":\"\",\"fusion_dropdown_width\":\"\",\"fusion_column_widths\":\"\",\"fusion_children_group\":\"0\",\"fusion_children_type\":\"menuitems\",\"fusion_modules\":\"142\",\"fusion_module_positions\":\"\",\"splitmenu_item_subtext\":\"\"}',185,186,0,'*',0),(192,'main','com_joomlaupdate','com-joomlaupdate','','com-joomlaupdate','index.php?option=com_joomlaupdate','component',1,1,1,28,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',187,188,0,'',1),(193,'main','com_postinstall','Post-installation messages','','Post-installation messages','index.php?option=com_postinstall','component',1,1,1,32,0,'0000-00-00 00:00:00',0,1,'class:postinstall',0,'',37,38,0,'*',1),(195,'main','com_associations','multilingual-associations','','multilingual-associations','index.php?option=com_associations','component',1,1,1,34,0,'0000-00-00 00:00:00',0,1,'class:associations',0,'{}',189,190,0,'*',1),(196,'main','RokGallery','rokgallery','','rokgallery','index.php?option=com_rokgallery','component',1,1,1,10030,0,'0000-00-00 00:00:00',0,1,'components/com_rokgallery/assets/images/rokgallery_16x16.png',0,'{}',191,192,0,'',1),(197,'main','COM_ROKCANDY','com-rokcandy','','com-rokcandy','index.php?option=com_rokcandy','component',1,1,1,10010,0,'0000-00-00 00:00:00',0,1,'components/com_rokcandy/assets/rokcandy-icon-16.png',0,'{}',193,198,0,'',1),(198,'main','COM_ROKCANDY_SUBMENU_MACROS','com-rokcandy-submenu-macros','','com-rokcandy/com-rokcandy-submenu-macros','index.php?option=com_rokcandy','component',1,197,2,10010,0,'0000-00-00 00:00:00',0,1,'components/com_rokcandy/assets/rokcandy-icon-16.png',0,'{}',194,195,0,'',1),(199,'main','COM_ROKCANDY_SUBMENU_CATEGORIES','com-rokcandy-submenu-categories','','com-rokcandy/com-rokcandy-submenu-categories','index.php?option=com_categories&extension=com_rokcandy','component',1,197,2,10010,0,'0000-00-00 00:00:00',0,1,'components/com_rokcandy/assets/icon-16-category.png',0,'{}',196,197,0,'',1);

INSERT IGNORE INTO `#__menu_types` (`id`, `asset_id`, `menutype`, `title`, `description`, `client_id`) VALUES (1,0,'mainmenu','Main Menu','The main menu for the site',0),(2,0,'topmenu','Top Menu','Top Menu',0);

INSERT IGNORE INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES (2,0,'Login','','',1,'login',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_login',1,1,'',1,'*'),(3,0,'Popular Articles','','',3,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_popular',3,1,'{\"count\":\"5\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}',1,'*'),(4,0,'Recently Added Articles','','',4,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_latest',3,1,'{\"count\":\"5\",\"ordering\":\"c_dsc\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}',1,'*'),(8,0,'Toolbar','','',1,'toolbar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_toolbar',3,1,'',1,'*'),(9,0,'Quick Icons','','',1,'icon',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_quickicon',3,1,'',1,'*'),(10,0,'Logged-in Users','','',2,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_logged',3,1,'{\"count\":\"5\",\"name\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}',1,'*'),(12,0,'Admin Menu','','',1,'menu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',3,1,'{\"layout\":\"\",\"moduleclass_sfx\":\"\",\"shownew\":\"1\",\"showhelp\":\"1\",\"cache\":\"0\"}',1,'*'),(13,0,'Admin Submenu','','',1,'submenu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_submenu',3,1,'',1,'*'),(14,0,'User Status','','',2,'status',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_status',3,1,'',1,'*'),(15,0,'Title','','',1,'title',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_title',3,1,'',1,'*'),(79,0,'Multilanguage status','','',1,'status',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_multilangstatus',3,1,'{\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}',1,'*'),(86,0,'Joomla Version','','',1,'footer',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_version',3,1,'{\"format\":\"short\",\"product\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}',1,'*'),(87,0,'Module in Menu','','<p>This is an example of a module being displayed inside the menu <strong>dropdowns</strong>.</p>\r\n<p><a href=\"#\" class=\"readon\"><span>Read More</span></a></p>',1,'menu-mod',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(88,0,'Template Info - Footer','','<div class=\"rt-demo-grid-8 nomarginright\">\r\n	<ul class=\"list-icon write\">\r\n    	<li><h3 class=\"nobold smallpaddingbottom\">All the Features - in One Complete List</h3></li>\r\n 	</ul>\r\n\r\n	<div class=\"module-title\">\r\n		<h3 class=\"title\"><span>Ionosphere</span> Template</h3>\r\n	</div>\r\n\r\n	<div class=\"rt-demo-grid-4 nomarginright nomarginleft\">\r\n		<ul class=\"circle\">\r\n			<li>12 Preset Styles</li>\r\n			<li>84 Module Positions</li>\r\n			<li>Powered by Gantry</li>\r\n			<li>Fusion with MegaMenu</li>\r\n			<li>SplitMenu</li>\r\n			<li>Custom Typography</li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class=\"rt-demo-grid-4 nomarginright\">\r\n		<ul class=\"circle\">\r\n			<li>RokSprocket Styling</li>\r\n			<li>RokExtensions Styling</li>\r\n			<li>JavaScript Input Styling</li>\r\n			<li>RTL Layout Support</li>\r\n			<li>Major Browsers Support</li>\r\n			<li>W3C XHTML1.0 / CSS3 Valid</li>\r\n		</ul>	\r\n	</div>\r\n\r\n	<div class=\"clear\"></div>\r\n\r\n	<div class=\"module-title\">\r\n		<h3 class=\"title\"><span>Gantry</span> Framework</h3>\r\n	</div>\r\n	<div class=\"rt-demo-grid-4 nomarginright nomarginleft\">\r\n		<ul class=\"circle nomarginbottom\">\r\n			<li>960 Grid System - 6 Grids per Row</li>\r\n			<li>Per-menu-item Configuration</li>\r\n			<li>Source Ordered Mainbody</li>\r\n			<li>Extensive Administrator Interface</li>\r\n			<li>Image Smart Loading</li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class=\"rt-demo-grid-4 nomarginright\">\r\n		<ul class=\"circle nomarginbottom\">\r\n			<li>iPhone / Android Compatible</li>\r\n			<li>Grid RTL Support</li>\r\n			<li>Built-in GZip and General Caching</li>\r\n			<li>Google Web Fonts Support</li>		\r\n			<li>Per Browser based CSS / JS control</li>\r\n		</ul>	\r\n	</div>\r\n\r\n	<div class=\"clear\"></div>\r\n\r\n	<a class=\"readon smallmargintop\" href=\"http://www.rockettheme.com/joomla-templates/ionosphere\" target=\"_blank\"><span>Download : Ionosphere Template</span></a>\r\n\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-4 floatright nomarginleft nomarginright\">\r\n	<ul class=\"list-icon info\">\r\n    	<li><h3 class=\"nobold smallpaddingbottom\">System Requirements</h3></li>\r\n 	</ul>\r\n\r\n	<ul class=\"checkmark\">\r\n		<li><strong>Apache 2.x or Microsoft IIS 7</strong><br />\r\n			<em>Most widely deployed web server software which is required to run Joomla!</em></li>\r\n		<li><strong>PHP 5.3.x</strong><br />\r\n			<em>General-purpose server-side scripting language designed for web development.</em></li>\r\n		<li><strong>MySQL 5.0.4 or higher</strong><br />\r\n			<em>The most popular open-source database system that providing databases.</em></li>\r\n		<li><strong>Joomla! 1.5.x or Joomla! 2.5.x</strong><br />\r\n			<em>Please download the latest version of Joomla! at <a class=\"normalfont nobold\" href=\"http://www.joomla.org\" target=\"_blank\">Joomla! Official Site</a>.</em></li>	\r\n		<li><strong>Gantry Framework</strong><br />\r\n			<em>Please ensure you are using the latest version of <a class=\"normalfont nobold\" href=\"http://www.gantry-framework.org\" target=\"_blank\">Gantry Framework</a>.</em></li>\r\n		<li><strong>RokNavMenu Module</strong><br />\r\n			<em>Essential ingredient of <a class=\"normalfont nobold\" href=\"index.php?option=com_content&amp;view=article&amp;id=5&amp;Itemid=112\">powerful menu</a> system of RocketTheme templates.</em></li>\r\n	</ul>\r\n\r\n</div>',1,'footer-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(89,0,'Mobile (iPhone/Android) Positions','','<p>Configure at <strong>Admin &rarr; Extensions &rarr; Template Manager &rarr; rt_ionosphere<em>(_j15)</em> &rarr; Mobile</strong>.</p>\r\n<p class=\"attention\">You can load either dedicated mobile positions or standard module positions in Mobile view.</p>\r\n<img src=\"images/stories/demo/general/positions/position-mobile-1.jpg\" width=\"424\" height=\"322\" class=\"rt-image nomarginbottom\" alt=\"image\"/>',4,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(90,0,'Gantry Grid Distribution','','<p>Configure at <strong>Admin → Extensions → Template Manager → rt_ionosphere<em>(_j15)</em> → Layouts</strong> the grid widths and allocated positions.</p>\r\n\r\n<img src=\"images/stories/demo/general/position-1.jpg\" alt=\"image\" width=\"412\" height=\"68\" class=\"rt-image\" />\r\n<img src=\"images/stories/demo/general/position-2.jpg\" alt=\"image\" width=\"412\" height=\"68\" class=\"rt-image nomarginbottom\" />',18,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(91,0,'Injected Gantry Features','','<img width=\"412\" height=\"168\" alt=\"Non-Standard Elements\" src=\"images/stories/demo/general/thumb-non-standard-elements.jpg\" class=\"rt-image\" />\r\n\r\n<p>There are <strong>Features</strong> that are injected into a position when enabled in the <strong>Administrator</strong>, and are stacked vertically.</p> \r\n\r\n<p>These are the Logo, Date, Font Sizer, Login Panel, Popup Model, RocketTheme Branding, Copyright, Top Top Scroller, System Messages and Reset Settings.</p>',19,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(92,0,'MainBody/Sidebar Layouts','','<p>Configure at <strong>Admin &rarr; Extensions &rarr; Template Manager &rarr; rt_ionosphere<em>(_j15)</em> &rarr; Layouts</strong> the varying Mainbody/Sidebar layout possibilities.</p>\r\n\r\n<div class=\"rt-demo-grid-4 nomarginleft\">\r\n<img src=\"images/stories/demo/general/positions/position-config-mb2.jpg\" width=\"290\" height=\"70\" class=\"rt-image\" alt=\"image\"/>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-4\">\r\n<img src=\"images/stories/demo/general/positions/position-config-mb3.jpg\" width=\"290\" height=\"70\" class=\"rt-image\" alt=\"image\"/>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-4 nomarginright\">\r\n<img src=\"images/stories/demo/general/positions/position-config-mb4.jpg\" width=\"290\" height=\"70\" class=\"rt-image\" alt=\"image\"/>\r\n</div>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<p class=\"attention\">Note: If no modules are assigned to the Sidebar positions, the Mainbody will become full width.</p>\r\n\r\n<div class=\"rt-demo-grid-4 nomarginleft\">\r\n<img src=\"images/stories/demo/general/positions/position-sa-mb-sbc-1.jpg\" width=\"290\" height=\"148\" class=\"rt-image\" alt=\"image\"/>\r\n<br />\r\n<img src=\"images/stories/demo/general/positions/position-mb-sa-1.jpg\" width=\"290\" height=\"148\" class=\"rt-image\" alt=\"image\"/>\r\n<br />\r\n<img src=\"images/stories/demo/general/positions/position-sa-mb-1.jpg\" width=\"290\" height=\"148\" class=\"rt-image nomarginbottom\" alt=\"image\"/>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-4\">\r\n<img src=\"images/stories/demo/general/positions/position-sab-mb-sc-1.jpg\" width=\"290\" height=\"148\" class=\"rt-image\" alt=\"image\"/>\r\n<br />\r\n<img src=\"images/stories/demo/general/positions/position-mb-sab-1.jpg\" width=\"290\" height=\"148\" class=\"rt-image\" alt=\"image\"/>\r\n<br />\r\n<img src=\"images/stories/demo/general/positions/position-sab-mb-1.jpg\" width=\"290\" height=\"148\" class=\"rt-image nomarginbottom\" alt=\"image\"/>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-4 nomarginright\">\r\n<img src=\"images/stories/demo/general/positions/position-sabc-mb-1.jpg\" width=\"290\" height=\"148\" class=\"rt-image\" alt=\"image\"/>\r\n<br />\r\n<img src=\"images/stories/demo/general/positions/position-mb-sabc-1.jpg\" width=\"290\" height=\"148\" class=\"rt-image\" alt=\"image\"/>\r\n<br />\r\n<img src=\"images/stories/demo/general/positions/position-mb-1.jpg\" width=\"290\" height=\"148\" class=\"rt-image nomarginbottom\" alt=\"image\"/>\r\n</div>',1,'mainbottom-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(93,0,'Basic: Using Layouts in Ionosphere','','<a rel=\"rokbox[745 505]\" title=\"Video Tutorial :: Using Gantry Layouts\" href=\"http://www.gantry-framework.org/media/videos/module_widths.mov\">\r\n<img class=\"rt-image floatleft\" src=\"images/stories/demo/general/using-layouts.jpg\" alt=\"Using Layouts\" width=\"150\" height=\"150\" /></a>\r\n\r\n<p>To find out about <strong>Gantry Layouts</strong> and <strong>Module Widths</strong>, check out this screencast which covers basic concepts of configuring layout with a combination of module setting and the Gantry layout control.</p>\r\n\r\n<a class=\"readon smallmargintop\" href=\"http://gantry-framework.org/documentation/joomla/configure/layouts\" target=\"_blank\"><span>View : Using Gantry Layouts</span></a>',0,'footer-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(94,0,'Advanced: Adding Module Positions','','<a rel=\"rokbox[745 505]\" title=\"Video Tutorial :: Module Positions\" href=\"http://www.gantry-framework.org/media/videos/module_positions.mov\">\r\n<img class=\"rt-image floatleft\" src=\"images/stories/demo/general/module-positions.jpg\" alt=\"Using Layouts\" width=\"150\" height=\"150\" /></a>\r\n\r\n<p>Check out this quick screencast on <strong>Module Positions</strong> to get an overview of how module positions work within Gantry Framework. Click below button to learn how to <strong>add a new row of module positions</strong>.</p>\r\n\r\n<a class=\"readon smallmargintop\" href=\"http://gantry-framework.org/documentation/joomla/customize/adding-module-positions\" target=\"_blank\"><span>Learn : Adding Module Positions</span></a>',0,'footer-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(95,0,'Why Use RokCandy?','','<p><strong>RokCandy</strong> is the ideal solution for those with <strong>limited coding skills</strong> or those who implement our templates for their clients. It is <strong>free</strong> from the WYSIWYG editors horrific filtering habits and can be easily pre-configured for your <strong>personal needs</strong> or the needs of your client.</p>\r\n<a href=\"http://www.rockettheme.com/extensions-joomla/rokcandy\" class=\"readon\" target=\"_blank\"><span>Download : RokCandy</span></a>',0,'footer-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(96,0,'Video : Using Typography','','<a href=\"http://www.rockettheme.com/video/joomla15/using-typography-joomla15.mov\" title=\"Video Tutorial :: Joomla Using Typography Video Tutorial\" rel=\"rokbox[540 380]\"><img class=\"rt-image floatleft\" src=\"images/stories/demo/general/using-typography.jpg\" alt=\"Using Typography\" width=\"130\" height=\"130\" /></a>\r\n<p>Check out this quick screencast to learn how to use RokCandy to enhance your Joomla! content. The tags are very easy to learn and this guide shows you how to use all the styles.</p>\r\n<a href=\"http://www.rockettheme.com/video/joomla15/using-typography-joomla15.mov\" title=\"Video Tutorial :: Joomla Using Typography Video Tutorial\" rel=\"rokbox[540 380]\" class=\"readon\"><span>Watch : Using Typography</span></a>',0,'footer-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(97,0,'Powered by RokNavMenu','','<img class=\"floatleft\" src=\"images/stories/demo/menu-options/roknavmenu.png\" width=\"80\" height=\"80\" />\r\n<p>RokNavMenu is an essential ingredient of the RocketTheme templates. It provides various functions which are above and beyond the default Joomla! menu system.</p>',0,'utility-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(98,0,'Menu Options - RokNavMenu is Required','','<br /><p class=\"alert largemargintop\">RokNavMenu is the core of all the powerful Ionosphere menu system. Please ensure you are using the latest version of RokNavMenu, available <a href=\"http://www.rockettheme.com/extensions-joomla/roknavmenu\" target=\"_blank\">here</a>.</p>',0,'utility-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(99,0,'Menu Options - Set Menu Type Screenshots','','<img class=\"rt-image\" src=\"images/stories/demo/menu-options/set-menu-1.jpg\" alt=\"Set Menu\" width=\"400\" height=\"120\" /><br /><br />\r\n<img class=\"rt-image\" src=\"images/stories/demo/menu-options/set-menu-2.jpg\" alt=\"Set Menu\" width=\"400\" height=\"120\" />',0,'maintop-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(100,0,'Set Menu Type','','<p>To find all the parameters for Fusion Menu and Splitmenu, such as transitions, duration and sublevel position, go to:</p>\r\n\r\n<ul class=\"checkmark green\">\r\n	<li><strong>(J1.5) Extensions &rarr; Template Manager &rarr; rt_ionosphere_j15 &rarr; <br />Menu &rarr; Menu Control &rarr; <em>Set Menu Type</em></strong></li>\r\n	<li><strong>(J2.5) Extensions &rarr; Template Manager &rarr; rt_ionosphere &rarr; <br />Menu &rarr; Menu Control &rarr; <em>Set Menu Type</em></strong></li>\r\n</ul>\r\n\r\n<p class=\"attention\">Descriptions of each template parameter can be seen when you mouseover the label of each option.</p>',0,'maintop-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(101,0,'Fusion Menu','','<p>A Mootools enhanced CSS dropdown menu, with multi-columns, icons and more.</p>\r\n<a href=\"index.php?option=com_content&amp;view=article&amp;id=5&amp;Itemid=112&amp;menu-type=fusionmenu\" class=\"readon\"><span>FusionMenu</span></a>',11,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(102,0,'Split Menu','','<p>A static two level menu with 1st level items in the header area, and all others in the sidebar.</p>\r\n<a href=\"index.php?option=com_content&amp;view=article&amp;id=5&amp;Itemid=112&amp;menu-type=splitmenu\" class=\"readon\"><span>SplitMenu</span></a>',12,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(103,0,'No Menu','','<p>An option to disable the menu, allowing for normal module use of the navigation position.</p>',13,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(104,0,'SubText Line','','<img width=\"260\" height=\"100\" alt=\"Ionosphere\" src=\"images/stories/demo/menu-options/subtext.jpg\" class=\"rt-image\">\r\n<p>The option that allows you to insert additional text to the Menu Item Title. There is separate styling for this, making it useful for adding brief descriptions to menu items.</p>',0,'footer-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(105,0,'Menu Item Image','','<img width=\"260\" height=\"100\" alt=\"Ionosphere\" src=\"images/stories/demo/menu-options/menuimage.jpg\" class=\"rt-image\">\r\n<p>RokNavMenu provides the option to display a small icon image for the menu item. The menu icon can be displayed both for the parent items and the child items.</p>',0,'footer-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(106,0,'Multiple Columns','','<img width=\"260\" height=\"100\" alt=\"Ionosphere\" src=\"images/stories/demo/menu-options/multiplecols.jpg\" class=\"rt-image\">\r\n<p>Who needs a single dropdown column when you can have as many as you want? Using the built-in configurable parameters, you can make incredible multi column dropdowns.</p>',0,'footer-c',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(107,0,'Extensions - Footer','','<div class=\"rt-demo-grid-8 nomarginright\">\r\n	<ul class=\"list-icon write\">\r\n    	<li><h3 class=\"nobold smallpaddingbottom\">All RocketTheme Extensions - in Extensions Club</h3></li>\r\n 	</ul>\r\n\r\n 	<p>Many of our extensions were developed to accompany RocketTheme templates but we have now created versions that are intended to work independently of our templates if you wish.</p>\r\n\r\n	<div class=\"module-title\">\r\n		<h3 class=\"title\"><span>Club</span> Extensions</h3>\r\n	</div>\r\n\r\n	<div class=\"rt-grid-2 largemarginright largepaddingright\">\r\n		<ul class=\"circle\">\r\n			<li><a href=\"http://www.rockettheme.com/extensions-joomla/rokgallery\" target=\"_blank\">RokGallery</a></li>\r\n			<li><a href=\"http://www.rockettheme.com/extensions-joomla/rokstories\" target=\"_blank\">RokStories</a></li>\r\n			<li><a href=\"http://www.rockettheme.com/extensions-joomla/rokstock\" target=\"_blank\">RokStock</a></li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class=\"rt-grid-2 largemarginright largepaddingright\">\r\n		<ul class=\"circle\">\r\n			<li><a href=\"http://www.rockettheme.com/extensions-joomla/roknewspager\" target=\"_blank\">RokNewsPager</a></li>\r\n			<li><a href=\"http://www.rockettheme.com/extensions-joomla/rokminievents\" target=\"_blank\">RokMiniEvents</a></li>\r\n			<li><a href=\"http://www.rockettheme.com/extensions-joomla/rokpad\" target=\"_blank\">RokPad</a></li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class=\"rt-grid-2\">\r\n		<ul class=\"circle\">\r\n			<li><a href=\"http://www.rockettheme.com/extensions-joomla/rokweather\" target=\"_blank\">RokWeather</a></li>\r\n						<li><a href=\"http://www.rockettheme.com/extensions-joomla/rokfeaturetable\" target=\"_blank\">RokFeatureTable</a></li>\r\n		</ul>	\r\n	</div>\r\n\r\n	<div class=\"clear\"></div>\r\n\r\n	<div class=\"module-title\">\r\n		<h3 class=\"title\"><span>Free</span> Extensions</h3>\r\n	</div>\r\n	<div class=\"rt-grid-2 largemarginright largepaddingright\">\r\n		<ul class=\"circle nomarginbottom\">\r\n			<li><a href=\"http://www.rockettheme.com/extensions-joomla/roknavmenu\" target=\"_blank\">RokNavMenu</a></li>\r\n			<li><a href=\"http://www.rockettheme.com/extensions-joomla/rokbox\" target=\"_blank\">RokBox</a></li>\r\n			<li><a href=\"http://www.rockettheme.com/extensions-joomla/rokgzipper\" target=\"_blank\">RokGZipper</a></li>\r\n			<li><a href=\"http://www.rockettheme.com/extensions-joomla/rokajaxsearch\" target=\"_blank\">RokAjaxSearch</a></li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class=\"rt-grid-2 largemarginright largepaddingright\">\r\n		<ul class=\"circle nomarginbottom\">\r\n			<li><a href=\"http://www.rockettheme.com/extensions-joomla/rokdownloads\" target=\"_blank\">RokDownloads</a></li>\r\n			<li><a href=\"http://www.rockettheme.com/extensions-joomla/roknewsflash\" target=\"_blank\">RokNewsFlash</a></li>\r\n			<li><a href=\"http://www.rockettheme.com/extensions-joomla/rokquickcart\" target=\"_blank\">RokQuickCart</a></li>\r\n			<li><a href=\"http://www.rockettheme.com/extensions-joomla/rokcandy\" target=\"_blank\">RokCandy</a></li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class=\"rt-grid-2\">\r\n		<ul class=\"circle nomarginbottom\">\r\n			<li><a href=\"http://www.rockettheme.com/extensions-joomla/roktabs\" target=\"_blank\">RokTabs</a></li>\r\n			<li><a href=\"http://www.rockettheme.com/extensions-joomla/rokslideshow\" target=\"_blank\">RokSlideShow</a></li>		\r\n			<li><a href=\"http://www.rockettheme.com/extensions-joomla/rokbridge\" target=\"_blank\">RokBridge</a></li>\r\n			<li><a href=\"http://www.rockettheme.com/extensions-joomla/rokcomments\" target=\"_blank\">RokComments</a></li>\r\n		</ul>	\r\n	</div>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-4 floatright nomarginleft nomarginright\">\r\n\r\n	<p class=\"alert\">NOTE: RokSprocket is ONLY available for Joomla 2.5. Our existing Joomla 1.5 compatible extensions will be provided as part of Joomla 1.5 RocketLauncher.</p>\r\n\r\n	<p>You can download the Ionosphere Extensions from:</p>\r\n\r\n	<ul class=\"normalfont nomarginbottom checkmark\">\r\n		<li><strong>Ionosphere Download Page:</strong> <strong><br />rt_ionosphere_j15-extensions.zip</strong> for J1.5 or <strong>rt_ionosphere-extensions.zip</strong> for J2.5. Unzip the file, it contains all the extensions used for Ionosphere.</li>\r\n		<li class=\"nomarginbottom\"><strong>RocketTheme Extensions Page:</strong><br />Contains all individual extensions are available from the Extensions section of RokDownloads.</li>\r\n	</ul>\r\n\r\n	<a href=\"http://www.rockettheme.com/extensions-downloads/\" target=\"_blank\" class=\"readon largemargintop floatright\"><span>Download : Ionosphere Extensions</span></a>\r\n\r\n</div>',1,'footer-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(108,0,'Installation Process','','<p>Download and install the <strong>Bundle</strong> file if Gantry is not installed, use the Standard Template file if <a href=\"index.php?option=com_content&amp;view=article&amp;id=8&amp;Itemid=9\">Gantry</a> is already present.</p>\r\n<a href=\"index.php?option=com_content&amp;view=article&amp;id=8&amp;Itemid=115\" class=\"readon\"><span>More Information</span></a>',1,'maintop-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(109,0,'RocketLauncher - Demo Replica','','<p>Deploy a <a href=\"index.php?option=com_content&amp;view=article&amp;id=8&amp;Itemid=9\">replica</a> of the this month\'s demo with ease, using the readily available <strong>RocketLauncher</strong> package.</p><a href=\"index.php?option=com_content&amp;view=article&amp;id=8&amp;Itemid=9\" class=\"readon\"><span>More Information</span></a>',1,'maintop-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(110,0,'RocketTheme Documentation','','<p>RocketTheme provides tutorials of template installation, RocketLauncher, and various topics related to specific RocketTheme template releases.</p>\r\n<a href=\"http://www.rockettheme.com/joomla-tutorials\" class=\"readon\" target=\"_blank\"><span>Read More</span></a>',1,'footer-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(111,0,'Gantry Support','','<p>More extensive details of the Gantry Framework, inclusive of both written and video tutorials, please visit the dedicated Gantry Site.</p>\r\n<a href=\"http://gantry-framework.org/\" target=\"_blank\" class=\"readon\"><span>Read More</span></a>',0,'footer-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(112,0,'System Requirements','','<ul class=\"checkmark nomarginbottom\">\r\n	<li><strong>Apache 2.x or Microsoft IIS 7</strong></li>\r\n	<li><strong>PHP 5.3.x</strong></li>\r\n	<li><strong>MySQL 5.0.4 or higher</strong></li>\r\n	<li><strong>Joomla! 1.5.x or Joomla! 2.5.x</strong></li>	\r\n	<li><strong>Gantry Framework</strong></li>\r\n	<li class=\"nomarginbottom\"><strong>RokNavMenu Module</strong></li>\r\n</ul>',10,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box5 title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(113,0,'RocketLauncher Version','','<p class=\"medmarginbottom\"><strong>RocketLauncher</strong> is a customized <strong>Joomla</strong> install, that installs a <strong>replica</strong> of the <strong>demo</strong> onto your Joomla! site.</p>\r\n<p class=\"alert nomarginbottom\"><strong>Note</strong>: All sample content images will be replaced with blank versions in the RocketLauncher.</p>',9,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(114,0,'Essential Files','','<ul class=\"list-icon checkmark normalfont nomarginbottom\">\r\n	<li><strong>Gantry Framework</strong> <em><strong>(J1.5)</strong> rt_ionosphere_j15.tgz</em> or <em><strong>(J2.5)</strong> rt_ionosphere.zip</em> - Core framework for Ionosphere template.</li>\r\n	<li><strong>Template (Standalone)</strong> <em><strong>(J1.5)</strong> rt_ionosphere_j15.tgz</em> or <em><strong>(J2.5)</strong> rt_ionosphere.zip</em> - Standalone template file without the Gantry Framework.</li>\r\n	<li><strong>Template (Bundle)</strong> <em><strong>(J1.5)</strong> rt_ionosphere_j15-bundle.zip</em> or <em><strong>(J2.5)</strong> rt_ionosphere-bundle.zip</em> - Template plus the Gantry Framework.</li>\r\n	<li><strong>RokNavMenu</strong> <em><strong>(J1.5)</strong> rt_ionosphere_j15-extensions.zip(<strong>unzip first</strong>) or mod_roknavmenu.zip</em>; or <em><strong>(J2.5)</strong> rt_ionosphere-extensions.zip(<strong>unzip first</strong>) or mod_roknavmenu_j16.zip</em> - Required for the menu to work.</li>\r\n</ul>',1,'footer-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(115,0,'Additional Files','','<ul class=\"list-icon checkmark normalfont nomarginbottom\">\r\n	<li><strong>Source PNG(s)</strong> <em>rt_ionosphere_j15-sources.zip</em> - Adobe® Fireworks PNG source file(s) and any applicable fonts.</li>\r\n	<li><strong>Source BG PNG(s)</strong> <em>rt_ionosphere_j15-sources-bg.zip</em> - Adobe® Fireworks PNG BG source file(s) — <em>Only distributed if the template has complex BGs.</em></li>\r\n	<li><strong>Extensions</strong> <em><strong>(J1.5)</strong> rt_ionosphere_j15-extensions.zip</em> or <em><strong>(J2.5)</strong> rt_ionosphere-extensions.zip</em> - All extensions for the template.</li>\r\n	<li><strong>RocketLauncher</strong> <em><strong>(J1.5)</strong> rt_ionosphere_j15-rocketlauncher.zip</em> or <em><strong>(J2.5)</strong> rt_ionosphere-rocketlauncher.zip</em> - Demo replica installer. RocketLauncher needs a fresh Joomla! installation.</li>\r\n</ul>',1,'footer-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(116,0,'Adobe Fireworks','','<p>The most effective way to customize the logo is to use the included Source PNG file. When opened in Adobe Fireworks, this file contains all of the Layers in the design allowing you to tweak and change any of the image elements of the template design.</p>\r\n<p class=\"alert nomarginbottom\">In order to utilize the Fireworks Source PNG included with the Ionosphere template release, you will need Adobe Fireworks. The 30-day free trial of this software as well as more information is available <a href=\"http://www.adobe.com/products/fireworks/\" target=\"_blank\"><strong>here at the Adobe website</strong></a>.</p>',7,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(117,0,'Editing Requirements','','<ul class=\"checkmark nomarginbottom\">\r\n	<li><strong>Adobe® Fireworks:</strong> CS5 is preferred, but CS3/4 will be sufficient.</li>\r\n	<li><strong>Logo Font:</strong> Download and install before proceeding to edit in Fireworks.</li>\r\n	<li><strong>Source File:</strong> Download the <strong>logo-source.png</strong> file from the rt_ionosphere_j15-sources.zip package.</li>\r\n</ul>',8,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box5 title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(118,0,'Uploading the Logo','','<div class=\"rt-demo-grid-2 floatleft largemarginright largepaddingright\">\r\n	<img width=\"150\" height=\"150\" src=\"images/stories/demo/logo/logo-location.jpg\" alt=\"Logo Location\" class=\"rt-image\" />\r\n</div>\r\n\r\n<div class=\"rt-grid-7 nomarginleft nomarginright\">\r\n<ul class=\"medmarginbottom\">\r\n	<li>Upload <strong>logo.png</strong> to the <strong style=\"word-break: break-all\">(J1.5) /templates/rt_ionosphere_15/images/logo/</strong> or <br /><strong style=\"word-break: break-all\">(J2.5) /templates/rt_ionosphere/images/logo/</strong> directory</li>\r\n	<li>Clear your browser cache and refresh your site.</li>\r\n</ul>\r\n\r\n<p class=\"medmarginbottom\">If you cannot see your new logo, ensure you have uploaded it to the right directory and the directory permissions are writeable. Enquire with your hosting provider.</p>\r\n\r\n<a target=\"_blank\" href=\"http://www.rockettheme.com/joomla-templates/ionosphere\" class=\"readon\"><span>Download Sources Here</span></a>\r\n\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-2 floatright\">\r\n	<a href=\"http://demo.rockettheme.com/sep10/video/logo.mov\" title=\"Video Tutorial :: Ionosphere Logo Editing Video Tutorial\" rel=\"rokbox[504 306]\"><img width=\"150\" height=\"150\" src=\"images/stories/demo/logo/logo-video.jpg\" alt=\"Logo Location\" class=\"rt-image\" /></a>\r\n</div>',1,'footer-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(119,0,'12 Preset Styles - Preview Live','','<p class=\"notice\">View all styles live by appending <strong>?presets=preset#</strong> or <strong>&amp;presets=preset#</strong> to the end of your URL such as <strong><a href=\"#\">http://yoursite.com/index.php?presets=preset4</a></strong>.</p>\r\n\r\n<p>In sequential order, <strong>Preset 1 - Preset 12</strong>. Please click on the image to load a live example of each style variation.</p>\r\n\r\n<a href=\"index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=117&amp;presets=preset1\">\r\n	<img alt=\"Preset 1\" src=\"images/stories/demo/styles/ss1.jpg\" class=\"rt-image floatleft medmarginright\" width=\"135\" height=\"249\" />\r\n</a>\r\n<a href=\"index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=117&amp;presets=preset2\">\r\n	<img alt=\"Preset 2\" src=\"images/stories/demo/styles/ss2.jpg\" class=\"rt-image floatleft medmarginright\" width=\"135\" height=\"249\" />\r\n</a>\r\n<a href=\"index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=117&amp;presets=preset3\">\r\n	<img alt=\"Preset 3\" src=\"images/stories/demo/styles/ss3.jpg\" class=\"rt-image floatleft medmarginright\" width=\"135\" height=\"249\" />\r\n</a>\r\n<a href=\"index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=117&amp;presets=preset4\">\r\n	<img alt=\"Preset 4\" src=\"images/stories/demo/styles/ss4.jpg\" class=\"rt-image floatleft medmarginright\" width=\"135\" height=\"249\" />\r\n</a>\r\n<a href=\"index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=117&amp;presets=preset5\">\r\n	<img alt=\"Preset 5\" src=\"images/stories/demo/styles/ss5.jpg\" class=\"rt-image floatleft medmarginright\" width=\"135\" height=\"249\" />\r\n</a>\r\n<a href=\"index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=117&amp;presets=preset6\">\r\n	<img alt=\"Preset 6\" src=\"images/stories/demo/styles/ss6.jpg\" class=\"rt-image floatleft nomarginright\" width=\"135\" height=\"249\" />\r\n</a>\r\n<div class=\"clear\"></div>\r\n<a href=\"index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=117&amp;presets=preset7\">\r\n	<img alt=\"Preset 7\" src=\"images/stories/demo/styles/ss7.jpg\" class=\"rt-image floatleft medmarginright\" width=\"135\" height=\"249\" />\r\n</a>\r\n<a href=\"index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=117&amp;presets=preset8\">\r\n	<img alt=\"Preset 8\" src=\"images/stories/demo/styles/ss8.jpg\" class=\"rt-image floatleft medmarginright\" width=\"135\" height=\"249\" />\r\n</a>\r\n<a href=\"index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=117&amp;presets=preset9\">\r\n	<img alt=\"Preset 9\" src=\"images/stories/demo/styles/ss9.jpg\" class=\"rt-image floatleft medmarginright\" width=\"135\" height=\"249\" />\r\n</a>\r\n<a href=\"index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=117&amp;presets=preset10\">\r\n	<img alt=\"Preset 10\" src=\"images/stories/demo/styles/ss10.jpg\" class=\"rt-image floatleft medmarginright\" width=\"135\" height=\"249\" />\r\n</a>\r\n<a href=\"index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=117&amp;presets=preset11\">\r\n	<img alt=\"Preset 11\" src=\"images/stories/demo/styles/ss11.jpg\" class=\"rt-image floatleft medmarginright\" width=\"135\" height=\"249\" />\r\n</a>\r\n<a href=\"index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=117&amp;presets=preset12\">\r\n	<img alt=\"Preset 12\" src=\"images/stories/demo/styles/ss12.jpg\" class=\"rt-image floatleft nomarginright\" width=\"135\" height=\"249\" />\r\n</a>\r\n<div class=\"clear\"></div>',1,'utility-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box3 title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(120,0,'Creating your own Preset Style(s)','','<ul class=\"circle-large\">\r\n	<li>Go to <strong>Extensions → Template Manager → (J1.5) rt_ionosphere_j15 → Settings; or (J2.5) rt_ionosphere &rarr; Show Presets</strong></li>\r\n	<li>Configure the Settings</li>\r\n	<li>Click <strong>(J1.5) Save Custom Presets as New</strong>; <strong>(J2.5) Save Preset</strong></li>\r\n	<li>Follow the <strong>Preset Saver procedure</strong></li>\r\n</ul>\r\n\r\n<p class=\"notice\">You can edit the prebuilt presets in the <strong>gantry.config.php</strong> file, or use the User Interface method outlined above.</p>',1,'footer-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(121,0,'Preset Footer B','','<br /><br />\r\n<img class=\"rt-image floatleft medmarginright \" alt=\"Image\" src=\"images/stories/demo/general/style-1.jpg\" height=\"134\" width=\"200\" />\r\n<img class=\"rt-image \" alt=\"Image\" src=\"images/stories/demo/general/style-2.jpg\" height=\"134\" width=\"200\" />',0,'footer-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(122,0,'Breadcrumb ','','',1,'breadcrumb ',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_breadcrumbs',1,0,'{\"showHere\":\"0\",\"showHome\":\"1\",\"homeText\":\"Home\",\"showLast\":\"1\",\"separator\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),(123,0,'Joomla! Documentation','','<p>Joomla.org is an invaluable resource for general instructions and information on how to use, configure and modify Joomla.</p>\r\n<a href=\"http://docs.joomla.org\" class=\"readon\" target=\"_blank\"><span>Read More</span></a>',1,'footer-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(124,0,'Gantry Support','','<p>More extensive details of the Gantry Framework, inclusive of both written and video tutorials, please visit the dedicated Gantry Site.</p>\r\n<a href=\"http://gantry-framework.org/\" target=\"_blank\" class=\"readon\"><span>Read More</span></a>',1,'footer-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(125,0,'Main Menu','','',14,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,1,'{\"menutype\":\"mainmenu\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"flush title1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),(126,0,'Login Form','','',20,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_login',1,1,'{\"pretext\":\"\",\"posttext\":\"\",\"login\":\"\",\"logout\":\"\",\"greeting\":\"1\",\"name\":\"0\",\"usesecure\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box3 title2\",\"cache\":\"0\"}',0,'*'),(127,0,'Video Tutorials','','<ul class=\"dots\">\r\n	<li><a class=\"nobold\" href=\"http://www.rockettheme.com/video/joomla15/installing-rocketlauncher-joomla15.mov\" title=\"Video Tutorial :: Joomla RocketLauncher Installation Video Tutorial\" rel=\"rokbox[503 356]\">RocketLauncher</a></li>\r\n	<li><a class=\"nobold\" href=\"http://www.rockettheme.com/video/joomla15/template-installation-joomla15.mov\" title=\"Video Tutorial :: Joomla Template Installation Video Tutorial\" rel=\"rokbox[800 620]\">Template Installation</a></li>\r\n	<li><a class=\"nobold\" href=\"http://www.rockettheme.com/video/joomla15/menu-configuration-joomla15.mov\" title=\"Video Tutorial :: Joomla Menu Setup Video Tutorial\" rel=\"rokbox[504 336]\">Menu Setup</a></li>\r\n	<li><a class=\"nobold\" href=\"http://www.gantry-framework.org/media/videos/module_widths.mov\" title=\"Video Tutorial :: Using Layouts in Ionosphere\" rel=\"rokbox[745 505]\">Using Gantry Layout</a></li>\r\n	<li><a class=\"nobold\" href=\"http://www.rockettheme.com/video/joomla15/using-typography-joomla15.mov\" title=\"Video Tutorial :: Joomla Using Typography Video Tutorial\" rel=\"rokbox[540 380]\">Using Typography</a></li>	\r\n	<li><a class=\"nobold\" rel=\"rokbox[504 360]\" title=\"Video Tutorial :: Joomla 1.5 Template Management\" href=\"http://www.rockettheme.com/video/joomla15/template-manager-joomla15.mov\">Template Manager</a></li>\r\n	<li><a class=\"nobold\" rel=\"rokbox[504 336]\" title=\"Video Tutorial :: Joomla 1.5 Using Custom Modules\" href=\"http://www.rockettheme.com/video/joomla15/custom-modules-joomla15.mov\">Custom Modules</a></li>\r\n	<li><a class=\"nobold\" rel=\"rokbox[504 336]\" title=\"Video Tutorial :: Joomla 1.5 Using the Extensions Manager\" href=\"http://www.rockettheme.com/video/joomla15/extensions-manager-joomla15.mov\">Extensions Manager</a></li>\r\n	<li><a class=\"nobold\" rel=\"rokbox[504 336](joomla15basic)\" title=\"Video Tutorial :: Joomla 1.5 Menu Access Levels\" href=\"http://www.rockettheme.com/video/joomla15/menu-access-levels-joomla15.mov\">Menu Access</a></li>\r\n</ul>\r\n<a href=\"http://www.rockettheme.com/joomla-tutorials/video-tutorials\" target=\"_blank\" class=\"readon smallmarginbottom\"><span>View All</span></a>',16,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box5 title4\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(128,0,'Forum Guides','','<ul class=\"dots\">\r\n	<li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=596&amp;t=158446&amp;rb_v=viewtopic\" target=\"_blank\">Template FAQs</a></li>\r\n	<li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=596&amp;t=158445&amp;rb_v=viewtopic\" target=\"_blank\">Guide &amp; Support</a></li>\r\n	<li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=596&amp;t=158444&amp;rb_v=viewtopic\" target=\"_blank\">RokSprocket Setup</a></li>\r\n	<li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=596&amp;t=158441&amp;rb_v=viewtopic\" target=\"_blank\">Mobile Theme</a></li>\r\n	<li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=596&amp;t=158443&amp;rb_v=viewtopic\" target=\"_blank\">Demo Content Info</a></li>\r\n	<li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=596&amp;t=158435&amp;rb_v=viewtopic\" target=\"_blank\">Editing the Logo</a></li>\r\n	<li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=596&amp;t=158436&amp;rb_v=viewtopic\" target=\"_blank\">Template Text</a></li>\r\n	<li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=596&amp;t=158439&amp;rb_v=viewtopic\" target=\"_blank\">Popup Module</a></li>\r\n	<li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=596&amp;t=158437&amp;rb_v=viewtopic\" target=\"_blank\">RokBox Login</a></li>\r\n</ul>\r\n<a class=\"readon smallmarginbottom\" target=\"_blank\" href=\"http://www.rockettheme.com/forum/index.php?f=596&amp;amp;rb_v=viewforum\"><span>View All</span></a>',15,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box5 title4\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(129,0,'Forum Guides','','<ul class=\"dots\">\r\n	<li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=596&amp;t=158446&amp;rb_v=viewtopic\" target=\"_blank\">Template FAQs</a></li>\r\n	<li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=596&amp;t=158445&amp;rb_v=viewtopic\" target=\"_blank\">Guide &amp; Support</a></li>\r\n	<li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=596&amp;t=158444&amp;rb_v=viewtopic\" target=\"_blank\">RokSprocket Setup</a></li>\r\n	<li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=596&amp;t=158441&amp;rb_v=viewtopic\" target=\"_blank\">Mobile Theme</a></li>\r\n	<li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=596&amp;t=158443&amp;rb_v=viewtopic\" target=\"_blank\">Demo Content Info</a></li>\r\n	<li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=596&amp;t=158435&amp;rb_v=viewtopic\" target=\"_blank\">Editing the Logo</a></li>\r\n	<li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=596&amp;t=158436&amp;rb_v=viewtopic\" target=\"_blank\">Template Text</a></li>\r\n	<li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=596&amp;t=158439&amp;rb_v=viewtopic\" target=\"_blank\">Popup Module</a></li>\r\n	<li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=596&amp;t=158437&amp;rb_v=viewtopic\" target=\"_blank\">RokBox Login</a></li>\r\n</ul>\r\n<a class=\"readon smallmarginbottom\" target=\"_blank\" href=\"http://www.rockettheme.com/forum/index.php?f=596&amp;amp;rb_v=viewforum\"><span>View All</span></a>',1,'sidebar-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box5 title4\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(130,0,'Who\'s Online','','',21,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_whosonline',1,1,'{\"showmode\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box7\",\"cache\":\"0\",\"filter_groups\":\"0\"}',0,'*'),(131,0,'Additional Downloads','','<ul class=\"dots normarginbottom\">\r\n	<li class=\"smallmarginbottom\"><a href=\"index.php?option=com_content&amp;view=article&amp;id=8&amp;Itemid=115\">RocketLauncher: Demo Pack</a><br /><span>A complete, streamlined / modified Joomla install that replicates this template demo.</span>	</li>\r\n	<li class=\"smallmarginbottom\"><a href=\"index.php?option=com_content&amp;view=article&amp;id=8&amp;Itemid=115\">Bundled Install Packages</a><br /><span>Install the template, Gantry and other essentials via a single bundled package.</span></li>\r\n	<li class=\"smallmarginbottom\"><a href=\"index.php?option=com_content&amp;view=article&amp;id=9&amp;Itemid=116\">Adobe® Fireworks PNG Sources</a><br /><span>Template / BG Sources &amp; Font(s).</span></li>\r\n</ul>',1,'footer-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(132,0,'Demo Information','','<p>All demo content is for <strong>sample</strong> purposes only, intended to represent a live site. All content images are licensed from <a href=\"http://www.shutterstock.com/\" target=\"_blank\">shutterstock.com</a> for exclusive use on this demo only.</p>\r\n	\r\n<span>Note: <strong>RokSprocket</strong> is only available for <strong>Joomla 2.5.x</strong>. Those functions will be covered in 1.5.x by <em>RokNewsPager</em>, <em>RokNewsFlash</em>, <em>RokStories</em> and <em>RokTabs</em>.</span>',1,'footer-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(133,0,'Contact Details','','<div class=\"feature\">\r\n<img src=\"images/stories/demo/frontpage/fp-footer-icon1.png\" alt=\"image\" class=\"largepaddingleft floatleft smallpaddingright medpaddingtop\" />\r\n<a><em class=\"bold2 nobold\">+1 (555) 555-555-5555</em></a><br />\r\n<a><em class=\"bold2 nobold\">+1 (555) 555-555-5556</em></a>\r\n<div class=\"clear largemarginbottom\">&nbsp;</div>\r\n<img src=\"images/stories/demo/frontpage/fp-footer-icon3.png\" alt=\"image\" class=\"largepaddingleft floatleft smallpaddingright largemarginbottom largepaddingbottom\" />\r\n<em class=\"bold2 nobold\">\r\n	Ionosphere Theme LLC<br />\r\n	123 Joomla! Boulevard<br />\r\n	Seattle, WA 00000, USA\r\n</em>\r\n<div class=\"clear largemarginbottom\">&nbsp;</div>\r\n<img src=\"images/stories/demo/frontpage/fp-footer-icon4.png\" alt=\"image\" class=\"largepaddingleft floatleft smallpaddingright\" />\r\n<em class=\"bold2 nobold\">noreply&#64;domain.com</em>\r\n</div>',1,'footer-c',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title1 promo\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(136,0,'Search our Site','','',17,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_rokajaxsearch',1,1,'{\"moduleclass_sfx\":\"box2\",\"search_page\":\"index.php?option=com_search&view=search&tmpl=component\",\"adv_search_page\":\"index.php?option=com_search&view=search\",\"include_css\":\"0\",\"theme\":\"dark\",\"searchphrase\":\"any\",\"ordering\":\"newest\",\"limit\":\"10\",\"perpage\":\"3\",\"websearch\":\"0\",\"blogsearch\":\"0\",\"imagesearch\":\"0\",\"videosearch\":\"0\",\"websearch_api\":\"\",\"show_pagination\":\"1\",\"safesearch\":\"MODERATE\",\"image_size\":\"MEDIUM\",\"show_estimated\":\"1\",\"hide_divs\":\"\",\"include_link\":\"1\",\"show_description\":\"1\",\"include_category\":\"1\",\"show_readmore\":\"1\"}',0,'*'),(137,0,'Using a Suffix','','<p>Enter any available suffixes at <strong>Extensions &rarr; Module Manager &rarr; <em>Module</em> &rarr; Module Class Suffix</strong>.</p>\r\n<p class=\"notice nomarginbottom\">You can compound multiple suffixes together such as: <strong><em>box1 title3</em></strong>.</p>',1,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(138,0,'box1 title1','','<p>An example module using the <strong>box1 title1</strong> module class suffix.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh.</p>\r\n<a href=\"#\" class=\"readon\"><span>More</span></a>',2,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box1 title1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(139,0,'box3 title2','','<p>An example module using the <strong>box3 title2</strong> module class suffix.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh.</p>\r\n<a href=\"#\" class=\"readon\"><span>More</span></a>',3,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box3 title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(140,0,'box7 title4','','<p>An example module using the <strong>box7 title4</strong> module class suffix.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh.</p>\r\n<a href=\"#\" class=\"readon\"><span>More</span></a>',6,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box7 title4\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(141,0,'box5 title3','','<p>An example module using the <strong>box5 title3</strong> module class suffix.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh.</p>\r\n<a href=\"#\" class=\"readon\"><span>More</span></a>',5,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box5 title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(142,0,'Standard Variations: 26 Additional Module Class Suffixes','','<ul class=\"nomarginbottom rt-demo-grid-4 nomarginleft\">\r\n	<li><strong>rt-center:</strong> centres the content of the module.</li>\r\n	<li><strong>shadow2-10</strong> adds varying shadows around the module.</li>\r\n	<li><strong>rounded, square, basic:</strong> changes the border style of the module.</li>\r\n</ul>\r\n<ul class=\"nomarginbottom rt-demo-grid-4 nomarginright nomarginleft\">\r\n	<li><strong>standardcase, uppercase, lowercase:</strong> change the case of the module title.</li>	\r\n	<li><strong>nomargintop, nomarginright, nomarginbottom, nomarginleft, nomarginall:</strong> removes the various margins around the module.</li>\r\n</ul>\r\n<ul class=\"nomarginbottom rt-demo-grid-4 nomarginright\">\r\n	<li><strong>nopaddingtop, nopaddingright, nopaddingbottom, nopaddingleft, nopaddingall:</strong> removes the various paddings around the module</li>\r\n</ul>',0,'bottom-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"nopaddingleft nopaddingright\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(144,0,'FP Content Bottom A','','<div class=\"component-content\">\r\n\r\n<div class=\"article-header\">\r\n<div class=\"article-title\"><div class=\"article-title2\"><div class=\"article-title3\">\r\n<h1 class=\"title\">Color Chooser</h1>\r\n</div></div></div>\r\n<div class=\"clear\"></div>\r\n</div>\r\n\r\n<div class=\"module-content\">\r\n<div class=\"fp-main-img\"><img src=\"images/stories/demo/frontpage/fp-main-2.jpg\" alt=\"image\"  width=\"284\" height=\"253\"/></div>\r\n\r\n<div class=\"promo largepaddingtop\"><h3 class=\"feature nobold largemarginbottom\">Ultimate Customization</h3></div>\r\n<p>The twelve style variations are fully customizable with the most comprehensive <strong>color chooser </strong>system ever. Choose just a few tones and shades, and <strong>Ionosphere</strong> does the rest, <strong>automatically</strong> calculating an appropriate color scheme for the various template elements. All at a push of the button inside the <strong>Gantry Administrator</strong>.</p>\r\n<a href=\"index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=117\" class=\"readon\"><span>More Information</span></a>\r\n</div>\r\n</div>',1,'content-bottom-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"nomargintop nomarginbottom nopaddingbottom\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(145,0,'Two Configurable Menus','','<p><strong>Fusion with MegaMenu</strong>, is a javsacript enhanced, <strong>CSS</strong> powered dropdown menu, with features such as mutli-columns.</p>\r\n\r\n<p><strong>Triple Level SplitMenu</strong> is a static menu that displays its items in three separate <strong>tiers</strong>, horizontal and vertical (Sidebar).</p>',22,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(147,0,'RocketLauncher Available','','',1,'extension-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_rokgallery',1,1,'{\"gallery_id\":\"3\",\"link\":\"rokbox_full\",\"default_menuitem\":\"101\",\"title\":\"1\",\"caption\":\"1\",\"sort_by\":\"gallery_ordering\",\"sort_direction\":\"ASC\",\"limit_count\":\"1\",\"css_style\":\"light\",\"layout\":\"grid\",\"columns\":\"1\",\"arrows\":\"onhover\",\"navigation\":\"thumbnails\",\"animation_type\":\"random\",\"animation_duration\":\"500\",\"autoplay_enabled\":\"0\",\"autoplay_delay\":\"7\",\"showcase_arrows\":\"onhover\",\"showcase_image_position\":\"left\",\"showcase_imgpadding\":\"0\",\"showcase_animation_type\":\"random\",\"showcase_captionsanimation\":\"crossfade\",\"showcase_animation_duration\":\"500\",\"showcase_autoplay_enabled\":\"0\",\"showcase_autoplay_delay\":\"7\",\"showcase_responsive_arrows\":\"onhover\",\"showcase_responsive_image_position\":\"left\",\"showcase_responsive_imgpadding\":\"0\",\"showcase_responsive_animation_type\":\"random\",\"showcase_responsive_captionsanimation\":\"crossfade\",\"showcase_responsive_animation_duration\":\"500\",\"showcase_responsive_autoplay_enabled\":\"0\",\"showcase_responsive_autoplay_delay\":\"7\",\"backgroundimage\":\"\",\"cache\":\"0\",\"moduleclass_sfx\":\"title1 nomarginbottom\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(148,0,'Adobe® Fireworks PNG Sources','','',1,'extension-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_rokgallery',1,1,'{\"gallery_id\":\"2\",\"link\":\"rokbox\",\"default_menuitem\":\"101\",\"title\":\"0\",\"caption\":\"0\",\"sort_by\":\"gallery_ordering\",\"sort_direction\":\"ASC\",\"limit_count\":\"6\",\"css_style\":\"light\",\"layout\":\"grid\",\"columns\":\"3\",\"arrows\":\"onhover\",\"navigation\":\"thumbnails\",\"animation_type\":\"random\",\"animation_duration\":\"500\",\"autoplay_enabled\":\"0\",\"autoplay_delay\":\"7\",\"showcase_arrows\":\"onhover\",\"showcase_image_position\":\"left\",\"showcase_imgpadding\":\"0\",\"showcase_animation_type\":\"random\",\"showcase_captionsanimation\":\"crossfade\",\"showcase_animation_duration\":\"500\",\"showcase_autoplay_enabled\":\"0\",\"showcase_autoplay_delay\":\"7\",\"showcase_responsive_arrows\":\"onhover\",\"showcase_responsive_image_position\":\"left\",\"showcase_responsive_imgpadding\":\"0\",\"showcase_responsive_animation_type\":\"random\",\"showcase_responsive_captionsanimation\":\"crossfade\",\"showcase_responsive_animation_duration\":\"500\",\"showcase_responsive_autoplay_enabled\":\"0\",\"showcase_responsive_autoplay_delay\":\"7\",\"backgroundimage\":\"\",\"cache\":\"0\",\"moduleclass_sfx\":\"title1 nomarginbottom\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(149,0,'FP Feature','','',1,'showcase-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_roksprocket',1,0,'{\"provider\":\"joomla\",\"layout\":\"features\",\"joomla_articles\":{\"1\":{\"root\":{\"article\":\"6\"}},\"2\":{\"root\":{\"article\":\"10\"}},\"3\":{\"root\":{\"article\":\"5\"}}},\"joomla_sort\":\"manual\",\"joomla_sort_manual_append\":\"after\",\"features_themes\":\"slideshow\",\"tabs_themes\":\"default\",\"lists_themes\":\"default\",\"headlines_themes\":\"default\",\"display_limit\":\"\\u221e\",\"features_show_title\":\"1\",\"tabs_position\":\"top\",\"lists_enable_accordion\":\"1\",\"headlines_label_text\":\"\",\"features_show_article_text\":\"1\",\"tabs_animation\":\"slideandfade\",\"lists_previews_length\":\"20\",\"headlines_previews_length\":\"20\",\"features_show_arrows\":\"hide\",\"lists_items_per_page\":\"5\",\"headlines_show_arrows\":\"show\",\"features_show_pagination\":\"1\",\"lists_show_arrows\":\"show\",\"headlines_animation\":\"slideandfade\",\"features_animation\":\"crossfade\",\"lists_show_pagination\":\"1\",\"features_autoplay\":\"0\",\"features_autoplay_delay\":\"5\",\"features_title_default\":\"none\",\"tabs_icon_default\":\"none\",\"lists_image_default\":\"none\",\"headlines_image_default\":\"none\",\"features_description_default\":\"primary\",\"tabs_icon_default_custom\":\"\",\"lists_image_default_custom\":\"\",\"headlines_image_default_custom\":\"\",\"features_image_default\":\"none\",\"tabs_title_default\":\"none\",\"tabs_link_default\":\"none\",\"lists_title_default\":\"none\",\"lists_link_default\":\"none\",\"headlines_link_default\":\"none\",\"features_image_default_custom\":\"\",\"tabs_link_default_custom\":\"\",\"lists_link_default_custom\":\"\",\"headlines_link_default_custom\":\"\",\"features_link_default\":\"none\",\"features_link_default_custom\":\"\",\"cache\":\"0\",\"moduleclass_sfx\":\"\",\"module_cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(150,0,'Integrated Extensions','','<div class=\"rt-demo-grid-6 standardcase\">\r\n	<h3 class=\"largemarginbottom\">RokSprocket</span> Extension (J2.5 Only)</h3>\r\n	<p><strong>RokSprocket</strong> is a revolutionary new Joomla 2.5 only extension that has been designed to replace a variety of our existing ‘content’ modules. These include <strong>RokStories</strong>, <strong>RokTabs</strong>, <strong>RokNewsPager</strong>, <strong>RokNewsflash</strong>, <strong>RokMicronews</strong>, and basically any module in the RT arsenal that manipulates and displays articles.</p>\r\n	<div class=\"rt-demo-grid-3 nomarginleft\">\r\n		<ul class=\"circle medmarginbottom\">\r\n			<li><strong>Revolutionary UI</strong><br />Impressive User Interface and a stunning new compound filter system</li>\r\n			<li><strong>Powerful Filter</strong><br />Filtered articles are retrieved instantly via Ajax and can be sorted by sort rules</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"rt-demo-grid-3 nomarginright\">\r\n		<ul class=\"circle medmarginbottom\">\r\n			<li><strong>Various Content Providers</strong><br />Supports data source from default Joomla content, K2, Seblod and Zoo</li>\r\n			<li><strong>Multiple Layout Types</strong><br />Layout-configurable set of parameters that can be used to override specific items</li>\r\n		</ul>\r\n	</div>	\r\n	<div class=\"clear\"></div>\r\n	<p>RokSprocket follows RokGallery’s revolutionary approach to UI and implements a stunning new compound filter system.</p>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-6 standardcase floatright\">\r\n\r\n	<p class=\"alert\">NOTE: RokSprocket extension is only available for Joomla 2.5</p>\r\n	\r\n	<img src=\"images/stories/demo/general/extensions/ext-roksprocket.png\" alt=\"RokSprocket\" width=\"430\" height=\"325\" /><br />\r\n\r\n</div>\r\n\r\n<div class=\"clear\"></div><br /><br />\r\n\r\n<h3 class=\"medmarginleft medmarginbottom\">Revolutionary Interface and Stunning Filter System Based on OS X’s Finder</h3>\r\n\r\n<div class=\"rt-demo-grid-4 rt-center nomarginright\">\r\n	<a rel=\"rokbox[628 700](roksprocket)\" title=\"Revolutionary User Interface\" href=\"images/stories/demo/general/extensions/roksprocket1.jpg\"><img width=\"280\" height=\"110\" class=\"rt-image largemargintop\" src=\"images/stories/demo/general/extensions/thumb-roksprocket1.jpg\" alt=\"RokSprocket\" /></a>\r\n	<em>Revolutionary User Interface</em>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-4 rt-center nomarginright\">\r\n	<a rel=\"rokbox[390 325](roksprocket)\" title=\"Pick Your Provider\" href=\"images/stories/demo/general/extensions/roksprocket2.jpg\"><img width=\"280\" height=\"110\" class=\"rt-image largemargintop\" src=\"images/stories/demo/general/extensions/thumb-roksprocket2.jpg\" alt=\"RokSprocket\" /></a>\r\n	<em>Pick Your Provider</em>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-4 rt-center nomarginright\">\r\n	<a rel=\"rokbox[388 265](roksprocket)\" title=\"Pick Your Layout Type\" href=\"images/stories/demo/general/extensions/roksprocket3.jpg\"><img width=\"280\" height=\"110\" class=\"rt-image largemargintop\" src=\"images/stories/demo/general/extensions/thumb-roksprocket3.jpg\" alt=\"RokSprocket\" /></a>\r\n	<em>Pick Your Layout Type</em>\r\n</div>\r\n\r\n<div class=\"clear\"></div><br />\r\n\r\n<div class=\"rt-demo-grid-4 rt-center nomarginright\">\r\n	<a rel=\"rokbox[404 218](roksprocket)\" title=\"Select Individual Article\" href=\"images/stories/demo/general/extensions/roksprocket4.jpg\"><img width=\"280\" height=\"110\" class=\"rt-image largemargintop\" src=\"images/stories/demo/general/extensions/thumb-roksprocket4.jpg\" alt=\"RokSprocket\" /></a>\r\n	<em>Select Individual Article</em>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-4 rt-center nomarginright\">\r\n	<a rel=\"rokbox[402 169](roksprocket)\" title=\"Build Crazy Compound Filters\" href=\"images/stories/demo/general/extensions/roksprocket5.jpg\"><img width=\"280\" height=\"110\" class=\"rt-image largemargintop\" src=\"images/stories/demo/general/extensions/thumb-roksprocket5.jpg\" alt=\"RokSprocket\" /></a>\r\n	<em>Build Crazy Compound Filters</em>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-4 rt-center nomarginright\">\r\n	<a rel=\"rokbox[1100 393](roksprocket)\" title=\"See Live Ajax-Based Results\" href=\"images/stories/demo/general/extensions/roksprocket6.jpg\"><img width=\"280\" height=\"110\" class=\"rt-image largemargintop\" src=\"images/stories/demo/general/extensions/thumb-roksprocket6.jpg\" alt=\"RokSprocket\" /></a>\r\n	<em>See Live Ajax-Based Results</em>\r\n</div>\r\n\r\n<div class=\"clear\"></div><br />\r\n\r\n<div class=\"rt-demo-grid-4 rt-center nomarginright\">\r\n	<a rel=\"rokbox[339 175](roksprocket)\" title=\"Choose Images Source\" href=\"images/stories/demo/general/extensions/roksprocket7.jpg\"><img width=\"280\" height=\"110\" class=\"rt-image largemargintop\" src=\"images/stories/demo/general/extensions/thumb-roksprocket7.jpg\" alt=\"RokSprocket\" /></a>\r\n	<em>Choose Images Source</em>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-4 rt-center nomarginright\">\r\n	<a rel=\"rokbox[706 456](roksprocket)\" title=\"Quick Access to Article Details\" href=\"images/stories/demo/general/extensions/roksprocket8.jpg\"><img width=\"280\" height=\"110\" class=\"rt-image largemargintop\" src=\"images/stories/demo/general/extensions/thumb-roksprocket8.jpg\" alt=\"RokSprocket\" /></a>\r\n	<em>Quick Access to Article Details</em>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-4 rt-center nomarginright\">\r\n	<a rel=\"rokbox[428 489](roksprocket)\" title=\"Various Layout Parameters\" href=\"images/stories/demo/general/extensions/roksprocket9.jpg\"><img width=\"280\" height=\"110\" class=\"rt-image largemargintop\" src=\"images/stories/demo/general/extensions/thumb-roksprocket9.jpg\" alt=\"RokSprocket\" /></a>\r\n	<em>Various Layout Parameters</em>\r\n</div>\r\n\r\n<div class=\"clear\"></div><br />\r\n\r\n<div class=\"rt-center largemargintop largemarginbottom\">\r\n	<a class=\"readon\" href=\"http://www.rockettheme.com/joomla-templates/ionosphere\" target=\"_blank\"><span style=\"font-size: 20px; padding: 7px 15px\">Download Ionosphere &amp; RokSprocket</span></a>\r\n</div>',1,'utility-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box3 title4\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(151,0,'Standard Used Extensions','','<div class=\"rt-demo-grid-6 standardcase\">\r\n	<img class=\"floatleft largepaddingbottom medmarginbottom\" src=\"images/stories/demo/general/extensions/rokbox.png\" alt=\"RokBox\" width=\"47\" height=\"42\" />\r\n	<div class=\"nomarginbottom\">\r\n		<h1 class=\"title nopaddingbottom smallmarginbottom\"><span>RokBox</span></h1>\r\n		<em>The Ultimate JavaScript Powered Multimedia Box</em>\r\n	</div>\r\n	<a target=\"_blank\" href=\"http://www.rockettheme.com/extensions-joomla/rokbox\">+ More Information</a>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-6 standardcase nomarginright\">\r\n	<img class=\"floatleft largepaddingbottom medmarginbottom\" src=\"images/stories/demo/general/extensions/rokcandy.png\" alt=\"RokCandy\" width=\"47\" height=\"42\" />\r\n	<div class=\"nomarginbottom\">\r\n		<h1 class=\"title nopaddingbottom smallmarginbottom\"><span>RokCandy</span></h1>\r\n		<em>WYSIWYG Friendly Typography and Styling</em>\r\n	</div>\r\n	<a target=\"_blank\" href=\"http://www.rockettheme.com/extensions-joomla/rokcandy\">+ More Information</a>\r\n</div>\r\n\r\n<div class=\"clear\"></div><br />\r\n\r\n<div class=\"rt-demo-grid-6 standardcase\">\r\n	<img class=\"floatleft largepaddingbottom medmarginbottom\" src=\"images/stories/demo/general/extensions/rokpad.png\" alt=\"RokPad\" width=\"47\" height=\"42\" />\r\n	<div class=\"nomarginbottom\">\r\n		<h1 class=\"title nopaddingbottom smallmarginbottom\"><span>RokPad</span></h1>\r\n		<em>Simple &amp; Advanced Joomla Text Editor</em>\r\n	</div>\r\n	<a target=\"_blank\" href=\"http://www.rockettheme.com/extensions-joomla/rokpad\">+ More Information</a>\r\n</div>\r\n\r\n<div class=\"rt-demo-grid-6 standardcase nomarginright\">\r\n	<img class=\"floatleft largepaddingbottom medmarginbottom\" src=\"images/stories/demo/general/extensions/rokgzipper.png\" alt=\"RokGZipper\" width=\"47\" height=\"42\" />\r\n	<div class=\"nomarginbottom\">\r\n		<h1 class=\"title nopaddingbottom smallmarginbottom\"><span>RokGZipper</span></h1>\r\n		<em>Powerful CSS and JavaScript Compression System</em>\r\n	</div>\r\n	<a target=\"_blank\" href=\"http://www.rockettheme.com/extensions-joomla/rokgzipper\">+ More Information</a>\r\n</div>',0,'mainbottom-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box3 title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(152,0,'FP Tabs','','',23,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_roksprocket',1,0,'{\"provider\":\"joomla\",\"layout\":\"tabs\",\"joomla_filters\":{\"1\":{\"root\":{\"category\":\"16\"}}},\"joomla_sort\":\"automatic\",\"joomla_sort_manual_append\":\"after\",\"features_themes\":\"slideshow\",\"tabs_themes\":\"default\",\"lists_themes\":\"default\",\"headlines_themes\":\"default\",\"display_limit\":\"\\u221e\",\"features_show_title\":\"1\",\"tabs_position\":\"top\",\"lists_enable_accordion\":\"1\",\"headlines_label_text\":\"\",\"features_show_article_text\":\"1\",\"tabs_animation\":\"slideandfade\",\"lists_previews_length\":\"20\",\"headlines_previews_length\":\"20\",\"features_show_arrows\":\"show\",\"lists_items_per_page\":\"5\",\"headlines_show_arrows\":\"show\",\"features_show_pagination\":\"1\",\"lists_show_arrows\":\"show\",\"headlines_animation\":\"slideandfade\",\"features_animation\":\"crossfade\",\"lists_show_pagination\":\"1\",\"features_autoplay\":\"1\",\"features_autoplay_delay\":\"5\",\"features_title_default\":\"title\",\"tabs_icon_default\":\"none\",\"lists_image_default\":\"none\",\"headlines_image_default\":\"none\",\"features_description_default\":\"primary\",\"tabs_icon_default_custom\":\"\",\"lists_image_default_custom\":\"\",\"headlines_image_default_custom\":\"\",\"features_image_default\":\"none\",\"tabs_title_default\":\"title\",\"tabs_link_default\":\"none\",\"lists_title_default\":\"title\",\"lists_link_default\":\"none\",\"headlines_link_default\":\"none\",\"features_image_default_custom\":\"\",\"tabs_link_default_custom\":\"\",\"lists_link_default_custom\":\"\",\"headlines_link_default_custom\":\"\",\"features_link_default\":\"none\",\"features_link_default_custom\":\"\",\"cache\":\"0\",\"moduleclass_sfx\":\"nopaddingleft nopaddingright nomarginbottom\",\"module_cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(153,0,'FP Tabs RokGallery','','',1,'fp-roktabs-1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_rokgallery',1,0,'{\"gallery_id\":\"1\",\"link\":\"rokbox\",\"default_menuitem\":\"101\",\"title\":\"0\",\"caption\":\"0\",\"sort_by\":\"gallery_ordering\",\"sort_direction\":\"ASC\",\"limit_count\":\"2\",\"css_style\":\"light\",\"layout\":\"grid\",\"columns\":\"1\",\"arrows\":\"onhover\",\"navigation\":\"thumbnails\",\"animation_type\":\"random\",\"animation_duration\":\"500\",\"autoplay_enabled\":\"0\",\"autoplay_delay\":\"7\",\"showcase_arrows\":\"onhover\",\"showcase_image_position\":\"left\",\"showcase_imgpadding\":\"0\",\"showcase_animation_type\":\"random\",\"showcase_captionsanimation\":\"crossfade\",\"showcase_animation_duration\":\"500\",\"showcase_autoplay_enabled\":\"0\",\"showcase_autoplay_delay\":\"7\",\"showcase_responsive_arrows\":\"onhover\",\"showcase_responsive_image_position\":\"left\",\"showcase_responsive_imgpadding\":\"0\",\"showcase_responsive_animation_type\":\"random\",\"showcase_responsive_captionsanimation\":\"crossfade\",\"showcase_responsive_animation_duration\":\"500\",\"showcase_responsive_autoplay_enabled\":\"0\",\"showcase_responsive_autoplay_delay\":\"7\",\"backgroundimage\":\"\",\"cache\":\"0\",\"moduleclass_sfx\":\"\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(154,0,'Integrated RokExtensions','','',1,'extension-c',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_roksprocket',1,1,'{\"provider\":\"joomla\",\"layout\":\"lists\",\"joomla_filters\":{\"1\":{\"root\":{\"category\":\"17\"}}},\"joomla_sort\":\"automatic\",\"joomla_sort_manual_append\":\"after\",\"features_themes\":\"slideshow\",\"tabs_themes\":\"default\",\"lists_themes\":\"default\",\"headlines_themes\":\"default\",\"display_limit\":\"\\u221e\",\"features_show_title\":\"1\",\"tabs_position\":\"top\",\"lists_enable_accordion\":\"1\",\"headlines_label_text\":\"\",\"features_show_article_text\":\"1\",\"tabs_animation\":\"slideandfade\",\"lists_previews_length\":\"20\",\"headlines_previews_length\":\"20\",\"features_show_arrows\":\"show\",\"lists_items_per_page\":\"2\",\"headlines_show_arrows\":\"show\",\"features_show_pagination\":\"1\",\"lists_show_arrows\":\"show\",\"headlines_animation\":\"slideandfade\",\"features_animation\":\"crossfade\",\"lists_show_pagination\":\"1\",\"features_autoplay\":\"1\",\"features_autoplay_delay\":\"5\",\"features_title_default\":\"title\",\"tabs_icon_default\":\"none\",\"lists_image_default\":\"none\",\"headlines_image_default\":\"none\",\"features_description_default\":\"primary\",\"tabs_icon_default_custom\":\"\",\"lists_image_default_custom\":\"\",\"headlines_image_default_custom\":\"\",\"features_image_default\":\"none\",\"tabs_title_default\":\"title\",\"tabs_link_default\":\"none\",\"lists_title_default\":\"title\",\"lists_link_default\":\"none\",\"headlines_link_default\":\"none\",\"features_image_default_custom\":\"\",\"tabs_link_default_custom\":\"\",\"lists_link_default_custom\":\"\",\"headlines_link_default_custom\":\"\",\"features_link_default\":\"none\",\"features_link_default_custom\":\"\",\"cache\":\"0\",\"moduleclass_sfx\":\"title1 nomarginbottom\",\"module_cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(155,0,'FP RokNewsFlash','','',1,'mainbottom-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_roksprocket',1,0,'{\"provider\":\"joomla\",\"layout\":\"headlines\",\"joomla_filters\":{\"1\":{\"root\":{\"category\":\"17\"}}},\"joomla_sort\":\"automatic\",\"joomla_sort_manual_append\":\"after\",\"features_themes\":\"slideshow\",\"tabs_themes\":\"default\",\"lists_themes\":\"default\",\"headlines_themes\":\"default\",\"display_limit\":\"\\u221e\",\"features_show_title\":\"1\",\"tabs_position\":\"top\",\"lists_enable_accordion\":\"1\",\"headlines_label_text\":\"Newsflash: \",\"features_show_article_text\":\"1\",\"tabs_animation\":\"slideandfade\",\"lists_previews_length\":\"20\",\"headlines_previews_length\":\"13\",\"features_show_arrows\":\"show\",\"lists_items_per_page\":\"5\",\"headlines_show_arrows\":\"show\",\"features_show_pagination\":\"1\",\"lists_show_arrows\":\"show\",\"headlines_animation\":\"slideandfade\",\"features_animation\":\"crossfade\",\"lists_show_pagination\":\"1\",\"features_autoplay\":\"1\",\"features_autoplay_delay\":\"5\",\"features_title_default\":\"title\",\"tabs_icon_default\":\"none\",\"lists_image_default\":\"none\",\"headlines_image_default\":\"none\",\"features_description_default\":\"primary\",\"tabs_icon_default_custom\":\"\",\"lists_image_default_custom\":\"\",\"headlines_image_default_custom\":\"\",\"features_image_default\":\"none\",\"tabs_title_default\":\"title\",\"tabs_link_default\":\"none\",\"lists_title_default\":\"title\",\"lists_link_default\":\"none\",\"headlines_link_default\":\"none\",\"features_image_default_custom\":\"\",\"tabs_link_default_custom\":\"\",\"lists_link_default_custom\":\"\",\"headlines_link_default_custom\":\"\",\"features_link_default\":\"none\",\"features_link_default_custom\":\"\",\"cache\":\"0\",\"moduleclass_sfx\":\"nobold promo feature nomarginall nopaddingall\",\"module_cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(156,0,'Top Menu','','',1,'header-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,0,'{\"menutype\":\"topmenu\",\"startLevel\":\"1\",\"endLevel\":\"1\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"topmenu\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),(157,0,'Top Menu','','',1,'header-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_menu',1,0,'{\"menutype\":\"topmenu\",\"startLevel\":\"1\",\"endLevel\":\"1\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"topmenu\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*');

INSERT IGNORE INTO `#__modules_menu` (`moduleid`, `menuid`) VALUES (2,0),(3,0),(4,0),(6,0),(7,0),(8,0),(9,0),(10,0),(12,0),(13,0),(14,0),(15,0),(79,0),(86,0),(87,0),(88,108),(89,109),(90,109),(91,109),(92,109),(93,109),(94,109),(95,111),(96,111),(97,112),(98,112),(99,112),(100,112),(101,112),(102,112),(103,112),(104,112),(105,112),(106,112),(107,113),(108,114),(108,122),(108,124),(108,125),(109,114),(109,122),(109,124),(109,125),(110,114),(110,122),(111,114),(112,115),(113,115),(114,115),(115,115),(116,116),(117,116),(118,116),(119,117),(120,117),(121,117),(122,118),(122,123),(123,118),(123,123),(123,124),(123,125),(124,118),(124,122),(124,123),(124,124),(124,125),(125,123),(126,123),(127,112),(127,114),(127,115),(127,117),(127,118),(128,112),(128,115),(128,117),(128,118),(128,122),(128,123),(128,124),(128,125),(129,114),(130,117),(130,118),(130,123),(130,125),(131,101),(132,101),(133,101),(136,101),(137,110),(138,110),(139,110),(140,110),(141,110),(142,110),(144,101),(145,101),(147,101),(148,101),(149,101),(150,113),(151,113),(152,101),(153,101),(154,101),(155,101),(156,0),(157,0);

INSERT IGNORE INTO `#__rokcandy` (`id`, `catid`, `macro`, `html`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`) VALUES (20,8,'[h1]{text}[/h1]','<h1>{text}</h1>',1,0,'0000-00-00 00:00:00',1,''),(21,8,'[h2]{text}[/h2]','<h2>{text}</h2>',1,0,'0000-00-00 00:00:00',2,''),(22,8,'[h3]{text}[/h3]','<h3>{text}</h3>',1,0,'0000-00-00 00:00:00',3,''),(23,8,'[h4]{text}[/h4]','<h4>{text}</h4>',1,0,'0000-00-00 00:00:00',4,''),(24,8,'[h5]{text}[/h5]','<h5>{text}</h5>',1,0,'0000-00-00 00:00:00',5,''),(25,8,'[b]{text}[/b]','<strong>{text}</strong>',1,0,'0000-00-00 00:00:00',6,''),(26,8,'[i]{text}[/i]','<em>{text}</em>',1,0,'0000-00-00 00:00:00',7,''),(27,8,'[code]{text}[/code]','<code>{text}</code>',1,0,'0000-00-00 00:00:00',8,'');

INSERT IGNORE INTO `#__rokcommon_configs` (`id`, `extension`, `type`, `file`, `priority`) VALUES (11,'rokgallery','container','/components/com_rokgallery/container.xml',10),(12,'rokgallery','library','/components/com_rokgallery/lib',10),(15,'roksprocket','container','/components/com_roksprocket/container.xml',10),(16,'roksprocket','library','/components/com_roksprocket/lib',10);

INSERT IGNORE INTO `#__rokgallery_file_tags` (`file_id`, `tag`) VALUES (20,'fpbottoma'),(20,'fpbottomb'),(20,'fproktabs'),(21,'fpbottomb'),(21,'fproktabs'),(22,'fpbottomb'),(22,'fproktabs'),(23,'fpbottomb'),(24,'fpbottomb'),(25,'fpbottomb');

INSERT IGNORE INTO `#__rokgallery_files` (`id`, `filename`, `guid`, `md5`, `title`, `description`, `license`, `xsize`, `ysize`, `filesize`, `type`, `published`, `created_at`, `updated_at`, `slug`) VALUES (20,'rokgallery1.jpg','6e367590-060f-4521-8550-36ba7bc9d2b0','e40d5be8586faa367b81329b983849c5','Demo Installer','Replicate the Demo with Ease',NULL,500,500,111975,'jpg',0,'2012-09-12 15:37:40','2012-09-12 15:39:48','rokgallery1-1'),(21,'rokgallery2.jpg','35bd11d1-9e8f-492c-f406-f77af7967c25','e40d5be8586faa367b81329b983849c5','rokgallery2',NULL,NULL,500,500,111975,'jpg',0,'2012-09-12 15:42:04','2012-09-12 15:42:04','rokgallery2-1'),(22,'rokgallery3.jpg','df74046f-b86f-4d95-cb6d-4b4fb791e05a','e40d5be8586faa367b81329b983849c5','rokgallery3',NULL,NULL,500,500,111975,'jpg',0,'2012-09-12 15:42:04','2012-09-12 15:42:04','rokgallery3-1'),(23,'rokgallery4.jpg','62c065dd-b902-42c8-d712-f8610b57852d','e40d5be8586faa367b81329b983849c5','rokgallery4',NULL,NULL,500,500,111975,'jpg',0,'2012-09-12 15:42:04','2012-09-12 15:42:04','rokgallery4-1'),(24,'rokgallery5.jpg','5e273467-444b-46af-8799-e2753ca1db9e','e40d5be8586faa367b81329b983849c5','rokgallery5',NULL,NULL,500,500,111975,'jpg',0,'2012-09-12 15:42:04','2012-09-12 15:42:04','rokgallery5'),(25,'rokgallery6.jpg','a2f0e7c4-c9f5-4d5a-887b-268d0c515537','e40d5be8586faa367b81329b983849c5','rokgallery6',NULL,NULL,500,500,111975,'jpg',0,'2012-09-12 15:42:04','2012-09-12 15:42:04','rokgallery6-1');

INSERT IGNORE INTO `#__rokgallery_files_index` (`keyword`, `field`, `position`, `id`) VALUES ('demo','description',2,20),('demo','title',0,20),('ease','description',4,20),('installer','title',1,20),('replicate','description',0,20),('rokgallery2','title',0,21),('rokgallery3','title',0,22),('rokgallery4','title',0,23),('rokgallery5','title',0,24),('rokgallery6','title',0,25);

INSERT IGNORE INTO `#__rokgallery_galleries` (`id`, `name`, `filetags`, `width`, `height`, `keep_aspect`, `force_image_size`, `thumb_xsize`, `thumb_ysize`, `thumb_background`, `thumb_keep_aspect`, `auto_publish`) VALUES (1,'FP RokTabs','a:1:{i:0;s:9:\"fproktabs\";}',640,500,1,0,63,64,'transparent',0,1),(2,'FP Bottom B','a:1:{i:0;s:9:\"fpbottomb\";}',640,500,1,0,63,64,'transparent',0,1),(3,'FP Bottom A','a:1:{i:0;s:9:\"fpbottoma\";}',640,500,1,0,250,162,'transparent',0,1);

INSERT IGNORE INTO `#__rokgallery_schema_version` (`version`) VALUES (2);

INSERT IGNORE INTO `#__rokgallery_slices` (`id`, `file_id`, `gallery_id`, `guid`, `title`, `caption`, `link`, `filesize`, `xsize`, `ysize`, `published`, `admin_thumb`, `manipulations`, `palette`, `created_at`, `updated_at`, `slug`, `thumb_xsize`, `thumb_ysize`, `thumb_keep_aspect`, `thumb_background`, `ordering`) VALUES (38,20,NULL,'37797ab4-e570-400e-81aa-9304fc2c340d','Admin Thumbnail','Admin Thumbnail',NULL,16111,300,180,0,1,'a:2:{i:0;O:37:\"RokGallery_Manipulation_Action_Resize\":4:{s:7:\"\0*\0type\";s:6:\"resize\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:8:\"\0*\0setup\";b:1;}i:1;O:35:\"RokGallery_Manipulation_Action_Crop\":6:{s:7:\"\0*\0type\";s:4:\"crop\";s:4:\"left\";i:0;s:3:\"top\";i:60;s:5:\"width\";i:300;s:6:\"height\";i:180;s:8:\"\0*\0setup\";b:1;}}',NULL,'2012-09-12 15:37:40','2012-09-12 15:37:40','admin-thumbnail-9',150,150,1,NULL,5),(39,20,3,'0170ddad-70cf-448c-f6d6-0d2b2208708a','Demo Installer','Replicate the Demo with Ease',NULL,65547,500,500,1,0,'a:1:{i:0;O:37:\"RokGallery_Manipulation_Action_Resize\":4:{s:7:\"\0*\0type\";s:6:\"resize\";s:5:\"width\";i:500;s:6:\"height\";s:3:\"500\";s:8:\"\0*\0setup\";b:1;}}',NULL,'2012-09-12 15:37:55','2012-09-12 15:39:48','rokgallery1',250,162,0,'transparent',0),(40,21,NULL,'d3e30e33-d63f-4e38-c2dd-cab2067e0215','Admin Thumbnail','Admin Thumbnail',NULL,16111,300,180,0,1,'a:2:{i:0;O:37:\"RokGallery_Manipulation_Action_Resize\":4:{s:7:\"\0*\0type\";s:6:\"resize\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:8:\"\0*\0setup\";b:1;}i:1;O:35:\"RokGallery_Manipulation_Action_Crop\":6:{s:7:\"\0*\0type\";s:4:\"crop\";s:4:\"left\";i:0;s:3:\"top\";i:60;s:5:\"width\";i:300;s:6:\"height\";i:180;s:8:\"\0*\0setup\";b:1;}}',NULL,'2012-09-12 15:42:04','2012-09-12 15:42:04','admin-thumbnail-4',150,150,1,NULL,4),(41,22,NULL,'66ab2ce1-c212-4f12-bd18-fb2b079be7d4','Admin Thumbnail','Admin Thumbnail',NULL,16111,300,180,0,1,'a:2:{i:0;O:37:\"RokGallery_Manipulation_Action_Resize\":4:{s:7:\"\0*\0type\";s:6:\"resize\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:8:\"\0*\0setup\";b:1;}i:1;O:35:\"RokGallery_Manipulation_Action_Crop\":6:{s:7:\"\0*\0type\";s:4:\"crop\";s:4:\"left\";i:0;s:3:\"top\";i:60;s:5:\"width\";i:300;s:6:\"height\";i:180;s:8:\"\0*\0setup\";b:1;}}',NULL,'2012-09-12 15:42:04','2012-09-12 15:42:04','admin-thumbnail-10',150,150,1,NULL,3),(42,23,NULL,'55ad9d28-7cd9-4515-a61a-8739b5747965','Admin Thumbnail','Admin Thumbnail',NULL,16111,300,180,0,1,'a:2:{i:0;O:37:\"RokGallery_Manipulation_Action_Resize\":4:{s:7:\"\0*\0type\";s:6:\"resize\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:8:\"\0*\0setup\";b:1;}i:1;O:35:\"RokGallery_Manipulation_Action_Crop\":6:{s:7:\"\0*\0type\";s:4:\"crop\";s:4:\"left\";i:0;s:3:\"top\";i:60;s:5:\"width\";i:300;s:6:\"height\";i:180;s:8:\"\0*\0setup\";b:1;}}',NULL,'2012-09-12 15:42:04','2012-09-12 15:42:04','admin-thumbnail-11',150,150,1,NULL,2),(43,24,NULL,'d05009f0-2626-4798-f8e7-ed9b9e881ab9','Admin Thumbnail','Admin Thumbnail',NULL,16111,300,180,0,1,'a:2:{i:0;O:37:\"RokGallery_Manipulation_Action_Resize\":4:{s:7:\"\0*\0type\";s:6:\"resize\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:8:\"\0*\0setup\";b:1;}i:1;O:35:\"RokGallery_Manipulation_Action_Crop\":6:{s:7:\"\0*\0type\";s:4:\"crop\";s:4:\"left\";i:0;s:3:\"top\";i:60;s:5:\"width\";i:300;s:6:\"height\";i:180;s:8:\"\0*\0setup\";b:1;}}',NULL,'2012-09-12 15:42:04','2012-09-12 15:42:04','admin-thumbnail-12',150,150,1,NULL,1),(44,25,NULL,'a1238b9a-dcb3-4911-cc96-fdac2fdfbb4d','Admin Thumbnail','Admin Thumbnail',NULL,16111,300,180,0,1,'a:2:{i:0;O:37:\"RokGallery_Manipulation_Action_Resize\":4:{s:7:\"\0*\0type\";s:6:\"resize\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:8:\"\0*\0setup\";b:1;}i:1;O:35:\"RokGallery_Manipulation_Action_Crop\":6:{s:7:\"\0*\0type\";s:4:\"crop\";s:4:\"left\";i:0;s:3:\"top\";i:60;s:5:\"width\";i:300;s:6:\"height\";i:180;s:8:\"\0*\0setup\";b:1;}}',NULL,'2012-09-12 15:42:05','2012-09-12 15:42:05','admin-thumbnail-13',150,150,1,NULL,0),(45,20,2,'df08da34-edbe-41c0-9e6a-32b7189fe2ac','Demo Installer','Replicate the Demo with Ease',NULL,65547,500,500,1,0,'a:1:{i:0;O:37:\"RokGallery_Manipulation_Action_Resize\":4:{s:7:\"\0*\0type\";s:6:\"resize\";s:5:\"width\";i:500;s:6:\"height\";s:3:\"500\";s:8:\"\0*\0setup\";b:1;}}',NULL,'2012-09-12 15:44:05','2012-09-12 15:44:05','demo-installer',63,64,0,'transparent',7),(47,23,2,'db7c61c4-054a-4e2b-adc5-f0e46320c773','rokgallery4',NULL,NULL,65547,500,500,1,0,'a:1:{i:0;O:37:\"RokGallery_Manipulation_Action_Resize\":4:{s:7:\"\0*\0type\";s:6:\"resize\";s:5:\"width\";i:500;s:6:\"height\";s:3:\"500\";s:8:\"\0*\0setup\";b:1;}}',NULL,'2012-09-12 15:44:06','2012-09-12 15:44:06','rokgallery4-1',63,64,0,'transparent',5),(48,22,2,'94ee5cce-f333-4d54-f741-5c3dd0248fdc','rokgallery3',NULL,NULL,65547,500,500,1,0,'a:1:{i:0;O:37:\"RokGallery_Manipulation_Action_Resize\":4:{s:7:\"\0*\0type\";s:6:\"resize\";s:5:\"width\";i:500;s:6:\"height\";s:3:\"500\";s:8:\"\0*\0setup\";b:1;}}',NULL,'2012-09-12 15:44:06','2012-09-12 15:44:06','rokgallery3-1',63,64,0,'transparent',4),(49,25,2,'bfaff0fa-99ad-4b13-b84f-5841fc2b1f9c','rokgallery6',NULL,NULL,65547,500,500,1,0,'a:1:{i:0;O:37:\"RokGallery_Manipulation_Action_Resize\":4:{s:7:\"\0*\0type\";s:6:\"resize\";s:5:\"width\";i:500;s:6:\"height\";s:3:\"500\";s:8:\"\0*\0setup\";b:1;}}',NULL,'2012-09-12 15:44:07','2012-09-12 15:44:07','rokgallery6-1',63,64,0,'transparent',3),(51,21,2,'0fc91a03-391f-4312-8cd3-9167b3f826d2','rokgallery2',NULL,NULL,65547,500,500,1,0,'a:1:{i:0;O:37:\"RokGallery_Manipulation_Action_Resize\":4:{s:7:\"\0*\0type\";s:6:\"resize\";s:5:\"width\";i:500;s:6:\"height\";s:3:\"500\";s:8:\"\0*\0setup\";b:1;}}',NULL,'2012-09-12 15:44:07','2012-09-12 15:44:07','rokgallery2-1',63,64,0,'transparent',1),(52,24,2,'587db7a9-42a3-4e13-d473-0aabd53d3b55','rokgallery5',NULL,NULL,65547,500,500,1,0,'a:1:{i:0;O:37:\"RokGallery_Manipulation_Action_Resize\":4:{s:7:\"\0*\0type\";s:6:\"resize\";s:5:\"width\";i:500;s:6:\"height\";s:3:\"500\";s:8:\"\0*\0setup\";b:1;}}',NULL,'2012-09-12 15:44:07','2012-09-12 15:44:07','rokgallery5',63,64,0,'transparent',0),(53,20,1,'992af384-0cfa-413e-fcba-3a9ad798df41','Demo Installer','Replicate the Demo with Ease',NULL,65547,500,500,1,0,'a:1:{i:0;O:37:\"RokGallery_Manipulation_Action_Resize\":4:{s:7:\"\0*\0type\";s:6:\"resize\";s:5:\"width\";i:500;s:6:\"height\";s:3:\"500\";s:8:\"\0*\0setup\";b:1;}}',NULL,'2012-09-12 15:44:47','2012-09-12 15:44:47','demo-installer',63,64,0,'transparent',2),(54,21,1,'c591099b-5234-4ae2-cda2-820876270c2b','rokgallery2',NULL,NULL,65547,500,500,1,0,'a:1:{i:0;O:37:\"RokGallery_Manipulation_Action_Resize\":4:{s:7:\"\0*\0type\";s:6:\"resize\";s:5:\"width\";i:500;s:6:\"height\";s:3:\"500\";s:8:\"\0*\0setup\";b:1;}}',NULL,'2012-09-12 15:44:47','2012-09-12 15:44:47','rokgallery2',63,64,0,'transparent',1),(55,22,1,'7925688d-f7b4-4265-81d0-8e8b0dd30db8','rokgallery3',NULL,NULL,65547,500,500,1,0,'a:1:{i:0;O:37:\"RokGallery_Manipulation_Action_Resize\":4:{s:7:\"\0*\0type\";s:6:\"resize\";s:5:\"width\";i:500;s:6:\"height\";s:3:\"500\";s:8:\"\0*\0setup\";b:1;}}',NULL,'2012-09-12 15:44:48','2012-09-12 15:44:48','rokgallery3',63,64,0,'transparent',0);

INSERT IGNORE INTO `#__rokgallery_slices_index` (`keyword`, `field`, `position`, `id`) VALUES ('admin','caption',0,38),('admin','title',0,38),('thumbnail','caption',1,38),('thumbnail','title',1,38),('demo','caption',2,39),('demo','title',0,39),('ease','caption',4,39),('installer','title',1,39),('replicate','caption',0,39),('admin','caption',0,40),('admin','title',0,40),('thumbnail','caption',1,40),('thumbnail','title',1,40),('admin','caption',0,41),('admin','title',0,41),('thumbnail','caption',1,41),('thumbnail','title',1,41),('admin','caption',0,42),('admin','title',0,42),('thumbnail','caption',1,42),('thumbnail','title',1,42),('admin','caption',0,43),('admin','title',0,43),('thumbnail','caption',1,43),('thumbnail','title',1,43),('admin','caption',0,44),('admin','title',0,44),('thumbnail','caption',1,44),('thumbnail','title',1,44),('demo','caption',2,45),('demo','title',0,45),('ease','caption',4,45),('installer','title',1,45),('replicate','caption',0,45),('rokgallery4','title',0,47),('rokgallery3','title',0,48),('rokgallery6','title',0,49),('rokgallery2','title',0,51),('rokgallery5','title',0,52),('demo','caption',2,53),('demo','title',0,53),('ease','caption',4,53),('installer','title',1,53),('replicate','caption',0,53),('rokgallery2','title',0,54),('rokgallery3','title',0,55);

INSERT IGNORE INTO `#__roksprocket_items` (`id`, `module_id`, `provider`, `provider_id`, `order`, `params`) VALUES (121,'152','joomla','24',0,'{\"tabs_item_title\":\"Tutorials\",\"lists_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"tabs_item_link\":\"-default-\",\"lists_item_image\":\"-default-\",\"lists_item_link\":\"-default-\",\"features_item_title\":\"-default-\",\"features_item_description\":\"-default-\",\"headlines_item_image\":\"-default-\",\"features_item_image\":\"-default-\",\"headlines_item_link\":\"-default-\",\"features_item_link\":\"-default-\"}'),(122,'152','joomla','25',1,'{\"tabs_item_title\":\"Support\",\"lists_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"tabs_item_link\":\"-default-\",\"lists_item_image\":\"-default-\",\"lists_item_link\":\"-default-\",\"features_item_title\":\"-default-\",\"features_item_description\":\"-default-\",\"headlines_item_image\":\"-default-\",\"features_item_image\":\"-default-\",\"headlines_item_link\":\"-default-\",\"features_item_link\":\"-default-\"}'),(123,'155','joomla','26',0,'{\"tabs_item_title\":\"-default-\",\"lists_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"tabs_item_link\":\"-default-\",\"lists_item_image\":\"-default-\",\"lists_item_link\":\"-default-\",\"features_item_title\":\"-default-\",\"features_item_description\":\"-default-\",\"headlines_item_image\":\"-default-\",\"features_item_image\":\"-default-\",\"headlines_item_link\":\"-default-\",\"features_item_link\":\"-default-\"}'),(124,'155','joomla','27',1,'{\"tabs_item_title\":\"-default-\",\"lists_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"tabs_item_link\":\"-default-\",\"lists_item_image\":\"-default-\",\"lists_item_link\":\"-default-\",\"features_item_title\":\"-default-\",\"features_item_description\":\"-default-\",\"headlines_item_image\":\"-default-\",\"features_item_image\":\"-default-\",\"headlines_item_link\":\"-default-\",\"features_item_link\":\"-default-\"}'),(125,'155','joomla','28',2,'{\"tabs_item_title\":\"-default-\",\"lists_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"tabs_item_link\":\"-default-\",\"lists_item_image\":\"-default-\",\"lists_item_link\":\"-default-\",\"features_item_title\":\"-default-\",\"features_item_description\":\"-default-\",\"headlines_item_image\":\"-default-\",\"features_item_image\":\"-default-\",\"headlines_item_link\":\"-default-\",\"features_item_link\":\"-default-\"}'),(126,'155','joomla','29',3,'{\"tabs_item_title\":\"-default-\",\"lists_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"tabs_item_link\":\"-default-\",\"lists_item_image\":\"-default-\",\"lists_item_link\":\"-default-\",\"features_item_title\":\"-default-\",\"features_item_description\":\"-default-\",\"headlines_item_image\":\"-default-\",\"features_item_image\":\"-default-\",\"headlines_item_link\":\"-default-\",\"features_item_link\":\"-default-\"}'),(127,'155','joomla','30',4,'{\"tabs_item_title\":\"-default-\",\"lists_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"tabs_item_link\":\"-default-\",\"lists_item_image\":\"-default-\",\"lists_item_link\":\"-default-\",\"features_item_title\":\"-default-\",\"features_item_description\":\"-default-\",\"headlines_item_image\":\"-default-\",\"features_item_image\":\"-default-\",\"headlines_item_link\":\"-default-\",\"features_item_link\":\"-default-\"}'),(133,'154','joomla','26',0,'{\"tabs_item_title\":\"-default-\",\"lists_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"tabs_item_link\":\"-default-\",\"lists_item_image\":\"-default-\",\"lists_item_link\":\"-default-\",\"features_item_title\":\"-default-\",\"features_item_description\":\"-default-\",\"headlines_item_image\":\"-default-\",\"features_item_image\":\"-default-\",\"headlines_item_link\":\"-default-\",\"features_item_link\":\"-default-\"}'),(134,'154','joomla','27',1,'{\"tabs_item_title\":\"-default-\",\"lists_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"tabs_item_link\":\"-default-\",\"lists_item_image\":\"-default-\",\"lists_item_link\":\"-default-\",\"features_item_title\":\"-default-\",\"features_item_description\":\"-default-\",\"headlines_item_image\":\"-default-\",\"features_item_image\":\"-default-\",\"headlines_item_link\":\"-default-\",\"features_item_link\":\"-default-\"}'),(135,'154','joomla','28',2,'{\"tabs_item_title\":\"-default-\",\"lists_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"tabs_item_link\":\"-default-\",\"lists_item_image\":\"-default-\",\"lists_item_link\":\"-default-\",\"features_item_title\":\"-default-\",\"features_item_description\":\"-default-\",\"headlines_item_image\":\"-default-\",\"features_item_image\":\"-default-\",\"headlines_item_link\":\"-default-\",\"features_item_link\":\"-default-\"}'),(136,'154','joomla','29',3,'{\"tabs_item_title\":\"-default-\",\"lists_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"tabs_item_link\":\"-default-\",\"lists_item_image\":\"-default-\",\"lists_item_link\":\"-default-\",\"features_item_title\":\"-default-\",\"features_item_description\":\"-default-\",\"headlines_item_image\":\"-default-\",\"features_item_image\":\"-default-\",\"headlines_item_link\":\"-default-\",\"features_item_link\":\"-default-\"}'),(137,'154','joomla','30',4,'{\"tabs_item_title\":\"-default-\",\"lists_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"tabs_item_link\":\"-default-\",\"lists_item_image\":\"-default-\",\"lists_item_link\":\"-default-\",\"features_item_title\":\"-default-\",\"features_item_description\":\"-default-\",\"headlines_item_image\":\"-default-\",\"features_item_image\":\"-default-\",\"headlines_item_link\":\"-default-\",\"features_item_link\":\"-default-\"}'),(138,'149','joomla','6',0,'{\"tabs_item_title\":\"-default-\",\"lists_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"tabs_item_link\":\"-default-\",\"lists_item_image\":\"-default-\",\"lists_item_link\":\"-default-\",\"features_item_title\":\"New: RokSprocket\",\"features_item_description\":\"RokSprocket is a revolutionary new Joomla 2.5 only extension that has been designed to replace a variety of our existing \\u2018content\\u2019 modules. These include RokStories, RokTabs, RokNewsPager, RokNewsflash, RokMicronews, and basically any module in the RT arsenal that manipulates and displays articles.\",\"headlines_item_image\":\"-default-\",\"features_item_image\":\"{\\\\\'type\\\\\':\\\\\'mediamanager\\\\\',\\\\\'path\\\\\':\\\\\'images\\/stories\\/demo\\/frontpage\\/fp-showcase2.jpg\\\\\',\\\\\'preview\\\\\':\\\\\'\\\\\',\\\\\'link\\\\\':\\\\\'index.php?option=com_media&view=images&layout=default&tmpl=component&e_name=items_joomla_6__params_features_item_image\\\\\'}\",\"headlines_item_link\":\"-default-\",\"features_item_link\":\"-default-\"}'),(139,'149','joomla','10',1,'{\"tabs_item_title\":\"-default-\",\"lists_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"tabs_item_link\":\"-default-\",\"lists_item_image\":\"-default-\",\"lists_item_link\":\"-default-\",\"features_item_title\":\"Color Chooser Design\",\"features_item_description\":\"The twelve style variations are fully customizable with the most comprehensive color chooser system ever. Choose just a few tones and shades, and Ionosphere does the rest, automatically calculating an appropriate color scheme for the various template elements. All at a push of the button inside the Gantry Administrator.\",\"headlines_item_image\":\"-default-\",\"features_item_image\":\"{\\\\\'type\\\\\':\\\\\'mediamanager\\\\\',\\\\\'path\\\\\':\\\\\'images\\/stories\\/demo\\/frontpage\\/fp-showcase3.jpg\\\\\',\\\\\'preview\\\\\':\\\\\'\\\\\',\\\\\'link\\\\\':\\\\\'index.php?option=com_media&view=images&layout=default&tmpl=component&e_name=items_joomla_10__params_features_item_image\\\\\'}\",\"headlines_item_link\":\"-default-\",\"features_item_link\":\"-default-\"}'),(140,'149','joomla','5',2,'{\"tabs_item_title\":\"-default-\",\"lists_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"tabs_item_link\":\"-default-\",\"lists_item_image\":\"-default-\",\"lists_item_link\":\"-default-\",\"features_item_title\":\"Fusion and SplitMenu\",\"features_item_description\":\"There are two menu systems that are integrated into the Ionosphere, these are the Triple Level SplitMenu and the Fusion Menu. The former is a three tiered, static menu system with configurable locations. The latter is a javascript enhanced, CSS powered dropdown menu with numerous features such as multi-column support.\",\"headlines_item_image\":\"-default-\",\"features_item_image\":\"{\\\\\'type\\\\\':\\\\\'mediamanager\\\\\',\\\\\'path\\\\\':\\\\\'images\\/stories\\/demo\\/frontpage\\/fp-showcase1.jpg\\\\\',\\\\\'preview\\\\\':\\\\\'\\\\\',\\\\\'link\\\\\':\\\\\'index.php?option=com_media&view=images&layout=default&tmpl=component&e_name=items_joomla_5__params_features_item_image\\\\\'}\",\"headlines_item_link\":\"-default-\",\"features_item_link\":\"-default-\"}');

INSERT IGNORE INTO `#__template_styles` (`id`, `template`, `client_id`, `home`, `title`, `params`) VALUES (5,'hathor',1,'0','Hathor - Default','{\"showSiteName\":\"0\",\"colourChoice\":\"\",\"boldText\":\"0\"}'),(7,'rt_ionosphere',0,'1','rt_ionosphere - Default','{\"master\":\"true\",\"current_id\":\"7\",\"template_full_name\":\"Ionosphere\",\"grid_system\":\"12\",\"template_prefix\":\"ionosphere-\",\"cookie_time\":\"31536000\",\"name\":\"Preset1\",\"copy_lang_files_if_diff\":\"1\",\"accent\":{\"color\":\"#CF4725\",\"overlay\":\"dark\"},\"body\":{\"color\":\"#CF4725\",\"overlay\":\"light\"},\"bg\":{\"background\":\"#323335\",\"pattern\":\"metal\",\"overlay\":\"dark\"},\"headerwidth\":\"full\",\"footerwidth\":\"full\",\"stylepanel\":{\"enabled\":\"1\",\"position\":\"panel\"},\"loadtransition\":\"1\",\"webfonts\":{\"enabled\":\"0\",\"source\":\"google\"},\"font\":{\"family\":\"ionosphere\",\"size\":\"default\",\"size-is\":\"default\"},\"viewswitcher-priority\":\"1\",\"logo-priority\":\"2\",\"copyright-priority\":\"3\",\"styledeclaration-priority\":\"4\",\"iphonegradients-priority\":\"5\",\"date-priority\":\"6\",\"fontsizer-priority\":\"7\",\"totop-priority\":\"8\",\"systemmessages-priority\":\"9\",\"inactive-priority\":\"10\",\"iphoneimages-priority\":\"11\",\"morearticles-priority\":\"12\",\"smartload-priority\":\"13\",\"pagesuffix-priority\":\"14\",\"resetsettings-priority\":\"15\",\"analytics-priority\":\"16\",\"belatedpng-priority\":\"17\",\"fusionmenu-priority\":\"18\",\"ie7splash-priority\":\"19\",\"jstools-priority\":\"21\",\"moduleoverlays-priority\":\"22\",\"rtl-priority\":\"23\",\"splitmenu-priority\":\"24\",\"splicemenu-priority\":\"25\",\"touchmenu-priority\":\"26\",\"webfonts-priority\":\"27\",\"styledeclaration-enabled\":\"1\",\"logo\":{\"enabled\":\"1\",\"text\":\"1\",\"icon\":\"1\",\"position\":\"header-a\",\"autosize\":\"1\",\"perstyle\":\"1\",\"css\":\"body #logo-inner\"},\"social\":{\"enabled\":\"1\",\"position\":\"social\",\"twitter\":\"https:\\/\\/twitter.com\\/#!\\/rockettheme\",\"facebook\":\"http:\\/\\/www.facebook.com\\/RocketTheme\",\"buzz\":\"https:\\/\\/plus.google.com\\/114430407008695950828\\/posts\",\"rss\":\"http:\\/\\/www.rockettheme.com\\/joomla-updates?format=feed&type=rss\"},\"date\":{\"enabled\":\"0\",\"position\":\"utility-a\",\"clientside\":\"0\",\"formats\":\"%A, %B %d, %Y\"},\"fontsizer\":{\"enabled\":\"0\",\"position\":\"utility-b\"},\"login\":{\"enabled\":\"0\",\"position\":\"utility-c\",\"text\":\"Member Login\",\"logouttext\":\"Logout\"},\"popup\":{\"enabled\":\"0\",\"position\":\"utility-d\",\"text\":\"Popup Module\",\"width\":\"250\",\"height\":\"235\"},\"branding\":{\"enabled\":\"1\",\"position\":\"copyright-c\"},\"copyright\":{\"enabled\":\"1\",\"position\":\"copyright-a\",\"text\":\"Designed by RocketTheme\",\"layout\":\"3,3,3,3\",\"showall\":\"0\",\"showmax\":\"6\"},\"smartload\":{\"enabled\":\"1\",\"text\":\"200\",\"ignores\":\"com_community,com_contact,com_k2,com_tienda,com_weblinks\",\"exclusion\":\"\"},\"morearticles\":{\"enabled\":\"0\",\"text\":\"Load More Articles\",\"pagination\":\"1\"},\"totop\":{\"enabled\":\"1\",\"position\":\"copyright-b\"},\"systemmessages\":{\"enabled\":\"1\",\"position\":\"drawer\"},\"resetsettings\":{\"enabled\":\"0\",\"position\":\"footer-b\",\"text\":\"Reset Settings\"},\"analytics\":{\"enabled\":\"0\",\"code\":\"\",\"position\":\"analytics\"},\"menu\":{\"enabled\":\"1\",\"type\":\"fusionmenu\",\"fusionmenu\":{\"menutype\":\"mainmenu\",\"position\":\"navigation-a\",\"enable_js\":\"1\",\"opacity\":\"1\",\"effect\":\"slidefade\",\"hidedelay\":\"500\",\"menu-animation\":\"Circ.easeOut\",\"menu-duration\":\"300\",\"centered-offset\":\"0\",\"tweak-initial-x\":\"-8\",\"tweak-initial-y\":\"-10\",\"tweak-subsequent-x\":\"-8\",\"tweak-subsequent-y\":\"-11\",\"tweak-width\":\"18\",\"tweak-height\":\"20\",\"enable-current-id\":\"0\",\"theme\":\"gantry-fusion\",\"limit_levels\":\"0\",\"startLevel\":\"0\",\"showAllChildren\":\"1\",\"class_sfx\":\"top\",\"cache\":\"0\",\"module_cache\":\"1\"},\"splitmenu\":{\"roknavmenu_fusion_enable-current-id\":\"0\",\"menutype\":\"mainmenu\",\"theme\":\"gantry-splitmenu\",\"cache\":\"0\",\"module_cache\":\"1\",\"mainmenu-position\":\"navigation-b\",\"mainmenu-limit_levels\":\"1\",\"mainmenu-startLevel\":\"0\",\"mainmenu-endLevel\":\"0\",\"mainmenu-class_sfx\":\"top\",\"submenu-position\":\"subnavigation\",\"submenu-limit_levels\":\"1\",\"submenu-startLevel\":\"1\",\"submenu-endLevel\":\"1\",\"submenu-class_sfx\":\"\",\"sidemenu-position\":\"sidebar-a\",\"sidemenu-class_sfx\":\"\",\"sidemenu-module_sfx\":\"\",\"sidemenu-limit_levels\":\"1\",\"sidemenu-startLevel\":\"2\",\"sidemenu-endLevel\":\"9\",\"sidemenu-fulllevel\":\"0\"}},\"top\":{\"layout\":\"3,3,3,3\",\"showall\":\"0\",\"showmax\":\"6\"},\"navigation\":{\"layout\":\"3,3,3,3\",\"showall\":\"0\",\"showmax\":\"6\"},\"header\":{\"layout\":\"a:1:{i:12;a:2:{i:1;a:1:{i:0;i:12;}i:2;a:2:{i:0;i:5;i:1;i:7;}}}\",\"showall\":\"0\",\"showmax\":\"6\"},\"showcase\":{\"layout\":\"3,3,3,3\",\"showall\":\"0\",\"showmax\":\"6\"},\"feature\":{\"layout\":\"3,3,3,3\",\"showall\":\"0\",\"showmax\":\"6\"},\"utility\":{\"layout\":\"3,3,3,3\",\"showall\":\"0\",\"showmax\":\"6\"},\"maintop\":{\"layout\":\"3,3,3,3\",\"showall\":\"0\",\"showmax\":\"6\"},\"mainbodyPosition\":\"a:1:{i:12;a:2:{i:1;a:1:{s:2:\\\"mb\\\";i:12;}i:2;a:2:{s:2:\\\"mb\\\";i:8;s:2:\\\"sa\\\";i:4;}}}\",\"mainbottom\":{\"layout\":\"3,3,3,3\",\"showall\":\"0\",\"showmax\":\"6\"},\"extension\":{\"layout\":\"3,3,3,3\",\"showall\":\"0\",\"showmax\":\"6\"},\"bottom\":{\"layout\":\"3,3,3,3\",\"showall\":\"0\",\"showmax\":\"6\"},\"footer\":{\"layout\":\"3,3,3,3\",\"showall\":\"0\",\"showmax\":\"6\"},\"iphone-enabled\":\"1\",\"android-enabled\":\"1\",\"iphone-scalable\":\"0\",\"iphone-switcher\":{\"enabled\":\"1\",\"position\":\"mobile-copyright\"},\"touchmenu\":{\"menutype\":\"mainmenu\",\"enabled\":\"1\",\"position\":\"mobile-navigation\",\"theme\":\"touch\",\"animation\":\"swap\",\"cache\":\"0\",\"module_cache\":\"1\",\"startLevel\":\"0\",\"endLevel\":\"20\",\"showAllChildren\":\"1\"},\"iphoneimages\":{\"enabled\":\"1\",\"minWidth\":\"80\",\"percentage\":\"12\"},\"mobile\":{\"drawer\":\"drawer\",\"top\":\"mobile-top\",\"header\":\"header-a\",\"navigation\":\"mobile-navigation\",\"utility\":\"mobile-utility\",\"extension\":\"extension-a\",\"bottom\":\"bottom-b\",\"footer\":\"footer-a\",\"copyright\":\"copyright-c\"},\"cache\":{\"enabled\":\"0\",\"time\":\"900\"},\"gzipper\":{\"enabled\":\"0\",\"time\":\"600\",\"expirestime\":\"1440\",\"stripwhitespace\":\"1\"},\"inputstyling\":{\"enabled\":\"1\",\"exclusions\":\"\'.content_vote\',\'#rt-popup\',\'#rt-popuplogin\',\'#vmMainPage\',\'#community-wrap\'\"},\"file-inline-js-enabled\":\"0\",\"component-enabled\":\"1\",\"mainbody-enabled\":\"1\",\"rtl-enabled\":\"1\",\"buildspans-enabled\":\"1\",\"moduleoverlays-enabled\":\"1\",\"pagesuffix-enabled\":\"1\",\"typography\":{\"enabled\":\"1\",\"style\":\"light\"},\"extensions\":\"1\",\"inactive\":{\"enabled\":\"1\",\"menuitem\":\"124\"},\"ie7splash-enabled\":\"1\"}'),(8,'rt_ionosphere',0,'0','rt_ionosphere - Module Positions','{\"master\":\"7\",\"current_id\":\"8\",\"mainbodyPosition\":\"a:1:{i:12;a:4:{i:1;a:1:{s:2:\\\"mb\\\";i:12;}i:2;a:2:{s:2:\\\"mb\\\";i:6;s:2:\\\"sa\\\";i:6;}i:3;a:3:{s:2:\\\"mb\\\";i:6;s:2:\\\"sa\\\";i:3;s:2:\\\"sb\\\";i:3;}i:4;a:4:{s:2:\\\"mb\\\";i:6;s:2:\\\"sa\\\";i:2;s:2:\\\"sb\\\";i:2;s:2:\\\"sc\\\";i:2;}}}\"}'),(9,'rt_ionosphere',0,'0','rt_ionosphere - Tutorials','{\"master\":\"7\",\"current_id\":\"9\",\"mainbodyPosition\":\"a:1:{i:12;a:2:{i:2;a:2:{s:2:\\\"mb\\\";i:8;s:2:\\\"sa\\\";i:4;}i:3;a:3:{s:2:\\\"sa\\\";i:3;s:2:\\\"mb\\\";i:6;s:2:\\\"sb\\\";i:3;}}}\"}'),(10,'protostar',0,'0','protostar - Default','{\"templateColor\":\"\",\"logoFile\":\"\",\"googleFont\":\"1\",\"googleFontName\":\"Open+Sans\",\"fluidContainer\":\"0\"}'),(11,'isis',1,'1','isis - Default','{\"templateColor\":\"\",\"logoFile\":\"\"}'),(12,'beez3',0,'0','beez3 - Default','{\"wrapperSmall\":53,\"wrapperLarge\":72,\"logo\":\"\",\"sitetitle\":\"\",\"sitedescription\":\"\",\"navposition\":\"center\",\"bootstrap\":\"\",\"templatecolor\":\"nature\",\"headerImage\":\"\",\"backgroundcolor\":\"#eee\"}');

INSERT IGNORE INTO `#__update_sites` (`update_site_id`, `name`, `type`, `location`, `enabled`, `last_check_timestamp`, `extra_query`) VALUES (1,'Joomla! Core','collection','https://update.joomla.org/core/list.xml',1,0,''),(3,'Accredited Joomla! Translations','collection','https://update.joomla.org/language/translationlist_3.xml',1,0,''),(4,'RocketTheme Update Directory','collection','http://updates.rockettheme.com/joomla/updates.xml',1,0,''),(6,'','collection','http://update.joomla.org/core/list.xml',1,0,''),(9,'Gantry','extension','http://updates.gantry.org/4.0/joomla/pkg_gantry.xml',1,0,''),(10,'Gantry','collection','http://updates.gantry.org/4.0/joomla/list.xml',1,0,'');

INSERT IGNORE INTO `#__update_sites_extensions` (`update_site_id`, `extension_id`) VALUES (1,700),(3,802),(4,28),(4,10005),(4,10010),(4,10015),(4,10017),(4,10026),(4,10042),(4,10044),(4,10049),(4,10067),(4,10068),(4,10069),(4,10071),(4,10072),(4,10073),(4,10075),(4,10076),(6,700),(9,10064),(10,10064);

SET FOREIGN_KEY_CHECKS=1;